Welcome

The Smart Contact Manager

Quick Start...

n Overview of Smart Address

n Key Features

n Installing Smart Address

n Upgrading from Smart Address 3.x

n Managing your Contacts

n Producing Reports

n Getting Support

Copyright © 1994-2000

Oakley Data Services

All Rights Reserved


Upgrading from Smart Address V3.x

Smart Address 2000 has changed the way Address Books are held. Prior to Smart Address 2000, Address Books were held as separate files on your computer's disk.

Address Books:

With this release, Address Books are now held in an Address Database which may reside on your local computer or on another computer on your network. Due to this, existing Address Books need "importing" to Smart Address 2000.

It should be noted that this import process doesn't change the original Address Books and they can continued to be used in Smart Address V3.x

To import your Address Books to Smart Address 2000, select the Address Book's File, Import menu and then the "Smart Address Version 3.x Address Book" option. When Smart Address has finished importing the file, the imported V3.x Address Book will be created as a new Address Book contained within the Smart Address Database.

Diary Books:

Under Smart Address V3.x, calendar events that were not related to contacts could be stored in Smart Address Diary Books. These books also need importing to Smart Address 2000 in the same way as the Address Books, but by selecting the "Smart Address Version 3.x Diary Book" option from the Address Book's File, Import menu.

Note: Where importing a V3.x Address Book created a new Address Book, the Diary import simply imports the Diary Book into the current Address Book.

Tip: If you install Smart Address 2000 in a different folder to your existing version of Smart Address, then you can continue to run Smart Address V3.x alongside Smart Address 2000 if needed.


Getting Support

Important: Before requesting support, please ensure that the answer to your question is not already contained in the Help File or the Frequently Asked Questions for Smart Address.

Also, please ensure you quote your Product License Code in all correspondence. Your License Code will have been provided when you purchased Smart Address and can be found on the License Page of the Smart Address Database Engine's screen.

For full details on obtaining Support for Smart Address, please visit the Smart Address Web Site (http://www.sa2k.com)


Purchasing and License Upgrades

Smart Address is sold in two varieties:-

Single User: This enables Smart Address to be run on a single computer in standalone mode (i.e., not accessed over a network).

Network Enabled: This enables the Address Database to be shared over a network, allowing any number of users (limited by the licenses purchased) to access that database and share the information contained.

To purchase either variety of Smart Address, or to upgrade your user licenses, please see the appropriate item on the Smart Address Client's Help Menu. Alternatively, visit the Smart Address Web Site (http://www.sa2k.com) where full details and prices can be found.


Upgrade Policy

When you purchased Smart Address, you were supplied a License Key and a Multi-User Access Key (if you purchased the network enabled version).

It is important that you keep these keys in a secure place as you will need them whenever reinstalling Smart Address.

These license keys are valid for any versions of Smart Address that still bear the "2000" version identifier. Future versions that bear the "2000" identifier version, will generally be for minor enhancements and bug-fixes. Any release containing major new functionality will bear a different version identifier (e.g., 2001) and an upgrade fee will be chargeable.

We will make new versions of the product available via the usual sources, on-line services such as the Internet and via disk vendors, cover disks and CD's. However, the prime locations for new releases is the Smart Address Web Site (http://www.sa2k.com)

If you do obtain a newer version of the product, then you should uninstall your existing version before you install the newer version. You may also need to re-enter your license keys to register the new version.

Tip: Uninstalling and then re-installing Smart Address will not affect you data. The Database folder containing your Address Book information will remain. However, as always we recommend that you back-up the database folder before uninstalling.


Warranty

This software is supplied as is without warranty or representation either express or implied with respect to the program or its documentation including their quality, performance, merchantability, or fitness for a particular purpose.

In no event will Oakley Data Services or any of its agents or assigns, or any organization distributing "Smart Address" on its behalf be liable for direct, indirect, special, incidental, or consequential damages arising out of the use of, or inability to use the program.

All trademarks are acknowledged.


Overview

Smart Address 2000 is a client/server Address Book and Contact Management System, allowing contacts and information to be shared across different users and computers or simply used on a single computer by a single user. It is the 4th version of the popular Smart Address application, but marks a fairly major jump in functionality and ease of use.

Smart Address will run on Windows 95, 98, NT4 or Windows 2000 and as it is a client/server application, there are two modes it may be run in:

Standalone Mode: This is the mode set by default during the install of Smart Address. In Standalone mode, both the Smart Address Database (The Database Engine) and the Smart Address Client are run on the same machine. In this set-up, the Address Books created are only available to the people using that machine.

Networked Mode: This mode allows the Smart Address Database to be shared across a network and therefore accessed from any machines running the Smart Address Client.

Smart Address has a rich set of functionality to aid you in managing your address book and contacts, allowing you to control and manage your contacts; from corporate contact management, club membership lists through to a personal diary, Smart Address makes it easy.


Key features

Key features of Smart Address

Smart Address has a rich set of functionality to aid you in managing your address book and contacts. The following describes the key functionality of Smart Address:

Tip: Click [image] for more information.

A Contacts Section allowing an unlimited number of contacts to be held in customizable Contact Groups.

An Address Book Calendar, allowing calendar events to be defined for your Address Book and any of your contacts.

A Note "book" allowing an unlimited number of notes to be held in customizable Note Group.

Tracking of Tasks that can be defined for your Address Book and any of your contacts.

Flexible printing, including full End-User Report Designer for creating and saving user specific reports

In-built Security controlling both access to the Address Database and to any part of the Address Book and its contents.

Letter facility that will automatically generate personalized letters for any, or all, of your contacts (requires Microsoft Word 97 or later).

EMail facility that will automatically generate personalized EMails to any, or all, of your contacts (requires a MAPI Compliant Mail Client)

Each Address Book has a "Home" Page, showing outstanding and due calendar entries and tasks in a single easy to read view.

Can issue Reminder Alarms, even when your Address Book is not open, to remind you about important appointments or events.

Full history and event tracking for any actions made for your Contacts

"Action Fields" allow single-click access to dial phone numbers, send EMail or visit web sites.

Full searching and filtering of your Address Book content.

Importing and exporting of information, including full support for import from Microsoft Outlook 2000. Migrate your Outlook contacts, calendars, notes and tasks in one easy action.

A "World Time" facility allowing the time in any part of the world to be quickly displayed.

National Holiday support allowing the National Holidays for any country to be displayed in the Address Book Calendar

Can Monitor incoming telephone calls and automatically locate the contact record for the caller (requires a Caller ID compatible device and the Caller ID service provided by your telecom provider).


Address Book Contacts

Key to Smart Address is the Address Book Contacts section.

Use the Contacts Section of the Address Book to store the names, phone numbers, and addresses of everyone you know. You can also store personal information about these people, including notes, calendar events (e.g., birthdays, meetings, etc.) and even attach links to files or Internet sites.

And if you like to keep track of what you have been doing or saying to these people, you can track all events and actions against each person's own history journal.

You can even import your contact lists from other programs, such as Microsoft Outlook.

For more information, see Managing your Contacts in Smart Address


Address Book Calendar

The Calendar section provides a Calendar view, showing the calendar events, tasks and holidays for the Address Book.

Use the Calendar Section of the Address Book to view and maintain, any calendar (i.e. date) related items that have been defined.

From the calendar section, you can view all the calendar-type events (Calendar Events, Tasks and Holidays) at both Address Book level (or global) and contact level (i.e, ones assigned to specific contacts) in a single daily, weekly or monthly view.

You can even import your calendar from other programs, such as Microsoft Outlook.

For more information, see Using the Address Book Calendar


Address Book Notes

Address Note Book

The Note Book section provides a place to store notes within the Address Book.

Use the Note Book section of the Address Book to view and maintain, any notes you wish to keep within the Address Book. Notes are freeform rich text entries. meaning you can format the content of the notes in the same way as you can with your Word Processor (e.g, highlight words, use different type faces, etc.).

You can even import your existing notes from other programs, such as Microsoft Outlook.

For more information, see Using the Note Book


Address Book Tasks

The Tasks section allows Address Book Tasks to be view, managed and maintained.

Smart Address uses Tasks, when you want to track the progress of something you need to do. They are similar to standard calendar events, but unlike calendar events they don't necessarily happen at a set date and time, but normally span several days, and also allow their progress and budgets (if required) to be tracked

You can even import your existing tasks from other programs, such as Microsoft Outlook.

For more information, see Using Tasks in Smart Address


Address Book World Times

Smart Address allows up to six Word Times to be displayed, either from the World Time button on Smart Address' toolbar or from the World Times screen.

By configuring the time-zones you are interested in, you can quickly see the time in those parts of the world. As well as defining the time-zones, you can also give the time-zone a name. This allows a more meaningful display. For example, instead of having a time show as Eastern Standard Time, you could called it New York Office or Frank's Time. It is up to you.

For More Information See...

The World Times Display

Setting up World Times


Address Book Recycle Bin

The Recycle Bin provides a safety net when deleting items from Smart Address. When you delete a Contact, Contract Group, Note or Note Group, Smart Address places it in the Recycle Bin. Other items in Smart Address (e.g., Calendar Events and Tasks) are not stored in the Recycle Bin, but are permanently deleted straight away.

Items in the Recycle Bin remain there until you decide to permanently delete them from the Address Book. These items still take up storage space within the Address Book database and can be undeleted, or restored, back to their original location.

For More Information See...

The Recycle Bin


Smart Address and Reminders

In Smart Address, calendar and tasks events can have reminders (or alarms) set, which at a specified date and time, pop-up on your desktop to remind you about the event.

To issue these pop-up reminders when they become due, Smart Address places an application, the Reminders Monitor, in the Windows System Tray that looks like a small alarm clock. This application should always remain running, otherwise it will not be possible for you to be reminded about forthcoming events.

For the Reminders Monitor to work, it doesn't matter if the Address Book containing the reminder is open or not. As long as the Database Engine is running, reminders will be issued.

Tip: When Smart Address is installed a shortcut to the Reminders Monitor is placed in your Windows Start-Up folder. This means that whenever you start Windows, the Reminder Monitor will be automatically started and you will be reminder about any due events, even if you haven't yet been into your Address Book.


Introduction to the Call Monitor

Monitoring Incoming Phone Calls

Caller Identifier, also known as Caller Line Identifier or CLI, is a facility that allows a caller's telephone number to be read from the telephone line when a telephone call is received.

As long as you have the suitable hardware (e.g., a modem that supports CLI for your country) and have the service provided from your telecom provider, Smart Address can monitor incoming calls and display the caller's contact record before you pick up the phone.

As soon as a telephone call is recognized, Smart Address will look up the telephone number against the host Address Database. If it finds the telephone, it retrieves the contact's details and displays them on the screen.

If it doesn't find a match in the database it displays a blank call record. From this blank record you can either create a new contact in your Address Book or use a Post Code/ZIP lookup facility to locate the caller based on their Post or ZIP code.


Introduction to Installing Smart Address

Installing Smart Address

Smart Address can be installed to support two different operating modes:

Standalone Mode: This is the mode set by default during the install of Smart Address. In Standalone mode, both the Smart Address Database (The Database Engine) and the Smart Address Client are run on the same machine. In this set-up, the Address Books created are only available to the people using that machine.

Networked Mode: This mode allows the Smart Address Database to be shared across a network and therefore accessed from any machines running the Smart Address Client.

Tip: If you wish to run over a network, the TCP/IP protocol must be installed on the client and server machines. If you only wish to run from a local database, then the TCP/IP protocol is not required.

Depending on the mode you want to use, it could affect the way you install and configure Smart Address. This section explains installing Smart Address in both modes.

Installing on a Single Computer

Installing for Networked Use


Introduction

Installing on a Single Computer

As you are reading the Help file for Smart Address, we will assume you have successfully installed it.

By default when you installed Smart Address (by running its setup program), Smart Address was installed and configured to run on a single computer. This means that the Database Engine can only be accessed by the Smart Address Client running on the same computer. This mode of running is called Standalone Mode.

However, if that computer is attached to a Network with an Address Database running in Networked Mode on that Network, the Smart Address Client will be able to connect to that Database and the standalone database. This is because it is only the Database Engine that is running in Standalone Mode. The Smart Address Client is always network-aware and will automatically find any Address Databases running, either locally or on the Network.

When running the Address Database on a single machine, it is important to remember that for you to access your Address Books, the Database Engine (SAENGINE.EXE) has to be running. If it is not running, then the Address Books will not be available and Reminder Notifications will not be issued. When you installed Smart Address, it will have placed a shortcut in your Windows Start-Up folder, to start the Database Engine whenever you start Windows. It is recommended that you leave this shortcut in place and never terminate the Database Engine from the Windows System Tray. This way, the Database Engine will always be running and available.


Introduction

As you are reading the Help file for Smart Address, we will assume you have successfully installed it.

By default when you installed Smart Address (by running its setup program), Smart Address was installed and configured to run on a single computer. This means that the Database Engine can only be accessed by the Smart Address Client running on the same computer. This mode of running is called Standalone Mode.

Before the Database Engine can be accessed by other machines on the Network, you need to configure the Database Engine to run in Networked Mode. To do this, please see Configuring the Database Engine

Once configured to the Networked mode, the Database Engine can now be accessed by any Smart Address Clients running on the Network.

Tip: If you are running a full central implementation of Smart Address, in that you only have one central Address Database, you can remove the SAENGINE.EXE file from those machines not running the Database Engine. This stops the user starting their own Database Engine and possibly confusing themselves as to which Database is which.

When running the Address Database over a network, it is important to remember that for users to access their Address Books, the Database Engine has to be running. If it is not running, then the Address Books will not be available. It is therefore important that you place the Address Database on a PC that can be left running for the periods of time you need access to it, and ensure that the Database Engine Application (SAENGINE.EXE) is always running on that PC.

Whilst the Database Engine can be run on any Windows PC, it is recommended that if running with more than five users using that Database, the Database Engine is run on a Windows 2000 PC, with at least 128mb of memory. If running with more than 10 users then that Windows 2000 PC should be a "server" PC which is not used by a user for day-to-day duties. This is only a recommendation, these things depend on the number of simultaneous users and the size of the database, so you may find that your current set-up works perfectly up to 20 or more users. Everyone will be different, but if your access to the Address Books becomes slow, it may be time to move to a faster PC.

Important Note:

By default, Smart Address requires the Database Engine to run from a disk local to the machine running the Database Engine.

Whilst you can install Smart Address to a shared, or mapped, Network Drive, allowing the Smart Address application to be run from a central location, the Database Engine can not be run from in this way. This is to protect the integrity of the Database and enhance performance. If you need to run the Database Engine from a shared, or mapped, network drive please see Database Placement for information on doing this and the precautions to be taken.


Database Placement

Smart Address stores the Address Database as a collection of Database Tables, Indexes and ancillary files in a sub-folder ( ../DATABASE ) of the folder where the Smart Address Database Engine (SAENGINE.EXE) is run from. This placement is not configurable.

By default, Smart Address requires the Database Engine to run from a disk local to the machine running the Database Engine, thus ensuring that the Database folder is also local. This is to protect the integrity of the Database and enhance performance.

Database Integrity

When the Database Engine is running from a local disk, we can be sure that there is only one Database Engine accessing the Database (i.e., the one on the same machine). However, if the Database Engine is run from a shared, or mapped, Network drive, the Database Engine could be run on a number of machines, with each "instance" of the Database Engine accessing the same Database. Whilst Smart Address should stop this happening by locking access to the Database for one Engine only, it is a risk when running in a "shared" set-up.

Performance

The Database Engine passes requested data to the Smart Address Clients by sending it over the network. So delays can be introduced if the network is slow.

The following example shows the path of a request from a Client back to the Client (showing two Network "hops"):

Client > Network > Engine > Database > Engine > Network > Client

If the Address Database is being run from a shared Network drive, then the actual Database files need to be accessed over the Network. This changes the above example to:

Client > Network > Engine > Network > Database > Network > Engine > Network > Client

As you can see, it has doubled the number of Network "hops" required to process a request. Whilst this example is greatly simplified, not accounting for use of the Database Cache and other performance enhancing facilities, it does illustrate the problem with placing the Database on a shared Network drive.

The Exception

However, even given the above there may be valid reasons why you need to run the Database Engine from a shared Network drive.

For example, you may be running a Novell Network and require to place the Database files on the Novell server for security and back-up purposes. As the Database Engine requires a Windows PC to run, it can't be run on the Server.

If this is the case, you can install the Database Engine to the mapped drive, but still run the Engine on a Windows PC. To do this, you need to start the Database Engine application with a command line parameter of /SHARE. This will then support the Engine running from a remote drive.

Caution: It is your responibility that only one instance of the Database Engine is ever running and that performance may be slower than a standard installation.


Backing up the Database

Smart Address stores the Address Database as a collection of Database Tables, Indexes and ancillary files in a sub-folder ( ../DATABASE ) of the folder where the Smart Address Database Engine (SAENGINE.EXE) is run from.

To back-up the Database, you only need to back-up the ../Database sub-folder.

To do this, you should:

  1. ensure that no clients are accessing Smart Address,

  2. shutdown the Address Database Engine,

  3. back-up the Database sub-folder

  4. restart the Address Database Engine

If you ever need to restore the Database simply repeat the above steps, but instead of backing-up the Databse sub-folder, restore it from your good last back-up.


The Smart Address Database Engine

The main part of Smart Address is its Database Engine

Smart Address stores all its Address Books in a Database which is controlled by the Smart Address Database Engine. This Engine has to be running for any Clients to access their Address Books. This is also true when running Smart Address on a single machine.

Each Client will pass requests (transactions) to the Database Engine, and the Database Engine will process those requests and pass the required information back to the Client.

The Database Engine (SAENGINE.EXE) when running will be displayed in the Windows System Tray as a small open book. In normal operation, there is no need to do anything with the Database Engine. It should be started when Windows starts and will be closed when Windows closes, and that's it. However, there are a few times when you may need to configure the Database Engine or to manual close it.

To access the Database Engines properties, click the icon in the Windows System Tray and the properties screen will be displayed. From this screen you have a number of "pages" available:

The Database Status Page

The Database Statistics Page

The Database Configure Page

The Database Network Page

The Database License Page


The Database Status Page

This page of the Database Engine's Properties screen gives the current status of the Database

Database Name: This field displays the name of the Database. By default this is given the same name as the computer it is running on, but maybe changed to reflect the use of the Database (e.g., Office Live). To change the name of the Database, use the Configure page.

Also displayed is the operating mode that the Database is running in. If will be either show as being:

"Standalone Database: Network Not Enabled"

In this mode, the Database can only be accessed by the Smart Address Client running on the same machine as the Database.

"Networked Database: [name@123.123.123.123]"

In this mode, the Database can be shared over the Network, allowing Smart Address Clients running on other machines to access the Database. The address displayed between the [ ] , shows the Network Address of the Database. Normally uses don't need to know this as the Client will automatically locates any available database, unless a Manual Database Connection is necessary.

Database Status: This field displays the current state of the Database (Active or Paused) and if active, the length of time the Database has been available.

Clients Active: This field displays the number of clients currently connected to the Database.

For More Information See...

The Database Statistics Page

The Database Configure Page

The Database Network Page

The Database License Page


The Database Statistics Page

This page of the Database Engine's Properties screen gives the current statistics for the Database

Database Statistics: These fields provide statistics about the Database, including the number of active sessions (does not always relate to the number of clients connected), tables and cursors.

A more important statistic, is the number of Memory Pages Used. This number shows the maximum number of physical memory pages that have been needed at one time. If this is showing greater that the number specified for the Memory Page Limit, and performance seems slower, then you may need to increase the Memory Page Limit to this amount.

Message Statistics: These fields display the statistics about the communication traffic between the Database Engine and its Clients and there are three figures:

Message Count

This field displays the number of messages received by the Database Engine since it was last started.

Messages Per Second

This field displays the number of Messages Per Second the Database Engine is processing and will constantly change as time passes).

Average Time Per Msg

This field displays the average time (in milliseconds) that it takes the Database Engine to respond to a message request from a Client.

For More Information See...

The Database Status Page

The Database Configure Page

The Database Network Page

The Database License Page


The Database Configure Page

This page of the Database Engine's Properties screen allows the Database configuration to be changed

Note: These settings cannot be changed while the Database Engine is active. To change any of these settings, pause the Database Engine first.

Configure Database Server: These fields control the configuration of the Database:

Database Server Name

This is the name of the Database. By default this is given the same name as the computer it is running on, but maybe changed to reflect the use of the Database (e.g., Office Live).

Memory Page Limit

This sets the "limit" to the number of memory pages that are allocated to the Database Engine. It is only a "soft" limit, in that if the Database Engine requires more pages than have been allocated, it will take them anyway. If the Memory Pages Used figure is showing greater than the number specified, and performance seems slower, then you may need to increase the Memory Page Limit.

Database Priority

This setting controls the priority that the Database Engine has over other applications running on the machine. To avoid other applications getting priority over the Database Engine, and therefore slowing Client access, the priority is set by default to Highest.

Client Alive Checking: These fields control how long it takes before an inactive client is disconnected from the Database. A Client is deemed inactive when it hasn't contacted the Database for a set period of time. This would normally be caused by the Client machine being turned off, without first being shut down.

Interval Between Messages

This field defines the interval (in milliseconds) in which a Client should have contracted the Database Engine to be deemed still "alive".

Interval between Client Alives

This field defines the interval (in milliseconds) that the Database will wait before sending a "Client Alive" message to the Client.

Client Alive Retries

This field defines the number of times the Database will retry sending the "Client Alive" message to the Client. If no response is received after the last retry, then the client will be disconnected.

By default, Smart Address will wait five minutes before disconnecting a Client.

For More Information See...

The Database Status Page

The Database Statistics Page

The Database Network Page

The Database License Page


The Database Network Page

This page of the Database Engine's Properties screen allows the Database to be configured for running over the Network or Standalone.

Note: These settings cannot be changed while the Database Engine is active. To change any of these settings, pause the Database Engine first.

Network Configuration: These settings allow you to define if the Database is going to be shared over a Network or not:

Standalone Database

This is the mode set by default during the install of Smart Address. In Standalone mode, both the Smart Address Database and the Smart Address Client are run on the same machine. In this set-up, the Address Books created are only available to the people using that machine.

Networked Database

This mode allows the Smart Address Database to be shared across a network and therefore accessed from any machines running the Smart Address Client.

Tip: If you wish to run over a network, the TCP/IP protocol must be installed on the client and server machines. If you only wish to run from a local database, then the TCP/IP protocol is not required.

For More Information See...

The Database Status Page

The Database Statistics Page

The Database Configure Page

The Database License Page


The Database License Page

This page of the Database Engine's Properties screen displays the License information for the database

Licensed to: This field displays the name used to purchase Smart Address

Product License Code: This field displays the License Code for this Database.

Maximum Number of Users: This field displays the maximum number of users that may connect to this database.

If you have just licensed Smart Address or you have upgraded the license, use the Change button to display the License Maintenance screen.

For More Information See...

The Database Status Page

The Database Statistics Page

The Database Configure Page

The Database Network Page


Configuring Smart Address

All configuration of Smart Address is performed from the Set-up screen of the Smart Address application. From this screen you can:

n Configure your personal preferences as to how you want Smart Address to "look and feel"

n Configure the way the Address Book is configured

n Perform Administration on the Address Database.

The only thing that is not configured from the Set-up screen is the Database Engine. This is configured from the Engine's properties screen.


User Preferences

The User Preferences screen allows you to configure how you, as the user, wants to have the Smart Address application looking and working.

These "user" settings are personal to you and apply to any Address Book you open. From this screen you can set-up:

Home Page: Enables the settings for the Address Book Home page to be configured.

Options: Enables the general "look and feel" of the Address Book to be configured.

Start-Up: Enables the actions Smart Address takes during start-up to be configured.

Dialing Options: Enables the dialing function of Smart Address to be configured.

Calendar Options: Enables the National Holidays that you wish to be displayed within Smart Address, to be selected.

Call Identifier: Enables the Call Identifier facility of Smart Address to be configured.


Book Settings

Configuring the Address Book

The Book Settings screen allows you to configure how you want the current Address Book to be configured.

These Book Settings are global to the Address Book and as such effect any users of that Address Book. From this screen you can set-up:

Log Options: Enables you to configure the way journal activities are generated for this Address Book.

Page Labels: Enables the labels for the Contact Pages to be defined.

Field Labels: Enables the fields used on the Contacts "Details" Page to be defined

Default Indexing: Enables the Default Index and Sort keys for the Address Book to be defined.

Note: If Access Permissions are enabled for the Address Book, then access to these options may be restricted depending on the level of access you have.

For More Information See...

Access Permissions for the Address Book


Database Administration

The Database Administration screen allows you to control level of security used when accessing the Address Database and also manage the User Accounts accessing the Database.

These settings are global to the Address Database and as such effect all Address Books and all users of that Database. From this screen you can set-up:

Security: Enables the database security settings to be configured.

User Manager: Enables the User Accounts defined to the Database to be maintained.

Note: To access these settings your user account must be defined as being an "Administrator" level account.

For More Information See...

Database Security

User Accounts and Security


Migrating from Microsoft Outlook

Smart Address supports importing from a number of applications, either by importing directly from the application or by importing a file exported from the application (a CSV File).

For Microsoft Outlook, Smart Address supports a direct import from the Outlook application. This means that it is very easy to migrate your existing contact information into Smart Address.

To import from Microsoft Outlook, select the Address Book's File, Import menu, followed by the "Other Applications" option. This will then display the Smart Address Import screen. From this screen select the "Import from Microsoft Outlook 2000" item and then click the Import button.

The Import Wizard will then be displayed allowing you to select which items from Microsoft Outlook you wish to import (see below).

Once the Import Wizard is finished, Smart Address will import the content from Microsoft Outlook into the current Address Book, preserving any folder structures that were in place.


Managing your Contacts

This section provides an overview of managing your contacts in Smart Address

When you first enter the Contact Section of your Address Book, you will notice that the screen is divided into two parts. On the left there is the Contact Index List and on the right is the Contact Group's screen, showing you details about the most recently updated items in that Group.

To navigate around your contacts, you select Contacts or Contact Groups from the Index List and the contents of that selection will be displayed to the right of the Index List. As you can see, key to quickly accessing contacts is to ensure they are displayed in the Index List in the right place and with the right name.

To control the positioning of the contact in the list, you can "group" contacts together in Contact Groups, for example: all you Bank contacts could go in a group called "Bank". Whilst groups allow you to define collections of contacts, it still doesn't control what the contact is called in the list, nor the order the contact appears in the group it is in. To do this, you need to set the Contact's Index and Sort Keys, either to use the default settings for the Address Book or to use keys specific to the contact only.

Once you have understood how to group, index and sort your contacts, the entering of contact details is fairly straight forward, but an key concept should be understood first. That of Address Templates.

The best way of understanding how to use contacts in Smart Address is to start using it. As you move through different screens, you will notice a [image] button. If you click this button, then Smart Address will display the help associated with the screen that is currently displayed.


Address Templates

A contact may have a number of Address Pages, with each page containing different information, for example business address details and home address details.

Each of these Address Pages is allocated an Address Template. This template dictates the format and layout of the information, controlling which fields are visible and what they are used for (i.e., labelled). As a contact can only use an Address Template once, the Address Page and Address Template can be considered one and the same (i.e, the Address Page called "Home" will always be using the Address Template "Home").

What this means is that each of these Address Pages are basically sub-contacts within the contact record.

For example: If we have a contact for a Mr Joe Martin, and allocated two Address Pages, one for business and one for home, we have in fact created two contact records, contained in a single contact record and sharing the same base information (e.g., notes, calendar, etc.).

This is an important point to understand as Smart Address treats these sub-contact as separate contacts when performing any output function (e.g., printing, letter production, etc.).

Even though Smart Address supports an unlimited number of Address Pages per contact, it is recommended that you limit your use to a maximum of two or three. If you start needing more than three, it might be that you are better creating separate contacts to hold that information and then grouping those contacts together using a Contact Group.


Indexing Contacts

For any contact, you need to use some words that identify that particular contact from any other contacts you may have. For example, the words that you may be use to identify your Bank Manager, might be "Bank Manager". Smart Address refers to such words as "Index Keys".

Smart Address uses Index Keys to represent each entry within the Contact Index List. To locate an entry, you would first locate it's Index Key, either by scrolling through the Index List or by performing a search of the Address Book. Once located, you simply click the mouse on the Index Key and the contents of that contact will be displayed.

So that a suitable Index Key can be created, Smart Address allows each Address Book to define which data fields are used for the Index Keys. To define these keys, use the Configure Default Index and Sort Fields facility.

For example: If your Address Book contains a number of Company contacts, you may choose to create your Default Index Keys based on the "Company" field. When entries are added to the Address Book, the data entered to the Company field will appear in the Contact Index List. However, You may have a number of entries for the same company, which will appear in the Index List with the same Index Key. In order to avoid this problem, Index Keys are allowed to be created from multiple fields, so you could redefine the Address Book's Index Keys to include the "Company" and "Position" fields, thus providing unique Index Keys for each entry.

When Index Keys are defined in the above way, they are referred to as the "Default Index Keys", so when an entry is created it uses these default keys. If the default keys are changed to use different fields, then all entries using the default, will automatically have their Index changed to reflect the new default.

Each entry can override the default Index Keys and specify its own Index keys (see Contact Properties - Index Page).

For Example: In the earlier example, your Address Book had been defined to use the "Company" and "Position" fields. You may find that some of your entries don't actually have Company or Position details, but have a First Name and Surname. These entries could define their own Index Keys to use the First Name and Surname fields. When an entry has overridden the default keys, changing the default keys will not affect that entry and it will continue to use its own Index Keys.

In addition to Index Keys, there are Sort Keys. Sort Keys control the alphabetical order that contacts are displayed in the Contact Index List. When defining the Default Index Keys, you can also define which of these Keys should be used to sort the List. For example, if the Index Keys had been defined for "Title" and "Surname", you could choose to order the list by the surname. Again, the Sort Key can also be overriden at the contact level, so the contact may use a different Sort Key that the default.


Contact Journals

Contact Journals provide a historic record of any events or actions that have taken place against a contact.

The Contact Journal provides an audit record of activity for an individual contact, by recording system generated activities (e.g., updates, security changes, etc.) and user generate activities (e.g., phone calls made, meetings attended, etc.).

What activities are recorded to the journal and how long the journal event is held, is dependant on how the journal options for the Address Book have been set-up. These options are defined by the Address Book's Log Options screen (found under Set-up's Book Settings option).

By supporting a full audit record of activity, Smart Address can provide an number of client management functions, in addition to simply providing a historic record of activity.

Example 1: Imagine the need to meet your key clients every six months. Using Smart Address Advanced search, you could create and save a filter that would return a list of all contacts in the category "Key Client", that haven't had a meeting journal event recorded for the last 180 days. As you can see, combining the journal and Smart Address' filters, you can quickly bring up a list of key clients you need to meet in a couple of mouse clicks.

Example 2: You may need to record the time spent working on client documents or talking to the client on the phone. By raising a journal event when the activity starts and starting the timer, you can record an exact duration for the activity. When the activity finishes, stop the timer and save the journal event. You can even have a number of journal events simultaneously running if you need to (e.g., working on documents, but also on the phone). You can then easily print the Client's journal events at a later date, showing the time that needs charging.


Contact Index List

The Contact Index list allows you to navigate through your contacts and to group those contacts into structured permanent groups (i.e., Groups) or temporary reference groups (i.e. Tagged Contacts).

To find out more about the indicated parts of the Index List, expand the items below:

Simple Search Toggle...

This button allows the Simple Search facility to be toggled on and off. When on, contacts can be quickly located by searching for specific characters within the index name. To turn-off the search facility, simply toggle the Simple Search button and the normal Contact Index List will be displayed again.

Advanced Search Toggle...

This button allows the Advanced Search facility to be toggled on and off. When on, you can select pre-defined search filters or create new filters by using combinations of search rules to quickly locate contacts. To turn-off the search facility, simply toggle the Advanced Search button and the normal Contact Index List will be displayed again.

Contact Groups...

Contact Groups are "folders" containing any number of contacts or sub-Groups. Contact Groups allow you to group your contacts into meaningful collections (e.g., Business, Personal, Family, etc.).

Tagged Contact...

Any number of Contacts can be "tagged" at any time, with tagged contacts being indicated by "pin" icon and the contact's index name is displayed in red. Tagging contacts allow temporary groups of contacts to be defined. For example, you might wish to tag all contacts that requested a sales brochure and at the end of the day, produce a mail shot based on just those tagged contacts.

Contact...

This displays the index name of the contact.


Contact Pages

Within each contact, there are seven pages of information available and each page can be selected by clicking the mouse on the appropriate Contact Page button. When a page is selected, that page's button will remain in a pressed state to indicate the current page selection (see the Address button above).

To find out more about each page, expand the items below:

Address Page...

This page contains the address information for a contact.

Notes Page...

This page contains the contact's freeform notes.

Calendar Page...

This page displays the contact's calendar, detailing any events or tasks defined for the contact.

Details Page...

This page contains extra details for the contact that are not necessarily suitable for containing within the Address Page.

Links Page...

This page contains any Internet Links or documents that have been attached to the contact.

Categories Page...

This page contains the categories this contact has been made a member of.

Properties Page...

This page provides access to the properties for this contact. From this page, the following properties can be displayed or defined:-

Address Templates: This controls which Address Templates are available to a contact's Address Page.

Indexing: This controls if the contact should use the Address Book's default Index Fields to control how the contact appears in the index list or if it should use its own index fields instead.

Journal: This displays the latest journal events for the contact and provides access to the full journal history of actions relating to the contact.

Permissions: This allows the access permissions for the contact to be set.

Tip: In the above description, the pages have been given their default names. However, the page names can be redefined for each address book by use of the Book Settings window (found under Set-up).

For More Information See...

Changing the Names used for the Page Labels

Setting the Default Index Fields for a Contact

What are Address Templates ?


Contact Address Page

Contacts Address Page

This window displays the Address information for a Contact and consists of a number of Address Pages with each Address Page containing address related information for the contact.

Each Address Page will display a number of text fields depending on the format and layout defined by the Address Template being used for that page.

To find out more about the indicated parts of the Address Page, expand the items below:

Contact's Index Name...

This field displays the text being used to index the contact in the Contact Index List. Its content depends of the settings defined for the contact's index properties.

Field Labels...

These labels describe the text fields they are associated with and are defined within the Address Template being used for the displayed Address Page.

Action Buttons...

There may be up to 8 Action Fields per Address Page, which are defined within the Address Template being used for the displayed Address Page. Depending on the use of the action field, an action button may be displayed next to its text entry field and a click on that button invokes the action for the field (e.g., dialing the telephone number).

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Text Entry Fields...

These fields are where you enter the contact information and each fields use is dependent on how the user has defined the field within that Page's Address Template.

Address Page Buttons...

These buttons allow you to switch between different Address Pages and therefore view different information about the contact.

To select a different address page, you simply click the required button at the bottom of the address page. This will then display the information contained on that address page for the contact. When an address page is selected, that page's button will remain in a pressed state to indicate the current address page selection (see the Business Address button above).

Note: When performing an "output" function that acts at a contact level (e.g., printing, writing letters, writing EMails), each Address Page is treated as a separate "contact". Therefore if you print a contact that contains three address pages, you will get three "prints" for that contact, one per Address Page. This behavior can be amended via the properties for the templates (e.g., disable the print option of a template).

Tip: To quickly change the label of a field, or to hide that field, simply click the field label with the mouse. A window will then be displayed allowing you to change the field's attributes.

Tip: A contact can use an unlimited number of Address Pages, but it is recommended that you limit your use to a maximum of two or three. If you start needing more than three, it might be that you are better creating separate contacts to hold that information and then grouping those contacts together using a Contact Group.

For More Information See...

What are Address Templates ?

The Contact Index List

What are the Contact Pages used for ?


Contact Notes Page

This window displays the freeform text that is attached to the currently displayed contact.

These notes support a "rich text" format, meaning you can highlight words by making them bold, change the size of the typeface, etc. To make use of these facilities, simply highlight the appropriate text and then use the note toolbar buttons to change the highlighted text.

Tip: If you want to quickly add a "timestamp" to the notes, click the [image] icon on the note toolbar. This will then insert the date, time and your user name in the notes.

For More Information See...

The Contact Index List

What are the Contact Pages used for ?


Daily Calendar

This screen displays a daily calendar view.

This screen displays a single day's view showing any calendar events defined for that day.

To find out more about the indicated parts of the Daily Calendar screen, expand the items below:

Previous Day...

This button will move the date displayed back one day, displaying the previous day's events.

Next Day...

This button will move the date displayed forward one days, displaying the next day's events.

Date Displayed...

This field displays the date currently displayed

Calendar Toolbar...

This toolbar provides the functions for managing the Calendar Events. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Calendar Header...

This header provides the column descriptions for the Daily Display. If you wish to re-order the list, then click the column description that you want to sort the list by, with the mouse.

Day Display...

This area of the Daily Calendar screen, displays any events defined for this day.

Tip: To quickly mark an Event complete, click the item's icon with the mouse.

Tip: If you want to see more details about a particular Event, simply pause the mouse pointer over the item and an information box will be displayed.

For More Information See...

Weekly Calendar View

Monthly Calendar View

Address Book Calendar

Address Book Tasks

National Holidays


Weekly Calendar

This screen displays a seven-day, or weekly, calendar view.

This screen displays a seven-day view showing any calendar events defined within the date range displayed.

To find out more about the indicated parts of the Weekly Calendar screen, expand the items below:

Previous Week...

This button will move the dates displayed back seven-days, displaying the previous week's events.

Next Week...

This button will move the dates displayed forward seven-days, displaying the next week's events.

Dates Displayed...

This field displays the date range of the days displayed

Calendar Toolbar...

This toolbar provides the functions for managing the Calendar Events. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Week Display...

This area of the Weekly Calendar screen, displays each day and any events due on those days.

Tip: If you want to display the daily calendar view for a particular day, simply double-click the mouse on the day's header bar.

Tip: To quickly mark an Event complete, click the item's icon with the mouse.

Tip: If you want to see more details about a particular Event, simply pause the mouse pointer over the item and an information box will be displayed.

For More Information See...

Daily Calendar View

Monthly Calendar View

Address Book Calendar

Address Book Tasks

National Holidays


Monthly Calendar

This screen displays a seven-day, or weekly, calendar view.

This screen displays a monthly view showing any calendar events defined within the month displayed.

To find out more about the indicated parts of the Monthly Calendar screen, expand the items below:

Previous Month...

This button will move the month displayed back displaying the previous month's events.

Next Month...

This button will move the month displayed forward displaying the next month's events.

Month Displayed...

This field displays the month currently displayed

Calendar Toolbar...

This toolbar provides the functions for managing the Calendar Events. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Month Display...

This area of the Monthly Calendar screen, displays each day and shows any events defined for those days.

Tip: If you want to display the daily calendar view for a particular day, simply double-click the mouse on the required day.

For More Information See...

Weekly Calendar View

Daily Calendar View

Address Book Calendar

Address Book Tasks

National Holidays


Contact Details Page

This window displays the Detail information for a Contact.

The Details page consists of a maximum of eight text fields depending on the format and layout defined by the Address Book's Field Labels screen (found under Set-up's Book Settings option).

To find out more about the indicated parts of the Details Page, expand the items below:

Contact's Index Name...

This field displays the text being used to index the contact in the Contact Index List. Its content depends of the settings defined for the contact's index properties.

Field Labels...

These labels describe the text fields they are associated with.

Action Buttons...

There may be up to 8 Action Fields on the Details Page. Depending on the use of the action field, an action button may be displayed next to its text entry field and a click on that button invokes the action for the field (e.g., dialing the telephone number).

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Text Entry Fields...

These fields are where you enter the contact information and each fields use is dependent on how the user has defined the field for the Address Book.

Tip: To quickly change the label of a field, or to hide that field, simply click the field label with the mouse. A window will then be displayed allowing you to change the field's attributes.

For More Information See...

The Contact Index List

What are the Contact Pages used for ?

Defining the Fields used by the Details Page


Contact Links Page

This window displays any document and Internet links that have been defined for the contact.

The Links Page allows the user to add external documents or Internet content links to a Contact. By adding these links, a "catalogue" of reference material for a Contact can easily be maintained and quickly accessed.

To find out more about the indicated parts of the Links Page, expand the items below:

Contact's Index Name...

This field displays the text being used to index the contact in the Contact Index List. Its content depends of the settings defined for the contact's index properties.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Links Toolbar...

This toolbar provides the functions for managing the Links for the Contact. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Linked Documents...

This area of the Links Page displays the names of the Links defined to this Contact. Selecting a Link will display the details for that Link in the bottom part of the Links Page.

Link Details...

These two areas provide details about the currently selected Link and will only be visible when a Link is selected. The two areas are:

Internet URL or Filename: The content of this field depends on the Link defined. It will either list the file path and name (if the Link is for a computer file) or the Internet URL (if the Link is for a Internet address).

Notes: This displays any associated notes that may be attached to the Link

For More Information See...

The Contact Index List

What are the Contact Pages used for ?


Contact Categories Page

This window displays the Categories the Contact has been made a member of and any available Categories.

The Categories Page allows a Contact to be assigned to "categories", providing a way to group or "categorize" your contacts. By utilizing Categories you can quickly produce different views of your contacts. For example you may wish to only print address labels for contacts in the "Christmas Cards" category.

Smart Address supports an unlimited number of Categories in an Address Book and each contact may be a member of any number of categories.

To find out more about the indicated parts of the Categories Page, expand the items below:

Contact's Index Name...

This field displays the text being used to index the contact in the Contact Index List. Its content depends of the settings defined for the contact's index properties.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Categories Toolbar...

This toolbar provides the functions for managing the Categories for the Contact and for the Address Book. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Categories Selected...

This area of the Categories Page displays the Categories that the current contact is already a member of. To remove a category from the Contact, simply double-click the name of the category with the mouse.

Categories Available...

This area of the Categories Page displays the Categories that are available in the Address Book, but have not been assigned to the current contact. To assign a category to the Contact, simply double-click the name of the category with the mouse.

Tip: As well as double-clicking a category with the mouse to move it between the Selected and Available lists, you can simply highlight the category required and drag it, with the mouse, to the other list.

For More Information See...

The Contact Index List

What are the Contact Pages used for ?


Contact Properties Page - Address Templates

This window displays the Address Templates currently in use by the displayed Contact.

The Templates Page allows a Contact to be assigned different Address Templates, with each template providing an Address Page for the contact. Having multiple templates for a contact allows different address information to be held, for example business address details and home address details.

Smart Address supports an unlimited number of Address Templates in an Address Book and each contact may be assigned to any number of templates. However, it is recommended that you limit your use to a maximum of two or three. If you start needing more than three, it might be that you are better creating separate contacts to hold that information and then grouping those contacts together using a Contact Group.

To find out more about the indicated parts of the Templates Page, expand the items below:

Contact's Index Name...

This field displays the text being used to index the contact in the Contact Index List. Its content depends of the settings defined for the contact's index properties.

Property Links...

These Links allow you to move between the different Contact Properties: Templates, Indexing, Journal and Permissions (if enabled), by simply clicking the link with your mouse.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Templates Toolbar...

This toolbar provides the functions for managing the Templates for the Contact and for the Address Book. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Active Templates...

This area of the Templates Page displays the Address Templates that are already assigned to the contact. To remove a Template from the Contact, simply double-click the name of the Template with the mouse.

Order Buttons...

These two buttons allow the order of the Address Templates for a contact to be controlled. By moving a Template up or down the list, you can define the order the Address Templates are displayed within the Contact Address Page

Available Templates...

This area of the Templates Page displays the Address Templates that are available in the Address Book, but have not been assigned to the current contact. To assign a Template to the Contact, simply double-click the name of the Template with the mouse

Tip: As well as double-clicking a template with the mouse to move it between the In Use and Available lists, you can simply highlight the Template required and drag it, with the mouse, to the other list.

For More Information See...

Address Templates Explained

The Contact Index List

What are the Contact Pages used for ?


Contact Properties Page - Indexing

This window displays the Indexing settings currently set for the displayed Contact.

The Indexing Page defines how the contact will appear in the Contact Index list and in what order. By default all contacts will use the Default Index settings as defined by the Address Book's Default Indexing screen (found under Set-up's Book Settings option).

If you wish to use a different Index setting for the current contact, simply click the Override Link. You will then be able to define the fields you wish to use for the Index Display and the fields to sort, or order, the contact on.

If at a later stage you wish to revert back to the default Index settings, then simply select the Default Option field. This will revert the contact back to use the default settings.

To find out more about the indicated parts of the Indexing Page, expand the items below:

Contact's Index Name...

This field displays the text currently being used to index the contact in the Contact Index List.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Property Links...

These Links allow you to move between the different Contact Properties: Templates, Indexing, Journal and Permissions (if enabled), by simply clicking the link with your mouse.

Default Option...

This option when selected (i.e., has a tick in the box) instructs Smart Address to use Default Indexing, as defined for the Address Book. When not selected (i.e., the box is empty), then the Contact is to use its own Index settings.

Index Display...

This displays the text that will be used to index the current contact. For example, you may have selected (or the Default Indexing has) to display the contact as a concatenation of the title, first name and surname fields from the contact (e.g., "Mr" and "Joe" and "Martin", giving an Index Display of "Mr Joe Martin").

Sorted By...

This displays the text that will be used to sort, or order, the contact in the Contact Index List. For example, the contact may be indexed on title, first name and surname (e.g., Mr Joe Martin), but you have selected (or the Default Indexing has) to order the list just on surname (e.g., Martin).

Override Link...

This link, when clicked with the mouse, enables you to override the Default Indexing defined for the Address Book with index settings specific to the current contact.

Tip: If possible, it is always best to use the Default Indexing defined for the Address Book. This allows you to quickly change the indexing of your contacts by simply changing the Default Indexing. If any contacts have overridden the Default Indexing, then they will not be changed and will need changing individually.

For More Information See...

Indexing Contacts Explained

The Contact Index List

What are the Contact Pages used for ?


Contact Properties Page - Journal

This window displays the Journal history for the displayed Contact.

The Journal Page allows access to the journal history for a Contact. The journal history is a record of system generated activities (e.g., updates, security changes, etc.) and user generate activities (e.g., phone calls made, meetings attended, etc.).

What activities are recorded to the journal and how long the journal event is held, is dependant on how the journal options for the Address Book have been set-up. These options are defined by the Address Book's Log Options screen (found under Set-up's Book Settings option).

The initial Journal Page displayed, shows the latest journal activities recorded for some of the key journal events. For a complete list of all journal activities recorded for a contact, you can click the Detailed Link, which will then display the Detailed Journal Screen.

To find out more about the indicated parts of the Journal Page, expand the items below:

Contact's Index Name...

This field displays the text currently being used to index the contact in the Contact Index List.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Property Links...

These Links allow you to move between the different Contact Properties: Templates, Indexing, Journal and Permissions (if enabled), by simply clicking the link with your mouse.

Detailed Link...

This link, when clicked with the mouse, displays the Detailed Journal screen, listing all recorded journal activities for the contact.

Journal Activities...

This part of the screen lists the key journal events and the date, time and user who performed that activity. If you need to see further details for any of the listed activities, simply click the event record with the mouse. This will then displayed the Journal Properties screen for that activity.

For More Information See...

The Contact Journal Explained

The Contact Index List

What are the Contact Pages used for ?


Contact Search - Simple

Simple Contact Search

This screen allows you to search the address book for contacts based on their Index Name.

The Simple Search screen allows you to quickly search for contacts based on the name that is displayed in the Contact Index List or based on the contents of any field within the contact. When searched, any contacts found to match the search text and search options specified are listed in the Search Results list. Selecting any contact in this list, then displays that contact's detailed information. To return to the Search screen, click the Search Results item found at the top of the results list.

To close the Search Windows, click the Close Search button or the Close link, to return to the Contact Index List.

To find out more about the indicated parts of the Search screen, expand the items below:

Close Search Button...

This button closed the Search screen and re-displays the Contact Index List.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the Search Results list.

Search Links...

These links provide quick access to search related functions and consist of:

Search Now: This searches the contacts using the search text and options entered.

Clear Search: This clears any existing Search Criteria

Advanced Search: This closes the Simple Search screen and then displays the Advanced Search screen.

Close: This closes the Simple Search screen and returns to the Contact Index List

Search Scope...

A search can be made against all Contacts in the Address Book or just against the contents of Contact Groups. This field indicates the current scope of the search and allows a different starting Group to be chosen.

Search Text...

This field allows you to specify the text that is to be searched for.

Search Options...

These options control if the search should be case-sensitive or not, and if the text entered should only be matched on complete words (e.g., Pete would return a match on Pete but not Peter).

Search Results...

This list performs in the same way of the Contact Index List, except it is limited to just displaying the contacts that meet the search criteria.

For More Information See...

Advanced Contact Searches


Contact Search - Advanced

Advanced Contact Search

This screen allows you to search the address book for contacts based on a number of differing search rules.

The Advanced Search screen allows you to build up a collection of different search rules into a "search criteria". When this "criteria" is used to search the contacts of an Address Book, any contacts found to match the criteria are listed in the Search Results list. Selecting any contact in this list, then displays that contact's detailed information. To return to the Search screen, click the Search Results item found at the top of the results list.

To close the Search Windows, click the Close Search button or the Close link, to return to the Contact Index List.

To find out more about the indicated parts of the Search screen, expand the items below:

Quick Search Filter...

The Filter field allows saved Search Filters to be quickly applied. This enables a collection of commonly used searches to be built up and then simply applied by selecting the Filter's name from this fields drop-down list.

Close Search Button...

This button closed the Search screen and re-displays the Contact Index List.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the Search Results list.

Search Links...

These links provide quick access to search related functions and consist of:

Search Now: This searches the contacts using the current Search Criteria.

Clear Search: This clears any existing Search Criteria

Simple Search: This closes the Advanced Search screen and then displays the Simple Search screen.

Close: This closes the Advanced Search screen and returns to the Contact Index List

Search Scope...

A search can be made against all Contacts in the Address Book or just against the contents of Contact Groups. This field indicates the current scope of the search and allows a different starting Group to be chosen.

Search Rule...

These fields allow you to define the search rule required. Depending on the search conditions selected these fields will change to reflect the aspects of the fields to be searched. Once you have constructed your search rule, you should use the Add button to add it to the Search Criteria list.

Add Button...

This button adds the currently defined search rule to the Search Criteria list.

Search Criteria....

This list displays the currently defined Search Criteria that will be used when performing the search. Each line of the criteria is made up of a search rule and together these decide which contacts are found during the search.

Search Results...

This list performs in the same way of the Contact Index List, except it is limited to just displaying the contacts that meet the search criteria.

Remove Button...

This button will remove the selected "rule" from the Search Criteria list.

Load Button...

This button allows a previously saved search filter to be recalled and the search fields set to match the content of that filter. This has the same effect as using the Quick Search Filter field, except that the Quick Search Filter also performs a search based on the filter being loaded. The load button just loads the saved filter.

Save Button...

This button allows the current content of the search fields to be saved as a Search Filter, allowing it to be recalled at a later date.

For More Information See...

Simple Contact Searches


Introduction to the Calendar

Introduction to the Calendar View

This section provides an overview of using the Address Book Calendar

When you first enter the Calendar Section of your Address Book, you will be greeted with the default daily Calendar view, which will show any calendar, task or holiday events due for the day displayed.

This view can be changed to show a complete week or complete month in a single view, along with any events due during the period displayed.

The best way of understanding how to use Calendar in Smart Address is to start using it. As you move through different screens, you will notice a [image] button. If you click this button, then Smart Address will display the help associated with the screen that is currently displayed.


Calendar Events

Introduction to Calendar Events

Smart Address supports two types of calendar events:

Standard Calendar Event

This type of event is used when just a single one-off event is required. For example, as a reminder to phone Joe back.

Recurring Calendar Event

The recurring event is a "set" of standard calendar events repeating at a regular interval (e.g., a birthday).


Calendar Event

The Calendar Event screen will be displayed when creating a new calendar event or when editing an existing event.

To find out more about the indicated parts of the Calendar Event screen, expand the items below:

Contact Name...

This field displays the name of the Contact that this Calendar Event is to be assigned to.

Select Contact Button...

This button allows you to assign this Calendar Event to a different Contact.

Event Priority...

This field allows the priority of the Calendar Event to be set. Priority 1 is highest, down to the lowest, Priority 9.

Event Subject...

This field allows the subject of the Calendar Event to be entered

Event Location...

This field allows a location for the calendar event to be entered.

Event Date...

These fields define the date and time of the Calendar Event. If the event does not have a specific time, then select the No Time option, which will make it an all-day event.

Set Reminder...

If you want to be reminded when an event is due, then you can set a reminder alarm to be issued at a specified period of time prior to the event. To set a reminder for the event, select the Set Reminder option and specify when you want the reminder to be issued.

Make Private...

If this option is selected, then only the Event Owner will be able to see the contents of the event. Other users will know there is an event for that date/time, but they will not be able to see any of the event's detail (e.g. subject or event notes).

Event Notes...

This area allows freeform text to be associated with the calendar event.

Assign Event Ownership...

If you want to create a reminder for another user, then by selecting the Access Tab you can select that user's name. This also means that any reminders for the event will be issued to that user and not to you.

Journal Options...

The Journal Options Tab allows you to tell Smart Address how to process the event when it is marked as completed. If required, a journal event can be generated to record the completion of the calendar event and you can also select what type of journal event it should be (e.g. meeting, phone call, etc.).

For More Information See...

Address Book Calendar

Smart Address and Reminders


Recurring Calendar Event

The Recurring Calendar Event screen will be displayed when creating a new recurring calendar event or when editing an existing event set.

Smart Address supports recurring events in addition to the standard calendar event. A recurring event is a "set" of reminders repeating at a regular interval (e.g., a birthday), whereas a standard event only happens once (e.g., phone Joe back).

To find out more about the indicated parts of the Recurring Calendar Event screen, expand the items below:

Contact Name...

This field displays the name of the Contact that this Calendar Event is to be assigned to.

Select Contact Button...

This button allows you to assign this Calendar Event to a different Contact.

Event Priority...

This field allows the priority of the Calendar Event to be set. Priority 1 is highest, down to the lowest, Priority 9.

Event Subject...

This field allows the subject of the Calendar Event to be entered

Event Location...

This field allows a location for the calendar event to be entered.

Event Date...

These fields define the date and time for the first calendar event of the recurring set. If the event does not have a specific time, then select the No Time option, which will make it an all-day event.

Set Reminder...

If you want to be reminded when an event is due, then you can set a reminder alarm to be issued at a specified period of time prior to the event. To set a reminder for the event, select the Set Reminder option and specify when you want the reminder to be issued.

Make Private...

If this option is selected, then only the Event Owner will be able to see the contents of the event. Other users will know there is an event for that date/time, but they will not be able to see any of the event's detail (e.g. subject or event notes).

Event Notes...

The Notes Tab allows freeform text to be associated with the calendar event.

Assign Ownership...

If you want to create a recurring reminder for another user, then by selecting the Access Tab you can select that user's name. This also means that any reminders for the event will be issued to that user and not to you.

Recurrence Settings...

This Tab page is used to specify the frequency and duration of the recurring reminder being entered. From this page you can select to create daily, weekly, monthly or yearly reminders.

Note: Unlike standard Calendar Events, it is not possible to record the completion of recurring events to the contact's journal.

For More Information See...

Address Book Calendar

Smart Address and Reminders


Calendar Search

This screen allows you to search the address book for calendar items based on a number of differing search rules.

The Calendar Search screen allows you to build up a collection of different search rules into a "search criteria". When this "criteria" is used to search an Address Book, any calendar items (i.e., Calendar Events, Tasks and Nation Holidays) found to match the criteria are displayed in the Calendar Search Results screen.

To find out more about the indicated parts of the Calendar Search screen, expand the items below:

Search Links...

These links provide quick access to search related functions and consist of:

Search Now: This searches the address book using the current Search Criteria.

Clear Search: This clears any existing Search Criteria

Close: This closes the Calendar Search screen and returns to the calendar view

Search Rule...

These fields allow you to define the search rule required. Depending on the search conditions selected these fields will change to reflect the aspects of the fields to be searched. Once you have constructed your search rule, you should use the Add button to add it to the Search Criteria list.

Add Button...

This button adds the currently defined search rule to the Search Criteria list.

Search Criteria....

This list displays the currently defined Search Criteria that will be used when performing the search. Each line of the criteria is made up of a search rule and together these decide which calendar items are found during the search.

Remove Button...

This button will remove the selected "rule" from the Search Criteria list.

For More Information See...

Calendar Search Result Screen

Address Book Calendar

Address Book Tasks

National Holidays


Introduction to Tasks

This section provides an overview of using the Address Book Calendar

Smart Address uses Tasks, when you want to track the progress of something you need to do. They are similar to standard calendar events, but unlike calendar events they don't necessarily happen at a set date and time, but normally span several days, and also allow their progress and budgets (if required) to be tracked

When you enter the Task section of the Address Book, you are presented with a single Task Display screen showing all the currently defined tasks. This display can be filter to show small sub-sets of tasks (e.g., outstanding tasks only) or searched to find Tasks meeting a certain criteria.

The best way of understanding how to use Tasks in Smart Address is to start using it. As you move through different screens, you will notice a [image] button. If you click this button, then Smart Address will display the help associated with the screen that is currently displayed.


Tasks Display

This screen displays the tasks defined to the Address Book.

Tasks are created when you want to track the progress of something you need to do. They are similar to standard calendar events, but unlike calendar events they don't necessarily happen at a set date and time, but normally span several days. This screen displays all the tasks, or selected tasks, in the Address Book.

To find out more about the indicated parts of the Tasks screen, expand the items below:

Quick View Button...

This button will "filter" the tasks displayed, depending on the option selected when the button is clicked. The options available are to show: "All Tasks", "Overdue Tasks Only", "In Progress Tasks Only", "Completed Tasks Only" and "All Outstanding Tasks".

Task Toolbar...

This toolbar provides the functions for managing the Tasks displayed. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Tasks Header...

This header provides the column descriptions for the Task Display. If you wish to re-order the list, then click the column description that you want to sort the list by, with the mouse.

Displayed Tasks...

This area of the Tasks screen, displays the tasks meeting the criteria specified by the "Quick View" button or by any Tasks search that may be in effect.

Tip: To quickly mark a Task complete, click the item's icon with the mouse.

Tip: If you want to see more details about a particular Task, simply pause the mouse pointer over the item and an information box will be displayed.

Tip: Tasks are color coded when displayed. If the task is in shown in Red it is overdue, Green it has been started (or is due to start) and is on schedule, Black the task hasn't yet started and is not due to start.

For More Information See...

Smart Address and Tasks

Searching for Tasks


Task Properties

The Task Properties screen will be displayed when creating a new recurring calendar event or when editing an existing event set.

Tasks are created when you want to track the progress of something you need to do. They are similar to standard calendar events, but unlike calendar events they don't necessarily happen at a set date and time, but normally span several days.

To find out more about the indicated parts of the Task Properties screen, expand the items below:

Contact Name...

This field displays the name of the Contact that this Task is to be assigned to.

Select Contact Button...

This button allows you to assign this Task to a different Contact.

Task Priority...

This field allows the priority of the Task to be set. Priority 1 is highest, down to the lowest, Priority 9.

Subject...

This field allows the subject of the Task to be entered

Task Dates...

These fields allow the Start Date (the day you want to start performing this task) and the Date Due (the date this task should be completed by) to be entered.

Status...

This field allows the current state of the task to be specified and can be one of the following:-

Not Started: The task has not yet started.

In Progress: The task is currently active and being worked on.

Completed: The task has been completed.

Pending: The task is delayed as it is waiting on something.

Postponed: The task has been postponed and will be restarted at a later date.

Cancelled: The task has been cancelled and will not be restarted.

Note: If the status is changed to "Completed", then the Percentage Complete field will be automatically changed to 100%

Percentage Complete...

This field allows the progress of the task to be tracked as a percentage. 0% being not started, 100% being completed.

Note: If the task has not yet started, changing the percentage to a value greater than zero will change the task status to "In Progress". Likewise, changing the percentage value to 100% will change the task status to "Completed".

Set Reminder...

If you want to be reminded about this task, then you can set a reminder alarm to be issued on a specified date and time. To set a reminder for the task, select the Set Reminder option and specify when you want the reminder to be issued.

Make Private...

If this option is selected, then only the Task Owner will be able to see the contents of the task. Other users will know there is an task defined, but they will not be able to see any of the task's detail.

Notes...

The Notes Tab allows freeform text to be associated with the task.

Assign Ownership...

If you want to create a task for another user, then by selecting the Access Tab you can select that user's name. This also means that any reminders for the task will be issued to that user and not to you.

Journal Options...

The Journal Options Tab allows you to tell Smart Address how to process the task when it is marked as completed. If required, a journal event can be generated to record the completion of the task and you can also select what type of journal event it should be (e.g. meeting, phone call, etc.).

Task Details...

This Tab page is used to specify the task details. From this page you can set or view:-

Date Started: This is the date the task was actually started. Normally this will be set automatically when the Status field changes from the "Not Started" state.

Date Completed: This is the date the task was actually completed. Again, normally this will be set automatically when the Status field changes to "Completed".

Budget Allowed: This is a freeform numeric field and can be used to specify a budget allowance to perform this task. It has no set "unit", therefore allowing you to use units to meet your requirements (e.g, Man-Days, hours, Dollars, etc.)

Actual Worked: Again this is a freeform numeric field and can be used to specify the "amount" of the budget you have actually used.

Budget Remaining: This display-only field automatically shows how much "budget" you have remaining for the task and changes whenever the "Budget Allowed" or "Actual Worked" values change.

For More Information See...

Address Book Tasks


Task Search

This screen allows you to search the address book for Tasks based on a number of differing search rules.

The Task Search screen allows you to build up a collection of different search rules into a "search criteria". When this "criteria" is used to search an Address Book, the Tasks screen will be filtered to only show Tasks found to match these criteria.

To find out more about the indicated parts of the Task Search screen, expand the items below:

Search Links...

These links provide quick access to search related functions and consist of:

Search Now: This searches the address book using the current Search Criteria.

Clear Search: This clears any existing Search Criteria

Close: This closes the Task Search screen and returns to the Tasks screen

Search Rule...

These fields allow you to define the search rule required. Depending on the search conditions selected these fields will change to reflect the aspects of the fields to be searched. Once you have constructed your search rule, you should use the Add button to add it to the Search Criteria list.

Add Button...

This button adds the currently defined search rule to the Search Criteria list.

Search Criteria....

This list displays the currently defined Search Criteria that will be used when performing the search. Each line of the criteria is made up of a search rule and together these decide which calendar items are found during the search.

Remove Button...

This button will remove the selected "rule" from the Search Criteria list.

For More Information See...

The Tasks Screen

Address Book Tasks


Introduction to Notes

This section provides an overview of using the Address Note Book

When you first enter the Address Note Book, you will notice that the screen is divided into two parts. On the left there is the Notes Index List and on the right is the Note Group's screen, showing you details about the most recently updated items in that Group.

To navigate around your notes, you select Notes or Notes Groups from the Index List and the contents of that selection will be displayed to the right of the Index List. As you can see, key to quickly accessing notes is to ensure they are displayed in the Index List in the right place and with the right name.

To control the positioning of the contact in the list, you can "group" notes together in Note Groups, for example: all you notes about your Bank could go in a group called "Bank".

To set the name of the Note or Note Group right-click, with your mouse, the item to be renamed in the Notes Index List and select Rename from the pop-up menu displayed. Once you have changed the name, press the Enter key or move to a different Note or Group to save the change.

Notes support a "rich text" format, meaning you can highlight words by making them bold, change the size of the typeface, etc. To make use of these facilities, simply highlight the appropriate text and then use the note toolbar buttons to change the highlighted text.

Tip: If you want to quickly add a "timestamp" to a note, click the [image] icon on the note toolbar. This will then insert the date, time and your user name in the note text.

As always, the best way of understanding how to use the Note Book in Smart Address is to start using it. As you move through different screens, you will notice a [image] button. If you click this button, then Smart Address will display the help associated with the screen that is currently displayed.


Note Index List

The Note Index list allows you to navigate through your notes and to group those notes into structured permanent groups (i.e., Groups).

To find out more about the indicated parts of the Index List, expand the items below:

Search Toggle..

This button allows the Search facility to be toggled on and off. When on, notes can be quickly located by searching for specific characters within the note name and/or the note keyword fields. To turn-off the search facility, simply toggle the Search button and the normal Note Index List will be displayed again.

Note Group...

Note Groups are "folders" containing any number of notes or sub-Groups. Note Groups allow you to group your notes into meaningful collections (e.g., Business, Personal, Family, etc.).

Note...

This displays the name of the note.


Note Properties

This window allows you to set the keyword values for the currently displayed note.

When searching the notes in an Address Book, the Note Name will be searched, but the content of the note is not included. However Note Keywords are provided to extend the searchable text.

Each note can have a maximum of 8 keyword fields defined, each containing any number of words, up to a maximum of 60 characters per field.

When the notes are then searched, these fields can be included in the search to help narrow down the search result.

For More Information See...

Searching an Address Book's Notes


Notes Search

This screen allows you to search the address book for Notes based on their name and their keywords.

The Notes Search screen allows you to quickly search for Notes based on the name of the note or its keywords. When searched, any notes found to match the search text and search options specified are listed in the Search Results list. Selecting any note in this list, then displays that note's detailed information. To return to the Search screen, click the Search Results item found at the top of the results list.

To close the Search Windows, click the Close Search button or the Close link, to return to the Notes Index List.

To find out more about the indicated parts of the Notes Search screen, expand the items below:

Close Search Button...

This button closed the Search screen and re-displays the Notes Index List.

Browse Buttons...

These buttons allow you to browse through the notes by moving backwards or forwards through the Search Results list.

Search Links...

These links provide quick access to search related functions and consist of:

Search Now: This searches the notes using the search text and options entered.

Clear Search: This clears any existing Search Criteria

Close: This closes the Notes Search screen and returns to the Notes Index List

Search Scope...

A search can be made against all Notes in the Address Book or just against the contents of Note Groups. This field indicates the current scope of the search and allows a different starting Group to be chosen.

Search Text...

This field allows you to specify the text that is to be searched for.

Keyword Search...

Selecting this option will cause the search to also search the note's keyword fields as well. If the option is not selected, then the search will only be made against the note's name.

Search Options...

These options control if the search should be case-sensitive or not, and if the text entered should only be matched on complete words (e.g., Pete would return a match on Pete but not Peter).

Search Results...

This list performs in the same way of the Note Index List, except it is limited to just displaying the notes that meet the search criteria.

Note: The Notes being search shouldn't be confused with the Notes contained within a Contact entry. This search only search the notes defined to the Address Book's Notes section.

For More Information See..

Notes Index List


Producing Reports using Smart Address

Smart Address includes a very powerful report capability, allowing you to create the reports you want. To effectilvely use this report capability, it is recommended you spend some time going through this guide.

1. Terminology

When referring to reports in Smart Address, it is helpful to understand the key terminology used. This section explains the meanings behind the terminology

2. Reporting Overview

This provides an overiew of the various parts of Smart Address' report capability.

3. Data Fields

When printing information from an Address Book, Smart Address pre-processes it into a number of Report Data Fields. This section explains what these Report Data Fields are

4. Report Templates

Key to producing reports in Smart Address, are Report Templates. This section explains what Report Templates are and how to create them.

5. The Report Designer

The Report Designer which was introduced in 3. Report Templates above, is covered in more detail in this section.

6. Producing a Report

A report capability is no good, if you can't produce reports. This section describes how to produce those reports from the data within your Address Book.


Terminology

Report Terminology

When referring to reports in Smart Address, it is helpful to understand the key terminology used.

To understand any of the following terms, click the item to expand it: -

Report...

The end-result of a print request, showing the data requested.

Report Template...

The physical layout and content that a report is to be based on.

Report Library...

The screen in Smart Address that displays the Report Templates currently defined and allows those templates to be maintained.

Report Designer...

The screen that is displayed allowing a Report Template's layout to be defined.

Report Data...

The selection of information from the Address Book that is to be printed.

Preview Window...

The screen that allows a preview of the formatted Report to be viewed.

Print Wizard...

The Smart Address Wizard that steps you though the process of selecting the Report Data, the Report Template to be used and the destination of the Report (screen or printer).


Reporting Overview

This provides an overview of the various parts of Smart Address' report capability.

Smart Address creates its reports using the following process:

Central to producing reports is the Print Wizard. This identifies, from questions to the user, what sub-set of Address Book Information is required. This could be something like, "All contacts that are Tagged".

Next, the Print Wizard identifies how you want to lay this information out on the final printed paper. To do this, the Wizard asks the user to select a pre-defined Report Template from the Template Library. This Report Template will have been designed exactly how the report will look and also which fields of the Address Information are to be included.

The final step involves the Print Wizard merging the two "inputs" (Address Book information and the Report Template), to create the formatted report output.

Whilst the process allows total flexibility in the reports Smart Address can produce, there will be times when you just want to produce a standard report very quickly, for example: an address label for the current contact. Having to go to the Print Wizard and step through the questions every time is not very efficient. To cater for this, Smart Address has Print Favorites.

When the Print Wizard produces a report, the control information for that report can be saved to a Print Favorites, which is stored with the user's personal settings. Within the control information saved are the answers to all the questions asked by the Print Wizard. This means, the next time you want to run that same report again, you can by quickly selecting the Favorite from the Address Book's File, Print Favorites menu.

Note: A Print Favorite doesn't reprint the report, it reruns the whole print process. This means if the original report was for a Mail Label for the Current Contact, when you run the Print Favorite next time, it will produce that Mail Label, but for whichever contact is currently selected.


Report Data Fields

Report Data Fields are used by Smart Address when it pre-processes Address Book information for an output function. For example, it is these Report Data Fields you use when producing reports, Writing Letters, Insert to other Applications, etc., to identify the data from the Address Book you want.

Whilst Smart Address names these fields with as meaningful names as possible, the nature of Smart Address, being totally customizable, means that these fields will not always reflect the actual content extracted.

An Example will make this problem clearer:

A contact uses two Address Templates with one template using the seventh field for an EMail address, labelled "E-Mail", and the other template using the same field for a telephone number, labelled "Home Phone".

When this contact is "printed", both templates could be included in that print (if they are both marked as printable) and because of this there will be two items output to the report for this contact (one per template).

When the user selected the fields to include in the report, a list of the available fields to be included would have been displayed, one for each possible item that could be output. In our example, there are two different labels for the same output field; "E-Mail" and "Home Phone". Remember, each template creates a different output item for the contact, so how does Smart Address name this field?

What Smart Address will do, is find the Address Template that is marked as "Printable" with the lowest "Template Position" (for information on these meanings, see Address Templates). It will then use the field labels defined to this template to name its Report Data Fields. By using this method, it is possible to set which names are used, by setting a specific Address Template as being "Printable" and giving it a lower "Template Position" than all the others.

Tip: You don't have to assign this template to any contacts, but you could just use it for naming the Data Fields.

Data Field Types

There are four different Data Field Types, one for each type of Address Information. The following topics describe what each type's Data Fields are used for:

Contact Data Fields

Calendar and Task Data Fields

Journal Data Fields

Notes Data Fields


Report Templates

This guide provides an overview of the Report Templates concept in Smart Address and provides a tutorial "walk through" on creating your own templates.

Introduction

When Smart Address produces reports, all it knows about is the information (or data) that you want to print. This information may be a selection of contacts, a range of calendar events, etc. What you also need to provide is the details of how you want this information arranged (i.e. the layout) on the print. This "layout" is called a Report Template.

When Smart Address produces the report, it builds the selected data and then merges this with the Report Template you want to use. The end result is a formatted report, which has been customized by yourself; to the way you want it.

Creating a Report Template

The best way to understand how Report Templates are created and used is to actually do it. What we shall do is step through a few examples creating new Report Templates within Smart Address.

Example 1: Contact Telephone Listing

This example, steps you through the process of creating a Contact telephone listing and introduces you to the basics of the Report Designer.

Example 2: Creating a Template for an Address Label

Smart Address contains a number of pre-defined labels that can be used for your reports. This example shows you how to create a Report Template to use one of these labels.

Example 3: Creating a Templates for a custom Address Label

There may be times when you will want to use a label that is not defined to Smart Address. This example shows you how to create a Report Template to use a custom label.

Example 4: Creating a Template for a Envelope

This example shows you how to create a Report Template that allows you to output your Report to an envelope.


Report Templates Example 1: Contact Telephone Listing

This example will step you through the process of creating a Report Template to produce an A-Z telephone listing for the contacts in an Address Book.

Before you can start this example, you need to be in the Report Library screen of Smart Address. To display the Report Library in Smart Address, select Smart Address' Go menu and then the Report Library option. Alternatively, simply click on the Set-up page of Smart Address' Shortcut bar and then click the Report Templates icon.

Note: This tutorial will step through each process necessary to create the Report Template. It is recommended that you follow each step carefully and at the same time perform the instructions using Smart Address.

Previous Step - Start Tutorial


Report Templates Example 2: Creating a Template for an Address Label

This example will step you through the process of creating a Report Template that uses one of the pre-defined label formats.

Before you can start this example, you need to be in the Report Library screen of Smart Address. To display the Report Library in Smart Address, select Smart Address' Go menu and then the Report Library option. Alternatively, simply click on the Set-up page of Smart Address' Shortcut bar and then click the Report Templates icon.

Note: This tutorial will step through each process necessary to create the Report Template. It is recommended that you follow each step carefully and at the same time perform the instructions using Smart Address.

Note: It is also recommended that you have already completed the previous example, before starting this example. This example makes assumptions that you already understand the basics introduced in that example.

Previous Step - Start Tutorial


Report Templates Example 3: Creating a Template for a custom Address Label

This example will step you through the process of creating a Report Template that uses a "custom" Address Label.

Before you can start this example, you need to be in the Report Library screen of Smart Address. To display the Report Library in Smart Address, select Smart Address' Go menu and then the Report Library option. Alternatively, simply click on the Set-up page of Smart Address' Shortcut bar and then click the Report Templates icon.

Note: This tutorial will step through each process necessary to create the Report Template. It is recommended that you follow each step carefully and at the same time perform the instructions using Smart Address.

Note: It is also recommended that you have already completed the previous examples, before starting this example. This example makes assumptions that you already understand the basics introduced in those examples.

Previous Step - Start Tutorial


Report Templates Example 4: Creating a Template for an Envelope

Report Templates Example 4: Creating a Template for a Envelope

This example will step you through the process of creating a Report Template that uses an Envelope.

Before you can start this example, you need to be in the Report Library screen of Smart Address. To display the Report Library in Smart Address, select Smart Address' Go menu and then the Report Library option. Alternatively, simply click on the Set-up page of Smart Address' Shortcut bar and then click the Report Templates icon.

Note: This tutorial will step through each process necessary to create the Report Template. It is recommended that you follow each step carefully and at the same time perform the instructions using Smart Address.

Note: It is also recommended that you have already completed the previous examples, before starting this example. This example makes assumptions that you already understand the basics introduced in those examples.

Previous Step - Start Tutorial


Report Designer

The Report Designer

Key to producing reports, is the Report Designer. It is this that creates the format, layout and content of the Report.

Due to the flexibility of providing a way for the user to create their own report formats and content, the tool required to do this needs to be very flexible. This flexibility can make the Report Designer seem complex and off-putting. However, once you understand the basics, you can quickly create visually appealing reports. To get you going quickly, we have included a number of tutorials showing you how to produce some simple reports. It is strongly recommended that you spend time going through these tutorials as they explain a lot about how the Report Designer works.

Once you are confident you understand these basics, you can if you wish, delve deeper into the capabilities of the Report Designer, including graphics, bar-codes and generally producing more complex and stunning reports. However, if you are happy just using the basics and the pre-installed samples, then that is fine. The facilities are there, but you don't need to use them if you don't want to.

Whilst going through the tutorials, you would have seen that the Report Designer screen, consists of numerous buttons, menus and generally strange things. The following explains what these all are and where you may need to use them. However, the best way of learning to use the Report Designer is to experiment with it.

The Menus

The Toolbars

The Strange


Producing a Report

A report capability is no good, if you can't produce reports. This section describes how to produce those reports from the data within your Address Book.

Once you understand the terminology and concepts of producing reports in Smart Address, the actual production of reports is easy.

You can produce a report in two ways:

Print Favorites

If you have already produce the report you want, you can quickly re-produce that report against new data, by running the Print Favorite from the Address Book's File menu.

Print Wizard

The other way to produce a report (and the only way if you haven't saved a Print Favorite to do it) is to run the Print Wizard. This Wizard simplifies producing reports by stepping you through the decision process and then produces the report for you at the end.


Introduction to Writing letters

Smart Address includes a powerful "mail merge" capability, the Write Letter facility. This allows you to produce letters by combining information from your Address Book with a Letter format (or Template) to automatically produce a letter for each contact, or a selection of contacts.

Note: The Letter Facility in Smart Address requires Microsoft Word 97 or later to be installed.

1. Terminology

When referring to Letters in Smart Address, it is helpful to understand the key terminology used. This section explains the meanings behind the terminology

2. Writing Letters Overview

This provides an overview of the various parts of Smart Address' letter capability.

3. Data Fields

When extracting information from an Address Book to go into a letter, Smart Address pre-processes it into a number of Report Data Fields. This section explains what these Report Data Fields are

4. Letter Templates

Key to producing letters in Smart Address, are Letter Templates. This section explains what Letter Templates are and how to create them.

5. Writing a Letter

A Letter capability is no good, if you can't produce letters. This section describes how to produce those letters from the data within your Address Book.


Terminology

Letter Terminology

When referring to letters in Smart Address, it is helpful to understand the key terminology used.

To understand any of the following terms, click the item to expand it: -

Letter...

The end-result of a write letter request which will be displayed in your Word Processor.

Letter Template...

The physical layout and content that a letter is to be based on.

Letter Library...

The screen in Smart Address that displays the Letter Templates currently defined and allows those templates to be maintained.

Report Data...

The selection of information from the Address Book that is to be inserted to the Letter.

Letter Wizard...

The Smart Address Wizard that steps you though the process of selecting the Report Data and the Letter Template to be used, before finally creating the letter in your Word Processor.


Writing Letters Overview

This provides an overview of the various parts of Smart Address' Letter capability.

Smart Address creates letters using the following process:

Central to producing letters is the Letter Wizard. This identifies, from questions to the user, what sub-set of Address Book Information is required. This could be something like, "All contacts that are Tagged".

Next, the Letter Wizard identifies how you want to lay this information out in the final letter. To do this, the Wizard asks the user to select a pre-defined Letter Template from the Template Library. This Letter Template will have been designed exactly how the letter will look and also which fields of the Address Information are to be included.

The final step involves the Letter Wizard merging the two "inputs" (Address Book information and the Letter Template), to create a formatted letter for each contact within the sub-set of Address Book Information selected.

Whilst the process allows total flexibility in producing letters, there will be times when you just want to produce a standard letter very quickly, for example: a response to a sales enquiry for all tagged contacts. Having to go to the Letter Wizard and step through the questions every time is not very efficient. To cater for this, Smart Address has Letter Favorites.

When the Letter Wizard produces a report, the control information for that report can be saved to a Letter Favorites, which is stored with the user's personal settings. Within the control information saved are the answers to all the questions asked by the Letter Wizard. This means, the next time you want to produce the same letter again, you can by quickly selecting the Favorite from the Address Book's Tools, Letter Favorites menu.

Note: A Letter Favorite doesn't "reprint" the letter, it reruns the whole letter process. This means if the original report was for all tagged contacts, when you run the Letter Favorite next time, it will produce that letter, based on the specified template, but for whichever contacts are now currently selected.


Letter Templates

This guide provides an overview of the Letter Templates concept in Smart Address and provides a tutorial "walk through" on creating your own template.

Introduction

When Smart Address produces a letter, all it knows about is the information (or data) that you want to print. This information may be a selection of contacts, a single contact, etc. What you also need to provide is the details of how you want this information arranged (i.e. the layout) for the letter. This "layout" is called a Letter Template.

When Smart Address produces a letter, it builds the selected data and then merges each contact with the Letter Template you want to use. The end result is a formatted, personalize letter per contact, which has been customized by yourself; to the way you want it.

Creating a Letter Template

The best way to understand how Letters Templates are created and used is to actually do it. What we shall do is step through an example creating a new Letter Template within Smart Address.

Example: Creating a Letter Template

This example, steps you through the process of creating a new Letter Template and introduces you to the Letter Designer.


Example: Creating a New Letter Template

Letter Templates Example: Creating a New Letter Template

This example will step you through the process of creating a Letter Template for use by Smart Address' Write Letter facility.

Before you can start this example, you need to be in the Letters Library screen of Smart Address. To display the Letters Library in Smart Address, select Smart Address' Go menu and then the Letter Templates option. Alternatively, simply click on the Set-up page of Smart Address' Shortcut bar and then click the Letter Templates icon.

Note: This tutorial will step through each process necessary to create the Letter Template. It is recommended that you follow each step carefully and at the same time perform the instructions using Smart Address.

Previous Step - Start Tutorial


Producing a Letter

Writing a Letter

A Letter capability is no good, if you can't produce letters. This section describes how to produce those letters from the data within your Address Book.

Once you understand the terminology and concepts of writing letters in Smart Address, the actual production of letters is easy.

You can write a letter in two ways:

Letter Favorites

If you have already written the letter you want, you can quickly re-produce that letter against new data, by running the Letter Favorite from the Address Book's Tool's menu.

Letter Wizard

The other way to write a letter (and the only way if you haven't saved a Letter Favorite to do it) is to run the Letter Wizard. This Wizard simplifies producing letters by stepping you through the decision process and then "writes" the letter(s) for you, displaying them in Microsoft Word when finished.


Introduction to Sending EMails

Smart Address includes a powerful "EMail shot" capability, the Write EMail facility. This allows you to produce EMails by combining information from your Address Book with a Letter format (or Template) to automatically produce a personalized EMail for each contact, or a selection of contacts.

Note: The EMail Facility in Smart Address requires Microsoft Word 97, or later, and a MAPI compliant Mail Client to be installed.

1. Terminology

When referring to EMails in Smart Address, it is helpful to understand the key terminology used. This section explains the meanings behind the terminology

2. Sending EMails Overview

This provides an overview of the various parts of Smart Address' EMail capability.

3. Data Fields

When extracting information from an Address Book to go into an EMail, Smart Address pre-processes it into a number of Report Data Fields. This section explains what these Report Data Fields are

4. Letter Templates

Key to producing reports in Smart Address, are Letter Templates. This section explains what Letter Templates are, how they are used when producing EMails and how to create them.

5. Writing an EMail

An EMail capability is no good, if you can't produce EMails. This section describes how to produce those EMails from the data within your Address Book.


EMail Terminology

When referring to EMails in Smart Address, it is helpful to understand the key terminology used.

To understand any of the following terms, click the item to expand it: -

EMail...

The end-result of a write Email request which will be sent to your Outbox in Microsoft Outlook.

Letter Template...

The physical layout and content that an EMail is to be based on.

Letter Library...

The screen in Smart Address that displays the Letter Templates currently defined and allows those templates to be maintained.

Report Data...

The selection of information from the Address Book that is to be inserted to the Letter.

EMail Wizard...

The Smart Address Wizard that steps you though the process of selecting the Report Data and the Letter Template to be used, before finally creating the EMails in Microsoft Outlook


Sending EMails Overview

This provides an overview of the various parts of Smart Address' EMail capability.

Smart Address creates EMails using the following process:

Central to producing EMails is the EMail Wizard. This identifies, from questions to the user, what sub-set of Address Book Information is required. This could be something like, "All contacts that are Tagged".

Next, the EMail Wizard identifies how you want to lay this information out in the final letter. To do this, the Wizard asks the user to select a pre-defined Letter Template from the Template Library. This Letter Template will have been designed exactly how the EMail will look and also which fields of the Address Information are to be included.

The final step involves the EMail Wizard merging the two "inputs" (Address Book information and the Letter Template), to create a formatted EMail for each contact within the sub-set of Address Book Information selected.

Whilst the process allows total flexibility in producing EMails, there will be times when you just want to produce a standard EMail very quickly, for example: a response to a sales enquiry for all tagged contacts. Having to go to the EMail Wizard and step through the questions every time is not very efficient. To cater for this, Smart Address has EMail Favorites.

When the EMail Wizard produces an EMail, the control information for that EMail can be saved to an EMail Favorites, which is stored with the user's personal settings. Within the control information saved are the answers to all the questions asked by the EMail Wizard. This means, the next time you want to produce the same EMail again, you can by quickly selecting the Favorite from the Address Book's Tools, EMail Favorites menu.

Note: A EMail Favorite doesn't "reprint" the EMail, it reruns the whole EMail process. This means if the original EMail was for all tagged contacts, when you run the EMail Favorite next time, it will produce that EMail, based on the specified template, but for whichever contacts are now currently selected.


Letter Templates for EMails

This guide provides an overview of the Letter Templates concept in Smart Address and provides a tutorial "walk through" on creating your own template for use when writing EMails.

Introduction

When Smart Address produces an EMail, all it knows about is the information (or data) that you want to include in that EMail. This information may be a selection of contacts, a single contact, etc. What you also need to provide is the details of how you want this information arranged (i.e. the layout) for the EMail. This "layout" is called a Letter Template.

Important: EMails in Smart Address, share the same Letter Templates used when writing letters. However there is an important limitation when using letter templates in EMails. Letter Templates that are to be sent as EMails, cannot contain graphics. This is due to a limitation within Microsoft Outlook, where any graphics included within the Letter Template, will be sent as "empty" graphic frames only.

When Smart Address produces an EMail, it builds the selected data and then merges each contact with the Letter Template you want to use. The end result is a formatted, personalize EMail sent to each EMail address defined for a contact (so one contact could have a number of EMails sent), which has been customized by yourself; to the way you want it.

Creating a Letter Template

The best way to understand how Letters Templates are created and used is to actually do it. What we shall do is step through an example creating a new Letter Template within Smart Address.

Note: This following tutorial is the same tutorial used for the Writing Letters example and contains graphics in the example shown. Please see the important statement above, regarding the use of graphics in content to be sent as an EMail.

Example: Creating a Letter Template

This example, steps you through the process of creating a new Letter Template and introduces you to the Letter Designer.


Writing an EMail

An EMail capability is no good, if you can't produce EMails. This section describes how to produce those EMails from the data within your Address Book.

Once you understand the terminology and concepts of writing EMails in Smart Address, the actual production of letters is easy.

You can write a EMail in two ways:

EMail Favorites: If you have already written the EMail you want, you can quickly re-produce that EMail against new data, by running the EMail Favorite from the Address Book's Tool's menu.

EMail Wizard: The other way to write a EMail (and the only way if you haven't saved an EMail Favorite to do it) is to run the EMail Wizard. This Wizard simplifies producing EMails by stepping you through the decision process and then "writes" the EMail(s) for you, placing them in your Microsoft Outlook Outbox.

When getting Smart Address to write an EMail for a contact, or selection of contacts, it is important to know how Smart Address determines which EMail Address to send the EMail to and in what format (plain text or Rich Text).

For each contact selected, Smart Address scans that contact and extracts the contents of each EMail Action Field. If no fields have been defined, or those fields are empty, then a EMail will not be sent to that contact.

For each address found, Smart Address will generate an EMail using the EMail Format specified for the field's Address Template, providing that the Address Template has been set to be included when producing EMails.


How does it Work

How does the Call Monitor Work

When Caller Identifier is enabled in Smart Address (see Configuring Caller Identifier) Smart Address places an application, the Call Monitor, in the Windows System Tray that looks like a small telephone handset. This application should always remain running, otherwise incoming phone calls will not be monitored.

For Caller Identifier to work in Smart Address, it doesn't matter if your Address Book is open or not. As long as the Database Engine is running, incoming telephone calls will active the monitor.

Tip: When Smart Address is installed a shortcut to the Call Monitor is placed in your Windows Start-Up folder. This means that whenever you start Windows, the Call Monitor will be automatically started. Note: If you haven't enabled the Call Monitor facility, then the monitor will terminate as soon as it starts.


What Happens when a Call is received

As soon as a telephone call is recognized, the Call Identifier monitor will look up the telephone number against the host Smart Address Database. If it finds the telephone, it retrieves the contact's details and displays them on the screen. If it doesn't find a matching entry, then a blank call record will be displayed.

Tip: By using the Browse Buttons you can access a history of calls received. This means that if you have been away from the office or your computer, when you come back you can see who has phoned you even if they didn't leave a message.

For more details on each part of the screen above, expand the items below.

Browse Buttons...

This buttons allow you to browse through all calls received since the Call Monitor was started.

Close...

This button closes the Call Screen

Callers Details...

This part of the screen displays the name of the caller and their address as contained within the Address Book it was located in.

Telephone Number...

This displays the telephone number the caller is calling from.

Time of Call...

This displays the date and time that the call was received.

Open...

Using this link, or pressing F4, will open the Address Book containing the contact automatically locate and display the details for the contact.

Create...

If a contact entry matching the telephone number couldn't be found, then a blank call record will be displayed. Using this link, or pressing F5, will then create a new contact entry, inserting the telephone number into the telephone field for that entry.

Log...

Using this link, or pressing F9, will allow the call to be logged to the contact's journal.

Call Back...

Using this link, or pressing F8, allows a calendar event to be raised to schedule a "call back", or return phone call, for this contact.


Logging a Call from the Call Screen

If you wish to log the current phone call to the contact's journal, then you should press the F9 key, or click the Log the Call link.

This will then expand the Call screen, allowing details to be entered for the log record. When the call has finished, press F10 (or use the Save Call Log link) to save this log record to the Contact's Journal.

More details on each part of the screen above, expand the items below.

Subject...

This field allows you to enter a descriptive title for the journal entry being made

Notes...

This field allows freeform text to be associated with the journal entry

Current Duration of Call...

When you open the Log screen, this timer is automatically started allowing you to time the duration of the telephone call.

Timer Controls...

These controls allow the Timer to be started, paused or stopped by use of the appropriate timer buttons. Whilst the timer is active, the Timer Active label will flash and the elapsed time will be shown in the Duration of Call field. Note: If you stop the timer and then restart it, the duration will be reset to zero. If you want to stop the timer and then restart it later, you should use the Pause button instead.

For More Information See...

The Contact Journal Explained


Stopping the Call Monitor

It is recommended that you leave the Call Monitor running at all times. This way it will continuously monitor your incoming calls.

However, if you wish to stop the Call Monitor, you should right-click the Monitor's icon in the Windows System Tray and select Terminate Call Monitor from the pop-up menu displayed.

If you want to permanently disable it, then you should select the Disable Call Monitor option from the Call Monitor's Configuration screen.


Database Security

Introduction to Using Security in Smart Address

This section explains the use of Security in Smart Address to control access to the Address Database and to the contents of that Database.

Security Overview

There are four concepts to understand when discussing security in Smart Address:

User Accounts: : For every user who accesses a Smart Address Database, that user will use a unique User Account. This User Account is key to controlling what the user can do and access within Smart Address

Logon Security: Before a user can access an Address Book, they must first login to the Address Database. This login process validates that the user is who they say they are, and defines the level of access they are allowed.

Administrator Account: Key to managing an Address Database is the Administrator account, or accounts.

Access Permissions: Access Permissions allow access to the content of an Address Book to be controlled and managed. Using Access Permissions, content can be protected so only selected users can view or update that content.

By default, security is set at its lowest level. This means that users are automatically created when they first access Smart Address, they don't need to manually log-in and Access Permissions is disabled, allowing full access to any content within the Address Book.

Whilst this will suite a majority of installations, there is likely to come a time when you may need to start utilizing some degree of security in Smart Address.

Continue>>>


User Accounts

User Accounts and Security

Security in Smart Address is based on the User Name used to login to the Database. Each user’s account is allocated a unique security token, which is used when validating security access to any part of the database.

Whenever Smart Address validates the security access for a user, it does it in two steps. Firstly, Smart Address looks up the user in the access list for the Database to see if they have been defined. If they have, Smart Address validates the access against their security record. If they haven't been defined, then Smart Address will use the security record defined for the group Everyone.

Due to each account having a unique security token, if you delete an account and then re-create it, the security token created will be different and as far as Smart Address security is concerned, it is a different account.

If you need to change a user's account name for Smart Address, you should rename it using the User Manager facility. Renaming the account will then preserve all the account's security permissions.

For More Information See...

Database Security

User Manager


Login Security

When a user connects to a Smart Address Database, for security purposes that user must login before he or she can access any of the Address Books contained within that Database. Depending on the level of security you require, the login process can be set at two different levels:

Trusted Logon: This option uses the user's Windows User Name as the account name for Smart Address. Under Trusted Logon, the user will not be prompted to "login" to the database, but will have his user name passed through to the Database Engine automatically.

In addition, if this is the first time the user has accessed the Database, Smart Address will automatically create an account name for that user on the Database.

Due to the "trusted" nature of this option, it is recommended that if you want to ensure secure access to your database, you only use this option in a secure network environment where you can guarantee the User Names people are using.

Un-Trusted Logon: This option forces each user to manually "login" to the database, using an Account Name, with password, pre-defined by the administrators of the Address Database. Any users that have not been specifically defined to the database will not be able to access any of its content.

Under Un-Trusted Logon, new users have to be added to the Database using the User Manager screen before they can successfully connect to the database.

For More Information See...

Database Security

User Manager


Access Permissions

Access Restrictions (also known as Permissions) allow levels of permissions to be applied to the contents of Address Books. Using these, you can control what a user can or can't do. For example, you may want to set the contents of a Contact Group to be read-only for all users, stopping anyone else updating any of that Group's content.

Access Restrictions can be applied from Address Book level, down to an individual contact. You can for instance, stop a specific user accessing the Contacts section of an Address Book or just stop that user accessing the contact information for a single contact.

If you decide not to use Access Restrictions (the default setting), then all users accessing an Address Book will have full access to any of that Address Book's content.

Note: Regardless of the Access Restrictions in place, the owner of the particular content will always have full access to it.

For More Information See...

Database Security

User Manager


The Administrator Account

Key to controlling security and to being able to resolve problems when users forget their passwords (if Un-Trusted Logon is being used) or find they can't access specific content in an Address Book (if using Access Permissions) is the Administrator Account.

There are three levels of user account in Smart Address:

User: This is the standard level of user and is used by default for all new users.

Owner: The Owner is a special security level. When an item is created, the person who created that item is defined as the item's Owner. This means the user can change the access permissions for the item. It also means that no matter what access permissions are set on the item, the owner will always have full access to the item. Only an Administrator user can take the "ownership" away from the owner.

Administrator: An Administrator user is a "special" user who in addition to having the same rights as a "User" level user can also perform all maintenance and management of the Database and any Address Books.

By default, the user who first ran the Smart Address Database Engine, when it created the Address Database, will have been defined as an "Administrator" user. This is the user, who initially, has the level of security required to set-up the Database.

Using User Manager, the Administrator user can promote other users to Administrator allowing for other people to perform the administration functions of Smart Address. However, to preserve control and security, it is recommended that the number of "Administrator" level users be kept to a minimal.

Important Note:

When running "Un-Trusted Logon", the Administrator user is critical to the secure running of Smart Address. If anything happened to the "Administrators", for example they leave or forget their password, it could become impossible to access the system to perform any administration functions. Eventually this would make the system unusable.

Due to this, it is highly recommended that when you move to the "Un-Trusted" state, you create an "emergency" Administrator Account and password. This account name and password should be sealed in an envelope and safely stored. If you any reason in the future you need emergency administrator access, you can open the envelope and use that account to login.


Enabling Security

Smart Address by default is installed with all security settings disabled. This means that it is much easier to learn using Smart Address, without worrying about security and access permissions. Indeed for many users, they will never need to progress beyond the default state.

If you do decide to enable security, you should remember that, as with any form of security things get more complex to manage.

Firstly, you need to decide on what security you need to use. As the previous Introduction page described, you have Logon Security and Access Permissions.

Logon Security is controlling access to the actual Address Database. Without access, a user cannot access any Address Books. If required this is you first line of security.

Once you have (if required) set the Logon Security you need to think about access permission. Whereas Logon Security is a simple case of being on or off, access permissions is more complex, but once you understand the concept it should be fairly simple.

Continue>>>


Enabling Logon Security

The decision as to which type of logon security you want to use depends on how secure the network access to the computer running the Address Database is.

Are you Secure?

If you are in a secure network environment, with access to each machine controlled by a network login, you are what we term a "trusted" environment. This means, that you can be fairly sure that any users accessing the Address Database are allowed to do so.

In this situation you can avoid the user having to login to Smart Address whenever they open an Address Book, by running Smart Address in its default state of "Trusted Logon".

However, whilst you may be running in a secure environment, it might be that you don't want everyone on the network (up to your license limit) to be able to access the Address Database. If this is the case you could still decide to use the "Un-Trusted Logon".

You are not secure or want to be more Secure.

If you think your environment isn't secure and you can't guarantee that the user using the User Name Fred is actually Fred, then you should change the Logon Security to "Un-Trusted Logon".

Using "Un-Trusted Logon" you are forcing any user accessing the Address Database to have to manually login using an Account Name pre-defined to the Database. As the Account Name is also tied to a personal password, you can be sure that when Fred does login to the database, it is Fred doing so.

This is the most secure way of controlling access to the database. As well as the user having to confirm their user name with a personal password, their accounts on the Address Database have had to be predefined by an Administrator.

Changing the Setting

Once you have decided on the Logon scheme to use, you can change the setting by using the Database Administration option, located on Smart Address' Set-Up screen.

Continue>>>


Enabling and Using Access Permissions

This section describes how to enable and use Access Permissions within Smart Address.

With Access Restrictions disabled (the default state), any user with access to the Address Database can open an Address Book and access (and update) its content. This will be acceptable to a majority of installations, which will never need to restrict access, preferring to control access to the Database using the Logon schemes.

However, if you do need to restrict access to content within your Address Books, the Address Database must be set to use "Access Restrictions", by using the Database Administration option, located on Smart Address' Set-Up screen. Once this is enabled, the "Permissions" command becomes available in Smart Address.

Continue>>>


The Permissions Command

When Access Permissions are enabled, the Permissions command will appear when accessing content within an Address Book. General this will be found in one of two places. Firstly on the "What do you want to do" panels that are visible on most navigation screens in Smart Address and secondly on the Properties page of Contact and Note Book entries.

When selected, the Permissions command will display an Access Permissions screen allowing you to define the users who can access the content of the object selected (e.g. a Contact Group) and the permission they should be allowed (e.g., Read Only).

Continue>>>


Applying Permissions

There are two types of permissions that can be applied in Smart Address.

Everyone Group: The Everyone Group is a catchall access group. Any access permissions applied to this group will take effect for any user not specifically listed in the access list displayed.

User: The User permissions are those that are specifically applied to a named user in the access list. Any named user will use the permissions defined for them and not the permissions defined for the Everyone Group.

For example, you may require FRED to have full access to a contact group, but all other users only have read-only access. To do this, you would add FRED to the access list with all permissions enabled. You would then set the Everyone Group to only have the Read access enabled. This means that as FRED is specifically listed, he will get the access for his user, but any other users (which are not listed), will be given the access defined to the Everyone Group.

Continue>>>


Inheriting Access Permissions

In Smart Address, when you create an item (e.g., a Contact or Contact Group) that item will inherit the access permissions defined for the items "parent". For example, creating a contact in the contact Group Business means that the contact's "parent" is the Group Business.

This means that if you create a contact group and set that group's permissions to Read Only, any contacts, or contact groups, you create in that group will also be set to Read Only. However, once an item is created you can always change its access permissions if required.

Continue>>>


Changing Access Permissions

If changing the access permissions for a Contact or Note Book entry, then you can simply change the permissions and it only affects that item. However, if you change the permissions for a Contact Group or Note Book Group, then that change could affect the contents of the Group.

If this is the case, Smart Address will ask you if you want to apply the changes made, to all items contained within the Group. If you reply YES, then one of two things will happen:

If you are not an Administrator, then Smart Address will replace the access permissions for all items contained within the Group, that you are the owner of. The important point here is the bit about being the owner. If there are items in the Group you are changing that are owned by other users, you will not be able to change these permissions. When this happens, you will be informed of the number of items that couldn't be changed.

However, if you are an Administrator, then Smart address will replace the access permissions for items, regardless of who the owner is. It will not change the ownership, but will just replace the access permissions to match the Group being changed.

Continue>>>


Key Points to Remember

Whilst this section has explained how security is handled within Smart Address, it is worth remembering some key points:

When running under "Un-Trusted Logon", always create an "emergency" Administrator account and store the Account Name and password in a safe place.

When you create an item, it will inherit its access permissions from its "parent" (e.g., a Contact Group).

When you create an item, you will become its owner.

When you change permissions on a Group, you can replace the permissions for all items contained in the Group, but only for those you are the owner for (unless you are an administrator).

Only the Owner or an Administrator can change the access permissions of an item.

The default permissions for a new Address Book is full access to everyone.

If you don't need to use Access Permissions, don't enable it.


Legal Notice

This product is commercial software and as such a license must be purchased to use the product.

If you have not already purchased a license for "Smart Address 2000" you are granted a 30-day license to review and evaluate the usefulness of this product. This 30-day period commences from the day the product is first installed. On completion of the 30-day evaluation period you are required to either remove the program from your computer and cease using it, or purchase a license for the product from Oakley Data Services or its agents.

You also have the right, and in fact you are actively encouraged, to distribute copies of the evaluation version of this product. You may assume you have our authority to distribute the evaluation, unless we explicitly tell you otherwise. It must, however remain in its original, unmodified state, and all its constituent files must be included. No-one may charge for the evaluation product itself, although a reasonable fee for the media used and copying costs is allowable.

You may not distribute copies of the licensed version of this product. You may not distribute any License Keys in any form.

This software is supplied as is without warranty or representation either express or implied with respect to the program or its documentation including their quality, performance, merchantability, or fitness for a particular purpose.

In no event will Oakley Data Services or any of its agents or assigns, or any organization distributing "Smart Address 2000" on its behalf, be liable for direct, indirect, special, incidental, or consequential damages arising out of the use of, or inability to use the program.

All trademarks are Acknowledged.


License Copyright and Disclaimer

The use of this program indicates your understanding and acceptance of the following terms and conditions. This license shall supersede any verbal or written statement or agreement to the contrary. If you do not understand or accept these terms you must cease using this product immediately.

Copyright

Disclaimer

Restrictions

license for Usage

Back-Up Copies

license Transfer

Terms

Other Rights.


Address Book Databases

Smart Address holds all its information, including all Address Books, in an Address Database. This database is accessed via a Smart Address Database Engine, which normally runs on the computer hosting the database.

A Smart Address Database can be run in two modes:

Standalone Mode:

In Standalone mode, the database is only available to Smart Address Clients running on the same physical computer as the Smart Address Database Engine. The database will not be visible to users on other computers on the network.

Networked Mode:

In Networked mode, the database is also available to any users on the network. It should be noted that to access a networked database, the host computer and any client computers, should be running the TCP/IP protocol.

Warning:

When running a database in Networked mode, any users on the network may be able to access that database. If this could cause you a problem, then it is recommended that the database security be set to control the users who can access the database.

Smart Address provides full multi-user security and access control, but this is disabled by default. For more information on enabling and configuring the database security, please see the Database Security

For More Information See...

Database Security

The Smart Address Database Engine


Address Book Themes

Address Book Themes simply control the initial layout of an Address Book when it is created.

Smart Address allows an Address Book's layout and format to be completely customized to meet the requirements of its user, or users. By creating a theme based on a customized Address Book, that customization can quickly be repeated for new Address Books.

By default, Smart Address ships with three example themes providing "Business", "Personal" and "Club Membership" layouts. In addition, you may create your own themes (or change the supplied ones) by using the "Save Themes" option from an Address Book's File Menu.

When a theme is saved, it saves the following layout information...

Page Names...

The names defined for the Pages that display the information for a Contact.

Details Page Layout...

The field names and field types (e.g., if it is a phone number, Email address, etc.) defined for the fields residing on the "Details" page for a Contact.

Default Index...

The Address Book's Default Index set-up

Categories...

The Categories defined to the Address Book and their default settings.

Address Templates...

The Address Templates defined to the Address Book and their default settings.

...from the current Address Book to a themes file (named themename.sat) in the folder the Smart Address Client is running from.

Once a theme file is saved, it no longer has any relationship to the original Address Book, but is just a "snapshot" of the Book's format and layout at the time saved.

Also, when an Address Book is created, it has no relationship to the theme it was based on. The theme is purely used to control the initial format and layout used when creating the Address Book.

For More Information See...

Creating a New Address Book

Saving an Address Book Theme


Address Template Properties - Field Definitions Tab

This screen display the Field Defintion Properties for an Address Template.

To find out more about the indicated parts of the Field Definitions Tab of the Address Template's Properties, expand the items below:

Property Tabs...

Click these Tabs to change the Property Page, allowing the General or Field Definitions settings to be displayed.

Display Field Buttons...

Any field in an Address Template can be shown or hidden. The Display Field Buttons allow you to toggle a field's visibility by clicking the button with the mouse. The button's display will then change to indicate if the field is to be displayed or not.

Field Labels...

Each field in an Address Template can be labelled to describe its content and a label can consist of any alphanumeric characters, up to a maximum length of 20 characters.

Action Types...

There may be up to 8 Action Fields in an Address Template and these buttons define the action type currently allocated to each field. There are four available action types: Text (the field is a simple text entry field), EMail (the field is for an EMail address), Phone (the field is for a telephone number) and Internet (the field is for a Internet address). To change the action type defined for a field, simply click the appropriate Action Type button, until the button indicates the type required.

For More Information See...

Address Template Properties

Address Templates Explained

Contact Properties - Address Templates


Address Template Properties - General Tab

This screen displays the General Properties for an Address Template.

To find out more about the indicated parts of the General Tab of the Address Template's Properties, expand the items below:

Property Tabs...

Click these Tabs to change the Property Page, allowing the General or Field Definitions settings to be displayed.

Template Name...

This field allows the name of the Address Template to be specified and can consist of any alphanumeric characters up to a maximum length of 20 characters.

Default Option...

If this option is selected, then when a new contact is created within the Address Book, an Address Page based on this template will be automatically added to the contact.

Template Order...

If the Default Option is selected, the Template Order option will become available. This field allows you to specify the relative positioning of the Address Pages created, when a new contact is added to the Address Book. Specifying a position of 1 for a template and specifying all other "default" templates a higher position, ensures that the Address Page created will always be displayed first within a contact.

Print Option...

If this option is selected, then any Address Pages based on this Template will be included whenever the contact is printed.

Letters Options...

If this option is selected, then any Address Pages based on this Template will be included whenever a letter is produced for the contact.

EMail Option...

If this option is selected, then any Address Pages based on this Template will be included whenever a EMail is produced for the contact.

EMail Format...

If the EMail Option is selected, the EMail Format field will become available. This field allows you to specify the format to use when sending EMails to addresses stored in Pages based on this template. The current formats supported are plain text and HTML format.

Address Format...

The Address Format drop-down list allows you to select what format you wish to display the Template's address information in. There are four available format settings: Freeform Address (the address field is a simple freeform text field), Separate Address Lines (the address field is displayed as six separate text entry lines), US Postal Address Format (the address field is displayed with two text entry lines for the Street and one text entry line each for City, State, ZIP and County) and UK Postal Address Format (the address field is displayed with four separate text entry lines, followed by one text entry lines each for Postcode and County).

Address Options...

These options, which are only available when an Address Format of "US Postal Address" is selected, control how the City and State fields of the address are formatted when printing. By selecting these fields, you can choose to have a comma inserted after each field or not.

For More Information See...

Address Template Properties

Address Templates Explained

Contact Properties - Address Templates


Canonical Telephone Numbers

The canonical address format is intended to be a universally constant directory number. For this reason, numbers in address books are best stored using canonical format.

The canonical format specifies the phone number in a format that can be dialed from any location or with a calling card and is:

+CC (AC) NUMBER

where CC is the country code, AC is the area or city code, and NUMBER is the local phone number. It is important to type the plus sign, parentheses, and spaces exactly as shown.

This is an example of the canonical format for a number: +1 (901) 5551234.


Database Availability

Whenever Smart Address needs to display a list of available Address Databases, it builds the list in three steps:

1. Local Database Availability:

Firstly, Smart Address checks to see if a Database Engine is running (and is available) on the same computer as the Smart Address Client. If so, Smart Address adds this Database to the list as "Local Database".

2. Manual Database Connections:

Next, Smart Address checks to see if any Manual Connections have been defined for a networked Address Database and adds these databases to the list. Note: Smart Address doesn't check that these databases are available until you attempt to access them.

3. Networked Database Availability:

Finally, Smart Address issues a "network broadcast" to locate any available networked Databases. This "broadcast" asks any databases to identify themselves and their network location.

For a database to respond to this "broadcast", the host database machine must be running the Smart Address Database Engine (SAENGINE.EXE) and that Engine must be configured for "Networked" mode. If the Engine is configured for "Standalone" mode, then only a Smart Address Client running locally on that machine will be able to see the Address Database.

Note: This step is not actioned if there are any Manual Database Connections defined.

For More Information See...

Manual Database Connections

What are Address Book Databases ?


Manual Connections

Manual Database Connections

When Smart Address lists the Address Databases available (e.g., when opening an Address Book), it will automatically identify those available by issuing a "network broadcast". This "broadcast" asks any databases to identify themselves and their network location.

There are times however, when this "broadcast" cannot reach the required databases. For example when the database is hosted on the Internet or across a Wide Area Network. In these cases, a manual connection, identifying the database and its network location, should be defined.

Notes:

  • When a manual connection has been defined, Smart Address will stops automatically locating available databases. This means that only the manually defined databases will be available to Smart Address.

  • If you have defined a manual database connection and that database is not available when Smart Address attempts to connect to it, there may be a delay of up to 30 seconds while Smart Address waits for the database to respond. Once this delay expires, Smart Address will inform the user that the database is not available.

Tip: If there are a number of Address Databases on your network but you only need to connect to one (or more) of these, you could define this database as a manual connection. This will then limit the databases displayed in Smart Address to just this database

Tip: If you are managing a number of Smart Address users over a network and want to restrict these users to a specific Address Database. Set-up the required manual connections, write-protect the SMARTADR.MCF file and make sure this file resides in the same folder as they are running the Smart Address Client from (SMARTADR.EXE) from. This will then force all clients to use the same manual connections and limit them to the databases you have defined.

For More Information See...

Specifying Manual Connections

What makes a Database "available" ?


National Holidays

Smart Address allows for the national holidays of most countries to be selectively included in the calendar information within Smart Address.

Smart Address contains the dates of most national holidays for most countries around the world and these can be shown within the Smart Address calendar, by simply selecting the ones required from the Calendar Configuration screen.

Tip: National Holidays are not stored within any Address Book. This means that it is very quick to add or remove any country's holidays from your Calendar view.

Note: Smart Address supports national holiday dates until the end of 2002. This support will be extended in later Service Releases of Smart Address.


Opening a pre-Smart Address 2000 Address Book

With Smart Address 2000, the way Address Books are held has been changed. Prior to Smart Address 2000, Address Books were held as separate files on your computer's disk. With the introduction of Smart Address 2000, Address Books are now held in an Address Database, which may reside on your computer or on another computer on your network.

When opening a pre-Smart Address 2000 Address Book, Smart Address will convert it to the new format and store it in an Address Database. This conversion is controlled by a Conversion Wizard, which guides you through the steps necessary to convert the book, allowing the destination database and name of the Address Book to be specified.

After the conversion process the original Address Book will be un-changed, with a copy of its content now being available from within Smart Address 2000.

Note: Smart Address 2000 will only open Address Books created using Smart Address V2.x or later. Version 1 Address Books are not supported.


Report Data Fields for Calendar

Calendar Data Fields

When outputting Calendar or Task Events, the following Report Data Fields will be available

[01] Contact Display Name

This field contains the name of the Contact the Calendar or Task event is linked to.

[02] Subject

This field contains the text description assigned to this Event

[03] Location

This field contains the Location text of the Calendar Event

[04] Item Date

This field contains the Date the Event is scheduled

[05] Item Time

This field contains the Time the Event is scheduled

[06] All Day Item

This field shows if the Event is scheduled or day or not

[07] Reminder Set

This field shows if a reminder alarm has been set for this event

[08] Reminder Date

This field contains the Date the Reminder Alarm has been set for (if it is set)

[09] Reminder Time

This field contains the Time the Reminder Alarm has been set for (if it is set)

[10] Priority

This field contains the Priority assigned to the Event

[11] Status

This field contains the current status of the Event

[12] Budget Allowed

This field contains the Budget allocated to the Task

[13] Actual Worked

This field contains the amount of the Budget actually used on the Task

[14] Budget Remaining

This field contains the Budget remaining for the Task

[15] Percentage Complete

This field shows the percentage of the task complete

[16] Task Starts

This field contains the date the Task is scheduled to start

[17] Task Started

This field contains the actual date the Task started

[18] Task Completed

This field contains the actual date the Task completed

[19] Item Type

This field details the Event Type: Calendar, Task or National Holiday

[20] Assigned to

This field contains the name of the user this event is assigned to

[21] Notes

This field contains the freeform text associated with the Event

[22] Calendar Date

This task contains the date and time of the Event


Report Data Fields for Contacts

Contact Data Fields

When outputting Contacts, the following Report Data Fields will be available

Note: As mentioned in the Report Data Fields overview, some of these fields will be named differently depending on the configuration of the Address Book and its Address Templates. In these cases, for the purposes of this explanation, the Template or Detail Page Field number will be shown instead (e.g., [33] <Details Page Field 8>).

[01] Contact Display Name

This field contains the name of the Contact as displayed in the Contact Index List

[02] Contact Sort Key

This field contains the sort key used to sort the Contact in the Contact Index List

[03] Sort Index Character

This field contains the first character of the Contact Sort Key

[04] <Template Field 1> <Template Field 2> <Template Field 3>

This field contains the contents of the first three Address Template fields concatenated together and would normal equate to the Contacts Full Name (i.e., Title, Initials, and Last Name)

[05] <Template Field 1>

[06] <Template Field 2>

[07] <Template Field 3>

These fields contain the contents of the first three Address Template fields

[08] <Template Field 6 (with Name)>

This field contains the full Address for a Contact, including <Template Field 1> through to <Template Field 6>.

[09] <Template Field 6 (no Name)>

This field contains the full Address for a Contact, including <Template Field 4> through to <Template Field 6>.

[10] <Template Field 4>

[11] <Template Field 5>

[12] <Template Field 6>

These fields contain the content of the fourth, fifth and sixth Address Template fields

[13] <Template Field 6 (Line 1)>

[14] <Template Field 6 (Line 2)>

[15] <Template Field 6 (Line 3)>

[16] <Template Field 6 (Line 4)>

[17] <Template Field 6 (Line 5)>

These fields each contain a different line from the Contact's Address Field.

[18] <Template Field 7>

[19] <Template Field 8>

[20] <Template Field 9>

[21] <Template Field 10>

[22] <Template Field 11>

[23] <Template Field 12>

[24] <Template Field 13>

[25] <Template Field 14>

These fields each contain the contents of the one of the "Action Fields" for the Contact. These are the fields usually containing Telephone Numbers, EMail Addresses, etc.

[26] <Details Page Field 1>

[27] <Details Page Field 2>

[28] <Details Page Field 3>

[29] <Details Page Field 4>

[30] <Details Page Field 5>

[31] <Details Page Field 6>

[32] <Details Page Field 7>

[33] <Details Page Field 8>

These fields each contain the contents of the one of the eight fields contained on the Contact's Details Page.

[34] Modified By

This field contains the name of the User who last modified the Contact

[35] Last Modified

This field contains the Date and Time that the Contact was last modified

[36] Categories

This field contains each category name the Contact is a member of

[37] Notes

This field contains the Rich Text formatted contents of the Contacts freeform Notes Page


Report Data Fields for Journal

Journal Data Fields

When outputting the Journal Events, the following Report Data Fields will be available

[01] Contact Display Name

This field contains the name of the Contact that the Journal Event is for.

[02] Journal Date

This field contains the Date that the Journal Event was raised.

[03] Journal Type

This field contains the name of the Journal Event Type

[04] Duration (Minutes)

This field contains the duration of the Journal Event in minutes

[05] Duration (hh:mm:ss)

This field contains the duration of the Journal Event in hours, minutes and seconds

[06] Subject

This field contains the text description assigned to the Journal Event

[07] Raised By

This field contains the name of the the user who raised the Journal Event

[08] Notes

This field contains the freeform text associated with the Journal Event


Report Data Fields for Notes

Notes Data Fields

When outputting the Address Book Notes, the following Report Data Fields will be available

[01] Note Name

This field contains the name of the Note Entry

[02] Keywords (1)

This field contains the words stored as Keywords 1 for the Note Entry

[03] Keywords (2)

This field contains the words stored as Keywords 2 for the Note Entry

[04] Keywords (3)

This field contains the words stored as Keywords 3 for the Note Entry

[05] Keywords (4)

This field contains the words stored as Keywords 4 for the Note Entry

[06] Keywords (5)

This field contains the words stored as Keywords 5 for the Note Entry

[07] Keywords (6)

This field contains the words stored as Keywords 6 for the Note Entry

[08] Keywords (7)

This field contains the words stored as Keywords 7 for the Note Entry

[09] Keywords (8)

This field contains the words stored as Keywords 8 for the Note Entry

[10] Modified By

This field contains the name of the user who last updated the Note Entry

[11] Last Modified

This field contains the date and time that the Note Entry was last updated

[12] Note Text

This field contains the Rich Text formatted contents of the Note Entry


Smart Address Import Interface

Smart Address provides an "open" interface for importing information. This allows any developer to easily create interfaces to Smart Address to import information in specific formats.

If you would like more information on developing your own interface to Smart Address, please visit the Smart Address Web Site for more information


Access Permissions for Address Book

Access Permissions for the Address Book allows you to define the users that may access the different parts of the current Address Book and the degree of maintenance they are allowed to perform.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses this Address Book would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Access Contacts...

This option controls if the user can access the Contacts section of the Address Book

Access Calendar...

This option controls if the user can access the global Calendar section of the Address Book

Access Tasks...

This option controls if the user can access the Tasks section of the Address Book

Access Notes...

This option controls if the user can access the Notes section of the Address Book

Maintain Book...

This option controls if the user can change the set-up of the Address Book.

Maintain Categories...

This option controls if the user can change the Categories defined to the Address Book.

Maintain Templates...

This option controls if the user can change the Address Templates defined to the Address Book and their format

Maintain Indexing...

This option controls if the user can change the default indexing defined for the Address Book

Note: The owner of the Address Book (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access the Address Book.

Tip: Only the Address Book owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of your Address Book from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Access Permissions for Letter Template Library

Access Permissions for the Letter Template Library allows you to define the users that may create Word Letter Templates in the Address Database.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses the Database would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Global Letters...

This option controls if the user can create Letter Templates that will be visible to all users (i.e., Global) of the Database

Create Personal Letters...

This option controls if the user can create personal Letter Templates (i.e., only visible to that user) in the Database

Note: The owner of all Report aspects of the Database (i.e. Report and Letter Templates) always has full access. This means that if all access options are disabled for all users, the owner will still be able to create Global and Personal Letter Templates.

Tip: Only the Letter Library owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of the Letter Library from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Access Permissions for Contact Group

Access Permissions for a Contact Group allows you to define the users that may access the current Contact Group and the degree of access they are allowed.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses this Contact Group would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create New Items...

This option controls if the user can create new Contacts or Contact Groups within the current Contact Group.

Update Items...

This option controls if the user can update Contacts within the current Contact Group

Delete Items...

This option controls if the user can delete Contacts or Contact Groups from the current Contact Group

Read Items...

This option controls if the user can read the contents of Contacts or Contact Groups within the current Contact Group

Note: The owner of the Contact Group (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access the Contact Group.

Tip: Only the Contract Group owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of your Contact Group from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

Tip: Setting access permissions for a Contact Group provides the default level of access for contacts or contact groups contained within the Group. However, once a contact or contact group is created, the access permissions for that new item can be changed, overriding the permission defined by its parent Contact Group.

For More Information See...

User Accounts and Security

Database Security


Access Permissions for Calendar

Access Permissions for the Calendar allows you to define the access permissions users have for global Calendar Events within this Address Book.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses the Global Calendar would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Calendar Events...

This option controls if the user can create new global Calendar Events within the Global Calendar.

Update Calendar Events...

This option controls if the user can update global Calendar Events within the Global Calendar.

Delete Calendar Events...

This option controls if the user can delete global Calendar Events from the Global Calendar.

Read Calendar Events...

This option controls if the user can read the contents of global Calendar Events within the Global Calendar.

Note: The owner of the Global Calendar (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access global Calendar Events.

Tip: Whilst a user may or may not have access to global Calendar Events, that user may still be able to access any Contact Calendar Events displayed in the Global Calendar. To restrict a user from Calendar Events for a Contact, you need to change the access permissions for that Contact or its Contact Group.

Tip: Only the Calendar owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of your Global Calendar from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Access Permissions for Tasks

Access Permissions for Tasks allows you to define the access permissions users have for global Tasks within this Address Book.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses the global Tasks defined to this Address Book, would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Global Tasks...

This option controls if the user can create new global Tasks within the Address Book.

Update Global Tasks...

This option controls if the user can update global Tasks within the Address Book.

Delete Global Tasks...

This option controls if the user can delete global Tasks within the Address Book.

Read Global Tasks...

This option controls if the user can read the contents of global Tasks within the Address Book.

Note: The owner of all global Tasks (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access any global Tasks.

Tip: Whilst a user may or may not have access to global Tasks, that user may still be able to access Tasks defined for Contacts. To restrict a user from Tasks for a Contact, you need to change the access permissions for that Contact or its Contact Group.

Tip: Only the Tasks owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of your Global Tasks from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Access Permissions for Notes Group

Access Permissions for a Notes Group allows you to define the users that may access the Notes Group and the degree of access they are allowed.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses this Notes Group would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Notes...

This option controls if the user can create new Notes within within the current Notes Group.

Update Notes...

This option controls if the user can update Notes within the current Notes Group

Delete Notes...

This option controls if the user can delete Notes or Note Groups from the current Note Group

Read Notes...

This option controls if the user can read the contents of Notes or Note Groups within the current Note Group

Note: The owner of the Notes Group (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access the Notes Group.

Tip: Only the Notes Group owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of your Notes Group from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

Tip: Setting access permissions for a Note Group provides the default level of access for Notes or Note groups contained within the Group. However, once a Note or Note Group is created, the access permissions for that new item can be changed, overriding the permission defined by its parent Note Group.

For More Information See...

User Accounts and Security

Database Security


Note Access Permissions

Note Book Entry Access Permissions

The Note Book Entry Access Permissions allows you to define the users that may access this Note and the degree of access they are allowed.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses this Note would be given the access options granted to Everyone. If you need to provided a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Note...

This option is not available as the Note has already been created.

Update Note...

This option controls if the user can update the contents of the Note

Delete Note...

This option controls if the user can delete the Note from the Address Book

Read Note...

This option controls if the user can read the contents of the Note

Note: The owner of the Note (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access the Note.

Tip: Only the Note owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of your Note from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Contact Access Permissions

Contact Access Permissions allows you to define the users that may access this Contact and the degree of access they are allowed.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses this Contact would be given the access options granted to Everyone. If you need to provided a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Contact...

This option is not available as the Contact has already been created.

Update Contact...

This option controls if the user can update this Contact

Delete Contact...

This option controls if the user can delete the Contact from the Address Book

Read Contact...

This option controls if the user can read the contents of the Contact

Note: The owner of the Contact (which is shown in the top right of the Access window), always has full access. This means that if all access options are disabled for all users, the owner will still be able to access the Contact.

Tip: Only the Contact owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of the Contact Record from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Access Permissions for Report Template Library

Access Permissions for the Report Template Library allows you to define the users that may create Report Templates in the Address Database.

Generally you would set the Access Permissions based on the Group Everyone. This means that whoever accesses the Database would be given the access options granted to Everyone. If you need to provide a different level of access for specific users, then you would add these users to the Access List and enable/disable the access options accordingly.

To set or display the Access Options for a user or the Everyone group, simply select the user or group name. The Access Options will then be displayed for the selected user and can be changed by simply checking or un-checking the appropriate options.

The options available are:

Create Global Reports...

This option controls if the user can create Report Templates that will be visible to all users (i.e., Global) of the Database

Create Personal Reports...

This option controls if the user can create personal Report Templates (i.e., only visible to that user) in the Database

Note: The owner of all Report aspects of the Database (i.e. Report and Letter Templates) always has full access. This means that if all access options are disabled for all users, the owner will still be able to create Global and Personal Report Templates.

Tip: Only the Report Library owner and an administrator level user can change the access permissions defined. So whilst you could secure the contents of the Report Library from other users, an administration level user can always change these permissions, allowing themselves or others access to the content.

For More Information See...

User Accounts and Security

Database Security


Add Access Rights

This window allows you to specify which users you wish to add to the Access Permissions list.

To move a user between lists, highlight the user required and click the appropriate toolbar button.

When you have added the required users to the "Users to be Added" list, click the OK button and those users will be added to the Access Permissions list with full access authority.

If you don't wish to grant these users full access, then when they have been added to the Access Permissions list, simply amend them to the level of access required.

Tip: To quickly move users between lists, simply double-click the user name with the mouse or select it and "drag" it with the mouse to the required list.

For More Information See...

User Accounts and Security

Database Security


Add Manual Database Connection

This window allows you to add a manual database connection to Smart Address.

Database Address:

This field allows you to enter the database definition to be added.

A database definition consists of two parts: the name of the Address Database (e.g., HeadOffice) and the TCP/IP address for the machine running the Address Database (e.g., 168.12.1.3), separated by the @ character. For example: HeadOffice@168.12.1.3).

Tip: You can find out a database's definition by displaying the properties for the Smart Address Database Engine running that database. This will be detailed on the first page. For example, Networked Database [HeadOffice@168.12.1.3]

Tip: Sometimes a machine's TCP/IP address will be changed on a regular basis, which will cause any manual connections to the database running on that machine to be invalid. If this may happen, then you should specify the machines network Hostname instead of the TCP/IP address. For example instead of specifying HeadOffice@168.12.1.3 you should specify HeadOffice@HOServer1

As long as the Hostname can be resolved to the machine's TCP/IP address, the definition will remain valid even when the machine's TCP/IP address changes.

For More Information See...

Manual Database Connections


Configure Database Security Settings

This screen allows the database security settings to be configured.

Smart Address has two levels of security available:

Access Restrictions

From this screen you can elect to use Access Restrictions or not. Access Restrictions allow levels of permissions to be applied to the contents of Address Books. Using these, you can control what a user can or can't do. For example, you may want to set the contents of a Contact Group to be read-only for all users, stopping anyone else updating any of that Group's content.

Access Restrictions can be applied from Address Book level, down to an individual contact. You can for instance, stop a specific user accessing the Contacts section of an Address Book or just stop that user accessing the contact information for a single contact.

If you decide not to use Access Restrictions (the default setting), then all users accessing an Address Book will have full access to any of that Address Book's content.

Note: Regardless of the Access Restrictions in place, the owner of the particular content will always have full access to it.

Tip: To apply access permissions, look for the Permissions link on the "What do you want to do?" panels, to provide quick access to set the access for that content.

Logon Schemes

When a user connects to a Smart Address Database, for security purposes that user must login before he or she can access any of the Address Books contained within that Database. Depending on the level of security you require, the login process can be set at two different levels:

Trusted Logon: This option uses the user's Windows User Name as the account name for Smart Address. Under Trusted Logon, the user will not be prompted to "login" to the database, but will have his user name passed through to the Database Engine automatically.

In addition, if this is the first time the user has accessed the Database, Smart Address will automatically create an account name for that user on the Database.

Due to the "trusted" nature of this option, it is recommended that if you want to ensure secure access to your database, you only use this option in a secure network environment where you can guarantee the User Names people are using.

Un-Trusted Logon: This option ensures that each user has to manually "login" to the database, using an Account Name, with password, pre-defined by the administrators of the Address Database. Any users that have not been specifically defined to the database will not be able to access any of its content.

Under Un-Trusted Logon, new users have to be added to the Database using the User Manager screen before they can successfully connect to that database.

For More Information See...

Database Security

Access Permissions for Address Books

User Accounts and Security


Restricted Function

This window is displayed when you have tried to access a function within Smart Address that is restricted to only users with Administrator level access.

For More Information See...

User Accounts and Security

Database Security


Access Denied

This window is displayed when you have tried to access an item that you are not allowed access to.

To see who owns the item in question and what access restrictions have been set for that item, click on the "Click Here to View Access Permission" link.

For More Information See...

User Accounts and Security

Database Security


Alarm Properties

This screen allows the properties for an Alarm to be set.

When an alarm is set, it can be set for any time prior to the event it is reminding you about. This screen allows you to define when the alarm, or reminder, will be issued and also what sound, or WAV file, you would like played when that reminder is issued.

Note: If you have a number of Reminders issued at the same time, only the sound associated with the first reminder will be played.

Tip: If you normally always use the same sound for your reminders, then make it the default sound by clicking the "Make Default" button. All new reminders and any existing ones associated with Default, will then use that sound.

For More Information See...

Smart Address and Reminders


Configure Address Book Calendar Settings

This screen allows the National Holidays that you wish to be displayed within Smart Address, to be selected.

Smart Address allows for the national holidays of most countries to be selectively included in the calendar information within Smart Address.

This screen allows you to choose which country's holidays you wish to be displayed. You may select as many countries as you want or no countries, it is up to you.

For More Information See...

Smart Address and National Holidays


Calendar Search Results

This screen displays the results of a search against the Address Book calendar.

To find out more about the indicated parts of the Calendar Search Results screen, expand the items below:

Return Link...

This link closes the Search Results screen and re-displays the Calendar Search criteria screen.

Close Search...

This button closes the Search screen and re-displays the Calendar screen.

Search Toolbar...

This toolbar provides the functions for managing the events in the Search Results list. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Search Header...

This header provides the column descriptions for the Search Results. If you wish to re-order the list, then click the column description that you want to sort the list by, with the mouse.

Search Results...

This list displays all events that were returned by the search.

Tip: To quickly mark an Event complete, click the item's icon with the mouse.

Tip: If you want to see more details about a particular Event, simply pause the mouse pointer over the item and an information box will be displayed.

For More Information See...

Address Book Calendar

Address Book Tasks

National Holidays


Configure Call Identifier Options

This screen allows the Call Identifier facility of Smart Address to be configured.

The Call Identifier facility of Smart Address runs as an icon in the Windows System Tray and monitors any incoming phone calls. When a call is received, Smart Address searches the specified database for the telephone number making the call, and then displays the name and address of the person calling. Once displayed, the call can be logged or the person’s address book details quickly displayed.

If the telephone number cannot be found, then the monitor allows a ZIP/Post Code to be entered to quickly locate the caller. If the caller is unknown to the Database, then a new contact record can be quickly created.

Note: To use this option, you need to have a Caller ID compatible device and have the Caller ID service provided by your telecom provider.

There are two states Smart Address can be configured in, for the Call Identifier facility:

Call Identifier Disabled: When this option is selected, the Call Identifier is disabled and no monitoring of incoming calls will be performed.

Call Identifier Enabled: When enabled, the Call Identifier application will be started to monitor incoming calls. Smart Address uses the Call Identifier Settings defined, to know how to monitor the call and what database should be used to perform caller look-ups.

When Smart Address is to monitor incoming calls, you will need to configure the following Call Identifier Settings:

Host Database: This field specifies the Database that will be used to perform "caller look-ups", when identifying the caller from the incoming telephone number. Smart Address only supports one database to be monitor, so the database chosen should be the one containing your main contacts.

Default Address Book: When a new caller contact is to be created, then that new contact will be created in the Address Book specified in this field. It should be noted that all Address Books in the Host Database are searched and this Address Book is purely for creating new contacts.

Call Identifier Driver: This field allows you to specify which Call Identifier Driver you wish to use to monitor your incoming calls. By default Smart Address provides two drivers, one for TAPI compliant devices (e.g., your modem) and one for ISDN CAPI devices. Once the driver has been selected, you can configure the driver by using the "Configure Call Identifier Driver" link.


Manual Database Connections

This window allows you to manage any manually defined database connection you may need.

Database Definitions:

This list details any manual connections currently defined to Smart Address.

Add button:

This button displays a window allowing a new database definition to be defined to the manual connection list.

Delete button:

This button will remove the currently selected definition from the manual connection list.

For More Information See...

Manual Database Connections


Contact Group

This window is displayed when a Contract Group is selected in the Contact Index List

When a Contact Group is selected in the Contact Index List, the last 10 updates made in that Group are displayed. Clicking on any of these updates will quickly locate the Contact or Group that was updated.

In addition, from this window the Access Permission (if enabled) for the Contact Group can be set, new Contacts and Contact Groups created and the contact group searched.

For More Information See...

Setting Access Permissions for a Contact Group

The Contact Index List

What are the Contact Pages used for ?


Contact Journal

This screen displays the full Journal history for a contact.

The journal history is a record of system generated activities (e.g., updates, security changes, etc.) and user generate activities (e.g., phone calls made, meetings attended, etc.) for an individual contact.

What activities are recorded to the journal and how long the journal event is held, is dependant on how the journal options for the Address Book have been set-up. These options are defined by the Address Book's Log Options screen (found under Set-up's Book Settings option).

The Contact Journal screen, shows all journal activities recorded for the current contact. For a summarized list of the latest key activities, you can click the Return Link, which will then display the Journal Summary Screen.

To find out more about the indicated parts of the Contact Journal screen, expand the items below:

Contact's Index Name...

This field displays the text currently being used to index the contact in the Contact Index List.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Property Links...

These Links allow you to move between the different Contact Properties: Templates, Indexing, Journal and Permissions (if enabled), by simply clicking the link with your mouse.

Return Link...

This link, when clicked with the mouse, displays the Journal Summary screen, summarizing of the latest key activities for the contact.

Journal Toolbar...

This toolbar provides the functions for managing the Contact's Journal. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Journal Header...

This header provides the column descriptions for the Journal list, enabling the list to be sorted by clicking the column header you require to order the list by. It also allows the width of a column to be altered, by "clicking & dragging" the column edge with the mouse.

Journal Activities...

This part of the screen lists all the journal events, showing:

Activity: The type of Journal Activity recorded

User: The user name of the person who generated the Journal Event

Date & Time: The date and time that the Event was generated

Duration: The duration of the Event (if it has one), in hours and minutes.

Description: The Event's description as entered by the user or by the system (for system generated events).

Tip: You can restrict the journal activities displayed by "filtering" the type of activities included in the list. To do this, click the "Filter Entries Displayed" button on the Journal toolbar.

Tip: If you wish to analyze a contact's journal, then you can export the displayed Journal list to a file in Comma Separated Values format (CSV), by using the Export Log button on the Journal toolbar.

For More Information See...

The Contact Journal Explained

The Contact Index List

What are the Contact Pages used for ?


Contact Journal Filter

This screen allows the Contact Journal to be "filtered" to only include specified journal activities.

By default the Contact Journal screen shows all journal activities recorded for the current contact. However, by using the Journal Filter the activities displayed can be filtered to only show those required.

To find out more about the indicated parts of the Journal Filter screen, expand the items below:

Contact's Index Name...

This field displays the text currently being used to index the contact in the Contact Index List.

Browse Buttons...

These buttons allow you to browse through the contacts by moving backwards or forwards through the contact index list.

Property Links...

These Links allow you to move between the different Contact Properties: Templates, Indexing, Journal and Permissions (if enabled), by simply clicking the link with your mouse.

Save or Cancel...

Either of these two links, when clicked with the mouse, will close the Journal Filter screen and re-display the Contact Journal. Depending on the link selected, the changes to the journal filter will either be saved and applied to the Contact Journal or cancelled.

Journal Activities Filter...

These options control which Journal Activities are included in the Contact Journal display. To include an activity, select the activity required so a tick appears in its option box. To exclude an activity, remove the tick from its option box.

System Events Filter...

These options control which system generated Journal Activities are included in the Contact Journal display. To include an activity, select the activity required so a tick appears in its option box. To exclude an activity, remove the tick from its option box.

For More Information See...

The Contact Journal Explained

The Contact Index List

What are the Contact Pages used for ?


Configure Address Book Options

This screen allows the Address Book Options to be configured.

Shortcut Bar Configuration: This option controls the showing of the "shortcut" bar of icons which is displayed vertically on the left side of the Smart Address application window.

Graphics: These options control the graphical look of Smart Address and include options to show the page "logos" (i.e. the descriptive pictures on each main Smart Address screen), and the use of icons in items such as the Contact and Note Index Lists and the Contact and Note Page buttons.

Contact List Display: These options control where the Contact Groups will be displayed in the Contact Index List (first, last or alphabetically).

Text Entry Fields: These options control how text input fields are represented. There are two options, one of the standard Windows look, having a box frame the entry field, and the "modern" look of just having the input field "underlined".

Navigation Bar Configuration: This options controls the showing of the "what do you want to do?" areas that are displayed on most of the main Smart Address screens.

Windows System Tray: These options control if icons are displayed in the Windows System Tray when the Reminders and Call Monitor applications are running.

Confirmation Options: This option enables the displaying of a confirmation message when moving between contact or note entries, requesting you to confirm you wish to save the updates made. If this option is disabled, then the changes will be automatically saved without any confirmation.

EMail Send Option: By default Smart Address uses the Internet Mail Protocol (Mailto:) to send EMails when using an EMail Action Field. If you experience problems in sending EMails from Smart Address, try enabling this option to use the MAPI Protocol instead.

Note: All these settings are "global" in that they affect all Address Books you access.


Field Properties

This window allows you to define how the selected Address Book field will be displayed (or not displayed).

Label:

This field allows you to specify how you want the field labelled. A field label can consist of any alphanumeric characters up to a maximum length of 20 characters. If you leave this field blank, then the field will not be labelled.

Type:

Depending on the Address Book field selected, this drop-down list allows you to choose what action type the Address Book field should be. There are four available types: Text (the field is a simple text entry field), EMail (the field is for an EMail address), Phone (the field is for a telephone number) and Internet (the field is for a Internet address).

Format:

If the Address Book field selected is the Address Field of an Address Template, then the Format selection will be available. The Format drop-down list allows you to select what format you wish to display the Template's address information in. There are four available format settings: Freeform Address (the address field is a simple freeform text field), Separate Address Lines (the address field is displayed as six separate text entry lines), US Postal Address Format (the address field is displayed with two text entry lines for the Street and one text entry line each for City, State, ZIP and County) and UK Postal Address Format (the address field is displayed with four separate text entry lines, followed by one text entry lines each for Postcode and County).

Show Field:

Address Book fields can be hidden if required by un-checking the Show Field option. If you hide an Address Book field, then it can only be un-hidden by displaying the Address Template's properties (if it is a template field) or by accessing the Field Labels facility from the Book Settings screen (if it is a field from a Contact's "Details" page).

For More Information See...

Displaying an Address Template's Properties

Setting the Field Labels for an Address Book


Configure Contact Fields

This screen allows the fields used on the Contacts "Details" Page to be defined.

Within each contact, there is a general "Details" page of information available, normally called the "Details Page". This screen allows the fields that will be shown on the "Details" page to be configured.

To find out more about the indicated parts of the Details Page, expand the items below:

Reset Link...

This link, when clicked, will reset the fields to the format originally defined by Smart Address

Display Field Buttons...

Any field on the "Details Page" can be shown or hidden. The Display Field Buttons allow you to toggle a field's visibility by clicking the button with the mouse. The button's display will then change to indicate if the field is to be displayed or not.

Field Labels...

Each field on the "Details Page" can be labelled to describe its content and a label can consist of any alphanumeric characters, up to a maximum length of 20 characters.

Action Types...

There may be up to 8 Action Fields on the "Details Page" and these buttons define the action type currently allocated to each field. There are four available action types: Text (the field is a simple text entry field), EMail (the field is for an EMail address), Phone (the field is for a telephone number) and Internet (the field is for a Internet address). To change the action type defined for a field, simply click the appropriate Action Type button, until the button indicates the type required.

Security Note: If access permissions are enabled, then the setting of these labels will be restricted to the owner of the Address Book or to users with the "Maintain Templates" access settings.

For More Information See...

Database Security

The Contact Details Page


Select Address Template

This window is displayed when you have requested to move or copy an Address Page to another contact.

Each Address Page for a contact is assigned to an Address Template, with a template only able to be used once per contact. If this screen is displayed, then it means that the destination contact is already using the source Page's template and an alternative template can be selected from the list displayed.

When an alternative template is used, the content of the source Address Page is copied, or moved, to the destination contact, but the format and layout is then based on the alternative template and so may appear different when displayed.

Tip: If there are no alternative templates available (i.e., the destination contact is already using all templates in the Address Book), then the list of Templates will be empty and you will not be able to copy or move the Address Page until you have either remove a template from the destination contact or created a new template.

For More Information See...

Address Templates Explained

Contact Properties - Address Templates


Configure Address Book Home Page

This screen allows the settings for the Address Book Home page to be configured.

Outstanding Tasks: Selecting this option allows outstanding tasks to be displayed on the Address Book's Home Page

Outstanding Calendar Events: Selecting this option allows outstanding calendar events to be displayed on the Address Book's Home Page

National Holidays: Selecting this option allows any National Holidays to be displayed on the Address Book's Home Page.

Overdue: Selecting this option will include overdue items (i.e., items that were due before the current date) to be displayed on the Address Book's Home Page

Due Within the Next x Days: Selecting this option will include, in the Address Book's Home Page, any items that will become due in the specified number of days time.

Note: All these settings are "global" in that they affect all Address Books you access.

For More Information See....

Then Address Book Home Page

National Holidays


Address Book Home Page

This window is displayed as the Address Book's "Home Page" showing any Calendar Events or Tasks that are due or overdue.

By default, Smart Address displays this Home Page when opening an Address Book, however this can be configured differently from the User Preferences window (for more information, see below).

When displayed, Smart Address will list any Calendar Events that are overdue, due today or due within the next x days, with x being configurable from the User Preferences window. In addition, any tasks falling in the next x days or already started are also displayed.

Tip: To quickly mark a Calendar Event or Task complete, click the item's icon with the mouse.

Tip: If you want to see more details about a particular Calendar Event or Task, simply pause the mouse pointer over the item and an information box will be displayed.

Tip: By default, Calendar Events, Tasks and National Holidays are displayed on the Home Page. This can be changed (e.g., not to display Tasks) if required, by configuring the Home Page Display options using the User Preferences window.

For More Information See...

Configuring the Address Book Start-up Options

Configuring the Home Page Display Options


Smart Address Import

This window displays the Import plug-ins available to Smart Address.

Smart Address provides an "open" interface for importing information. This allows any developer to easily create interfaces to Smart Address to import information in specific formats.

When this window is displayed, Smart Address scans the user's computers to identify what import plug-ins are available, presenting them in the Import Source list. When an item is selected, the details of that plug-in is displayed in the Source Details field allowing the information defined by the plug-in author to be displayed.

Once you have selected the import plug-in required, you should click the Import button to continue. Smart Address will then load the plug-in, which, depending on how the it has been written, will step you though the import process.

For More Information See...

Smart Address Import Interface

Opening Pre-Smart Address 2000 Address Books


Configure Default Index and Sort Fields

This screen allows the Default Index and Sort keys for the Address Book to be defined.

This screen defines how contacts that are set to use the Address Book's default indexing will appear in the Contact Index list, and in what order. By default all contacts will use these settings, but contacts can be set to use their own index and sort settings, via the Contact's Index Properties screen.

The way a contact is displayed in the Contact Index List is dependant on two things, the fields used to create the displayed name (i.e., the Index Keys) and the order that the contact is displayed within its Contact Group (i.e., the Sort Keys).

To define the required Index Keys, you need to build a list of fields that are to be "merged" to form the "display name". You do this, by moving the required field names between the list of "Available Index keys" and the list of "Selected Index and Sort Keys", until you have built the Index Key required. If you need to re-order any of the Selected Keys, you can use the "up" and "down" buttons to move a selected field up and down the list.

Once you have a the required Index Keys defined (e.g., "Title" "Initials" "Surname" to give a display name of say, Mr Joe Martin), you need to decide which field, or fields, to sort the display name on. To set the Sort Keys, simply highlight the field in the Selected Key list and click the [image] toolbar button to mark the field as a Sort Key. If for example, you marked the "Surname" field as the Sort Key, the default display for contacts in the Contact Index List would be ordered by the contact's surname.

Tip: To move fields between the two lists, simply double-click the field to be moved with the mouse.

Security Note: If access permissions are enabled, then the setting of the default Index and Sort Fields will be restricted to the owner of the Address Book or to users with the "Maintain Indexing" access settings.

For More Information See...

Indexing Contacts Explained

The Contact Index List


Configure Journal Settings

This screen allows you to configure the way journal activities are generated for this Address Book.

The Contact Journal history is a record of system generated activities (e.g., updates, security changes, etc.) and user generate activities (e.g., phone calls made, meetings attended, etc.) for an individual contact.

What activities are recorded to the journal and how long the journal activity is held, is dependant on how the journal options for the Address Book have been set-up. This screen allows those settings to be configured.

Expire Journal Activities after: This option allows you to defined an "expiry" age to any user generated Journal Activities. If it is set, Smart Address will remove any user generated events that are older than the number of days specified.

Auto-Generate.....: These options, when selected, allow the auto-generation of journal activities when the corresponding action is invoked by the user. For example, telephones a contact by getting Smart Address to dial the number.

Allow System Journal Entries to be deleted: This option, when set, controls if a user can delete a system generated journal entry (e.g., a record update) from the contact's journal history. For security reasons, if you want to track what happens to a contact record, this option should not be selected.

Expire Journal Entries after: This option allows you to define an "expiry" age to any system-generated entries. If it is set, Smart Address will remove any system-generated events that are older than the number of days specified.

Log Record Imports: This option, when selected, will record a journal event when a contact was imported.

Log Record Creations: This option, when selected, will record a journal event when a contact was created.

Log Record Updates: This option, when selected, will record a journal event whenever a contact is updated.

Log Record Deletes: This option, when selected, will record a journal event when a contact is deleted to the Recycle Bin.

Log Record Restores: This option, when selected, will record a journal event when a contact is restored from the Recycle Bin.

Log Changes in Record Ownership: This option, when selected, will record a journal event if the security ownership of a contact is changed.

Log Link Additions: This option, when selected, will record a journal event when a document or Internet link is added to a contact.

Log Link Accesses/Opens: This option, when selected, will record a journal event whenever a linked document is opened or linked Internet address is visited.

Log Link Removals: This option, when selected, will record a journal event when a document or Internet link is removed from a contact.

Security Note: If access permissions are enabled, then the setting of these options will be restricted to the owner of the Address Book or to users with the "Maintain Book" access settings.

For More Information See...

Database Security

Smart Address and Journals


Journal Event Properties

This screen displays the properties for the select Journal Event.

To find out more about the indicated parts of the Journal Event Properties screen, expand the items below:

Contact Name...

This field displays the name of the Contact that this Journal Event is assigned to.

Select Contact Button...

This button allows you to assign this Journal Event to a different Contact.

Event Description...

This field displays the subject of the Journal Event.

User Name...

This field displays the User Name of the user who generated this Journal Event.

Event Date...

These fields detail the date and time that the Journal Event was generated.

Duration...

Some Journal Events allow a duration recorded (e.g., time spent on the telephone). If a duration has been record for this Event, then its time will be displayed in this field. If no duration has been recorded, then it will be shown as "0 minutes"

Journal Activity...

This field displays what type of Journal Activity this event is

Event Notes...

The field displays the freeform notes associated with the Journal Event.

Note: If the Journal Event does not allow you to edit any of the fields, then either it is a system generated Journal entry (updates are not allowed) or you do not have the required permissions to edit the Event's contents.

For More Information See...

The Contact Journal Explained


Journal Event

This screen is displayed when a Journal Event has been generated by the user and allows an event action to be recorded for a Contact.

When the user has generated a Journal Event, the Journal Event screen will be displayed allowing the Event details to be recorded and the event timed if required. Once the event has completed (e.g., a phone call ended), then the OK button records the event to the selected Contact's Journal.

To find out more about the indicated parts of the Journal Event screen, expand the items below:

Contact Name...

This field displays the name of the Contact that this Journal Event is to be assigned.

Select Contact Button...

This button allows you to assign this Journal Event to a different Contact.

Event Description...

This field allows a subject description for the Journal Event to be entered.

User Name...

This field displays the User Name of the user generating the Journal Event and, if required, can be changed by selecting another user from this field's drop-down list.

Event Date...

These fields detail the date and time that the Journal Event was generated.

Duration...

This field allows the duration of the event to be specified, or if the event's timer is active, displays the current elapsed time as recorded by the timer.

Journal Activity...

This field indicates the type of Journal Activity for this event, and if required, can be changed by selecting a different type from this field's drop-down list.

Event Notes...

The field allows freeform notes to be associated with the Journal Event.

Call Buttons...

If the Event Type is for a "Phone Call Made" or "Phone Call Received", then the Call Buttons will be visible. These buttons allow you to toggle the state of the phone call between in progress or ended. You may want to use the Call Ended button in preference to the OK button in situations where the call has ended, but you still need to complete any notes on the call before closing the Journal Event screen.

Callback Button...

If the Event Type is for a "Phone Call Made" or "Phone Call Received", then the Callback Button will be visible. This button allows a calendar event to be raised to schedule a "call back", or return phone call, for the contact assigned to the Journal Event.

Timer Controls...

If you wish to time the journal event generated, then these controls allow the Event Timer to be started, paused or stopped by use of the appropriate timer buttons. Whilst the timer is active, the Timer Active label will flash and the elapsed time will be shown in the Duration field. Note: If you stop the timer and then restart it, the duration will be reset to zero. If you want to stop the timer and then restart it later, you should use the Pause button instead.

For More Information See...

The Contact Journal Explained


Note Group

This window is displayed when a Note Group is selected in the Notes Index List

When a Note Group is selected in the Note Index List, the last 10 updates made in that Group are displayed. Clicking on any of these updates will quickly locate the Note or Group that was updated.

In addition, from this window the Access Permission (if enabled) for the Note Group can be set, new Notes and Note Groups created and the Note group searched.

For More Information See...

Setting Access Permissions for a Note Group

The Notes Index List


Create New Address Book

This window allows you to create a new Address Book.

Database:

This field displays the name of the Address Database currently selected. To change the database selected, use the "drop-down" list to display all available databases.

Below the Database Name is listed all the Address Books currently held on that Database.

Manual Connection List Button:

This button displays a window allowing manual connections for Address Databases to be specified. Normally you will not need to use this facility, unless the database you wish to connect to is not appearing in the Database list. For more information, see below.

Name:

This field allows the name of the Address Book to be created to be entered. The name of an Address Book can consist of any alphanumeric characters up to a maximum length of 20 characters. If the name of an existing Address Book is entered, an error message will be issued.

Theme:

This field specifies which Address Book Theme you wish to use when creating the Address Book. A theme controls the format and layout of the Address Templates.

By default, Smart Address installs three example themes providing "Business", "Personal" and "Club Membership" layouts. In addition, you may create your own themes (or change the supplied ones) by using the "Save Themes" option from an Address Book's File Menu. For more information, see below.

Note: Once an Address Book is created, it no longer has any relationship to the theme it was based on. The theme is purely used to control the initial format and layout used when creating the Address Book.

For More Information See...

What are Address Book Databases ?

What makes a Database "available" ?

When to use a Manual Connection ?

Using Address Book Themes


Open Address Book

This window allows you to open an Address Book.

Database:

This field displays the name of the Address Database currently selected. To change the database selected, use the "drop-down" list to display all available databases.

Below the Database Name is listed all the Address Books held on that Database. To open an Address Book directly from this list, simply double-click its name with the mouse.

Manual Connection List Button:

This button displays a window allowing manual connections for Address Databases to be specified. Normally you will not need to use this facility, unless the database you wish to connect to is not appearing in the Database list. For more information, see below.

Name:

This field allows the name of the Address Book to be opened to be entered. If the name entered cannot be located in the currently selected Database, then an error message will be generated.

Type:

This field specifies the type of Address Book to be opened and is by default set to a Smart Address 2000 book.

If you wish to open another type of Address Book (e.g., a Smart Address V3.x) book, then select the appropriate book type from the drop-down list. If selecting a pre-Smart Address 2000 book, the Import Wizard will be started to convert the book to the new format.

For More Information See...

What are Address Book Databases ?

What makes a Database "available" ?

When to use a Manual Connection ?

Opening a pre-Smart Address 2000 Book


Configure Labels for Contact Pages

This screen allows the labels for the Contact Pages to be defined.

Within each contact, there are seven pages of information available, with each page given a descriptive label as to its function.

This screen allows the descriptive names for the Contact Pages to be configured. To change a label, simply over-type the existing label for the appropriate field.

Security Note: If access permissions are enabled, then the setting of these labels will be restricted to the owner of the Address Book or to users with the "Maintain Book" access settings.

For More Information See...

Contact Pages


Configure Phone Dialling Options

Configure Phone Dialing Options

This screen allows the dialing function of Smart Address to be configured.

There are two states Smart Address can be configured for when it needs to dial a telephone number:

Manual Dialing: When manual dialing is selected and Smart Address is asked to "dial" a number, a screen is displayed with the required number shown in a large typeface.

Automatic Dialing: When automatic dialing is selected and Smart Address is asked to "dial" a number, Smart Address uses the Dialing Settings defined to instruct the computer's telephone device (usually your modem) to dial the required number.

When Smart Address is to perform the dialing, it needs to know which telephone device you wish to use and how you want to configure the dialing:

Delay Dial Completion Messages: Normally there is a period of time between the telephone device dialing a telephone number and the destination telephone ringing. It is not possible for Smart Address to know when this period has elapsed, so this option allows an "average" time for your situation to be specified. Generally a time around 5 seconds is suitable. There isn't a problem if you set this value too low, as all that happens is that Smart Address may issue the "Phone is Ringing" message before it actually starts to ring.

Remove Alpha Characters: This option informs Smart Address to remove any alpha characters (i.e., A to Z) from a telephone number before dialing it. This allows descriptions to be added to telephone numbers (e.g., Ext 3344 for Support), which are removed before the number is dialed.

Windows TAPI Device: This field allows you to select the Telephone Device you wish to use when Smart Address dials a telephone number. Normally you would select your Computer's modem.

Note: When Smart Address dials a telephone number, it will attempt to process that number according to your Windows Telephone set-up. This changes the number, for example, by removing local area codes, adding charge card details and pin numbers etc. However for this to work the telephone number has to be entered in what is called the "Canonical Format", for example: +1 (901) 5551234. If the telephone number to be dialed doesn't conform to this format, then it will be dialed exactly as entered, without any pre-processing of the telephone number.


License Maintenance

This screen allows you to enter you Product License details for Smart Address.

When you purchased Smart Address, you were supplied a License Key and a Multi-User Access Key (if you purchased the network enabled version).

This screen is where you enter these keys to Smart Address and consists of three fields:

Registration Name: The Registration Name is the name that Smart Address was registered in, which may be your Company name or your own name.

Product License Code: The Product License Code is your license for Smart Address and should only be entered for the Smart Address Database it was purchased for.

Multi-User Access Code: The Multi-User Access Code is the code that enables use of Smart Address over a network. If you purchased a single user copy, then you should leave this field empty. If you later upgrade your license for more users, a new code will be supplied.

It is important to enter these fields exactly as supplied with your Smart Address license.

Notes:

It is important that you keep the supplied keys in a secure place as you will need them whenever reinstalling the Smart Address Database Engine.

These keys are specific to the Database Engine. If you want to run more than one Database on your Network, you need to purchase license codes for each Engine.


Rename Address Book

This window allows you to rename the currently opened Address Book.

Current Address Book Name:

This field displays the current name of the Address Book.

New Address Book Name:

This field allows you to enter the new name of the Address Book. The name of an Address Book can consist of any alphanumeric characters up to a maximum length of 20 characters. If the name of an existing Address Book is entered, an error message will be issued.


Save Layout as Address Book Theme

This window allows you to save the current layout of the Address Book as an "Address Book Theme".

Address Book:

This field displays the name of the Address Book whose layout is to be saved as a theme.

Address Book Theme:

This field allows you to enter the name for the theme being saved. If you enter the name of an existing theme, you will be asked if you wish to replace that theme with the layout of the current Address Book.

When a theme is saved, it saves the layout information from the current Address Book, including the Address Templates defined, their format, the categories set-up, the default indexing, etc., to a themes file (named themename.sat) in the folder the Smart Address Client is running from.

When you next create an Address Book, the theme saved will be listed as an available theme. Selecting this theme from the Create New Address Book window, will create the new address book based on the format and layout saved.

Note: Once a theme file is saved, it no longer has any relationship to the original Address Book, but is just a "snapshot" of the Book's format and layout at the time saved.

For More Information See...

Using Address Book Themes


Report Template Library

This screen displays the Address Database Report Library.

Any report produced in Smart Address uses a template to control the format, layout and content of the report. These templates are called Report Templates and are stored and maintained using the Report Template Library.

From the Report Template Library screen, report templates can be created, edited, deleted or previewed.

To find out more about the indicated parts of the Report Template Library screen, expand the items below:

Report Toolbar...

This toolbar provides the functions for managing the Report Templates displayed. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Report Header...

This header provides the column descriptions for the Available Reports display. If you wish to re-order the list, then click the column description that you want to sort the list by, with the mouse.

Available Reports...

This area of the Report Template Library screen, displays the templates currently defined to the Address Database.

Note: When previewing a Report Template, Smart Address randomly selects a small sub-set of data for this preview. It should be remembered that this is only a "preview" function. If you want to print specific data from an Address Book, use the Print command from the Address Book's File Menu.

Note: Report Templates are defined at the Address Database level. This means that any report templates created will be available for any Address Book contained within that Database.

Tip: To quickly preview the layout and format of a Report Template, double-click the template with the mouse.

For More Information See...

Producing Reports using Smart Address


Letter Template Library

This screen displays the Address Database Letter Library.

Any letter produced using Smart Address' Write Letter facility or Write EMail facility, uses a template to control the format, layout and content of the letter. These templates are called Letter Templates and are stored and maintained using the Letter Template Library.

From the Letter Template Library screen, letter templates can be created, edited, deleted or previewed.

To find out more about the indicated parts of the Letter Template Library screen, expand the items below:

Letter Toolbar...

This toolbar provides the functions for managing the Letter Templates displayed. As with all toolbars in Smart Address, to find out the function of any toolbar icon, simply pause the mouse over that icon and a description hint will be displayed.

Letter Header...

This header provides the column descriptions for the Available Letters display. If you wish to re-order the list, then click the column description that you want to sort the list by, with the mouse.

Available Letters...

This area of the Letter Template Library screen, displays the templates currently defined to the Address Database.

Notes:

  • When previewing a Letter Template, Smart Address randomly selects a small sub-set of data for this preview. It should be remembered that this is only a "preview" function. If you want to produce letters using specific data from an Address Book, use the Address Book's Write Letter or Write EMail facility.

  • Letter Templates are defined at the Address Database level. This means that any letter templates created will be available for any Address Book contained within that Database.

  • To use the Write Letter facility in Smart Address you need to have Microsoft Word 97 or later installed.

  • To use the Write EMail facility in Smart Address you need to have a MAPI compliant Mail Client Installed. If you wish to send Rich-Text content, then you require Microsoft Outlook 2000, or later, installed.

Tip: To quickly preview the layout and format of a Letter Template, double-click the template with the mouse.

For More Information See...

Producing Letters using Smart Address


Configure Address Book Start-up

This screen allows the actions Smart Address takes during start-up.

On Starting Smart Address: These options define the initial screen an Address Book displays when opened. By selecting the appropriate option, the Address Book can start with its Home Page, Contacts, Calendar, Tasks or Notes initially displayed.

Auto Start - Local Database Server: This option controls if Smart Address should start the Database Engine on the machine opening the Address Book, if it is not already running.

Auto Start - Reminder Monitor: This option control if Smart Address should start the Reminders Application, if it is not already running.

Tip: Its is better to start the Reminders Application and the Database Server (if required), by placing shortcuts to these applications in your Windows Start-Up folder. This way, the applications are available when needed and it also makes opening Address Books faster as they do not need to start the applications first.

Note: All these settings are "global" in that they affect all Address Books you access.


Address Template Properties

This screen displays the properties for an Address Template.

Address Templates are used to control the format and layout of the Address Pages used by a Contact. This screen displays the properties defined for the selected Address Template and allows the format and layout of that template to be changed by altering the property settings.

The Address Template Properties screen consists of two Property Pages or Tabs, the first covering the General settings for the Template and the second the Field Definitions for the Template.

Note: Changing a Template's Properties will change the format and layout of the Address Page using that Template for all contacts in the Address Book.

For More Information See...

Address Templates Explained

Contact Properties - Address Templates


World Time Set-up

This screen allows you to define what "world times" are displayed within Smart Address.

Smart Address allows up to six Word Times to be displayed, with those world times being configured using this screen. From this screen you can:-

Add New: Adds a new world time (up to a maximum of 6) to Smart Address

Delete: Removes the currently highlighted world time from Smart Address

Move Up: Moves the selected world time, up the display order

Move Down: Moves the selected world time, down the display order

Once a world time has been added, it can be configured using the "Location Settings" part of this screen.

Short Name: Allows you to provide a short descriptive name for the currently selected world time (e.g. Paris).

Long Name: Allows you to provide a long description name for the currently selected world time (e.g., Paris, France)

Zone Name/Time Zone: Changing either of these fields selects the time zone information that should be used when displaying the time for the selected world time (e.g., Romance Standard Time for Paris, France).

For More Information See...

Word Times Display


User Manager

This screen allows the User Accounts defined to the Database to be maintained.

This screen allows the User Accounts defined to the Database to be maintained. From this screen, users can be added (if Un-Trusted Logon is enabled), deleted, disabled, etc.

To find out more about the indicated parts of the User Manager screen, expand the items below:

Database...

This field displays the database that is being accessed.

Accounts...

This lists the Account Names currently defined to the database.

Level...

This lists the Security Level of the Account and will be either User or Administrator.

Accessed...

This lists the date and time that the Account last accessed the Database

Status...

This lists the current status of the Account. If an account has been disabled (i.e., is temporarily stopped from accessing the Database), then this is shown and that account is displayed in a lighter color.

Header...

This header provides the column descriptions for the User Manager display. If you wish to re-order the list, then click the column description that you want to sort the list by, with the mouse.

Add...

This button allows a new user to be added to the Database. If the Trusted Logon scheme is selected, then this button will not be visible as new user are automatically defined under this scheme.

Delete...

This button deletes the selected Account from the Database. See User Accounts and Security for important information regarding deleting accounts.

Properties...

The buttons displays the properties for the selected Account, allowing that Account to be renamed and/or its password reset.

Disable...

This button disables the selected Account making it temporarily unavailable to the Database. When disabled, the user will not be able to access the database when he or she next attempts to login.

Promote...

This button will "promote" the selected Account to an Administrator level of security.

Demote...

This button will "demote" the selected Account to a User level of security.

Note: It is not possible to Delete or Disable an Administrator level account, without first "demoting" it to a User level account.

Important: If a user's account name needs changing, rename it. Do not delete it and add a new account. See User Accounts and Security for more information.

For More Information See...

Database Security

User Accounts and Security

Configure Database Security Settings


Recycle Bin

This window displays the content of the Address Book's Recycle Bin.

The Recycle Bin provides a safety net when deleting items from Smart Address. When you delete a Contact, Contract Group, Note or Note Group, Smart Address places it in the Recycle Bin. Other items in Smart Address (e.g., Calendar Events and Tasks) are not stored in the Recycle Bin, but are permanently deleted straight away.

Items in the Recycle Bin remain there until you decide to permanently delete them from the Address Book. These items still take up storage space within the Address Book database and can be undeleted or restored back to their original location.

Whilst you could leave items in the Recycle Bin indefinitely, it makes good "house-keeping" sense to periodically empty the Recycle Bin.

Tip: To quickly restore something from the Recycle Bin, simply double-click the item with your mouse. This will then display the Restore Destination window, allowing you to select the destination for the restored item.

Tip: If you want to restore or permanently delete a number of items, you can select more than one item, by holding the Ctrl Key down whilst clicking the item with the mouse.


World Times Display

This screen displays the local times for the "world times" defined to Smart Address.

This screen displays up to a maximum of six "world time" displays, each showing the local date and time for that location. By default Smart Address pre-defines six locations, but these can be changed by using the Configuration Link on this screen.

To find out more about the indicated parts of the World Times screen, expand the items below:

Configuration Link...

This links displays the World Time Set-up screen allowing the World Times display to be configured.

GMT Display...

This field displays the current time in Greenwich Mean Time (GMT). All word times are worked from an offset from GMT

Clock Display...

For each displayed world time, a clock is drawn showing the local time for that location.

Local Date and Time....

For each displayed world time, these fields show the local date and time for that location.

Location Name...

For each displayed world time, this field shows the long name given to that location in the World Time Set-up screen.

More Information...

This link displays detailed information about the associated world time. This information includes, the GMT offset being used, the start and end dates for any daylight saving time that may be used, etc.

Tip: As the world times work on offsets from GMT, it is important that your computer's regional settings are correctly set for your current time zone location and your computer clock is set to the right time.

For More Information See...

World Time Set-up


Action Fields

Action fields refer to a fields that can be defined to perform an action on its contents.

In Smart Address a number of fields within a contact can be defined as being an Action Field and these may appear on a Contact's Details Page and on each Address Page assigned to a contact.

When a field is defined as being an Action Field, an Action Button will be displayed next to the field. This button, as well as indicating the type of action to be performed, will invoke that action when pressed. For example, the following illustration, shows a field that has been defined as an EMail field. Clicking on the "envelope" icon will cause an EMail to be created for the address joe.martin@xxxxxx.xxx

In all there are four action field types available:

Text:

Defining a field as a Text field, disables the Action capability of that field and, as a result, no action button is displayed.

EMail

When a field is defined as an EMail Field, clicking the action button will create an EMail addressed to the contents of that field

Phone

When a field is defined as a Phone Field, clicking the action button will instruct Smart Address to dial the telephone number contained within that field.

Internet

When a field is defined as an Internet Field, clicking the action button will open your Internet browser and display the contents of the Internet Site address contained within that Field


Creating a New Letter 2

Creating a New Letter Template

When you press the Edit Template button in the Letter Wizard, Smart Address will start the Microsoft Word Application and the Word Helper screen will be displayed.

Using these two screens, the letter template can be designed.

The process is fairly straight forward. Using Microsoft Word, you construct the letter's format and content. Where you want Smart Address to insert a Report Data Field, you position the cursor at that point in the Word document, and then click the required Field on the Word Template Helper screen. Smart Address will then insert a bookmark field at that point. These bookmarks will then be replaced with the appropriate information when the letter is produced.

For example: In the above illustration, the line Dear <[05] Title> <[07] Surname> would be replaced with the Contact's title and surname fields to read, for example, Dear Mr Martin

Using these bookmarks and Word itself to create the letter templates, allows for highly visual and personalized letters to be produced.

Once you have designed your letter and added all the required Report Fields, we now need to close the Word Helper screen and return to the Create new Report Layout Wizard. To do this, simply click the Finished link or close Microsoft Word.

Once the Create New Letter Template Wizard is displayed again, click the Next button to move to the next page.

Previous Step - Next Step

Page 2 of 3


Creating a New Letter 3

Creating a New Letter Template

The last page of the Create New Letter Template Wizard allows you to give your Letter Template a unique name and to choose if other users are allowed to access the template or not.

For our example, we shall give the Letter Template a name of "Example Letter" and allow the letter template to be used by any users. One we have done this, we need to click the Next button.

And that's it! Click the Finish button and our new Letter Template will be added to the list of available templates in the Letters Library. When you next use Smart Address to write a letter, our new Letter Template will be available to use to control the format of the letters being produced.

Summary

In this example, we created a letter template using the Microsoft Word and the Word Helper screen. From this example it should be possible for you to be able to now create your own library of letter templates.

Previous Step - End Tutorial

Page 3 of 3


Creating a New Letter Template

Once in the Letters Library, you need to create a new letter. To do this, simply double-click the mouse in an empty area of the Letters Library screen and the Create New Letter Template Wizard will be displayed.

This wizard builds the Letter Template by asking questions about the content to be printed and provides access to the Letter Designer.

For this example, we will accept the default values for each page of the Wizard and so just need to click the Next button until we get to the Edit Word Template page, when you should click the Edit Template... button to invoke the Letter Designer.

Previous Step - Next Step

Page 1 of 3


Report Designer Align or Space Toolbar

This toolbar provides access to the Aligning and Spacing facilities.

The buttons on this toolbar are described below, working for left to right across the toolbar:

Align Left

This button is used to align a group of objects with the left edge of the object that was selected first.

Align Middle

This button is used to align a group of objects with the horizontal middle of the object that was selected first.

Align Right

This button is used to align a group of objects with the right edge of the object that was selected first.

Align Top

This button is used to align a group of objects with the top edge of the object that was selected first.

Align Center

This button is used to align a group of objects with the vertical center of the object that was selected first.

Align Bottom

This button is used to align a group of objects with the bottom edge of the object that was selected first.

Space Horizontally

This button is used to horizontally space a set of objects equally between the left edge of the first object selected and the right edge of the last object selected.

Space Vertically

This button is used to vertically space a set of objects equally between the top edge of the first object selected and the bottom edge of the last object selected.

Center Horizontally in Band

This button is used to center an object horizontally within a band

Center Vertically in Band

This button is used to center an object vertically within a band


Report Designer Data Components Toolbar

This toolbar provides access to the Data Component objects.

The buttons on this toolbar are describe below, working for left to right across the toolbar:

DBText

Used to display single line Data Fields from the Report Data. Once this object has been placed on the Report Designer, link it to the required Data Field by selecting the field from the list displayed in the Edit Toolbar

DBMemo

Used to display multi-line Data Fields from the Report Data. Once this object has been placed on the Report Designer, link it to the required Data Field by selecting the field from the list displayed in the Edit Toolbar

Note: This object should be used for all Address Data Fields and any Note Data Fields, except for the Contact Notes field ([37] Notes) or an Address Book Note's content ([12] Note Text), both of which should use the DBRichText object.

Hint: As this is a multi-line field, the size of the output is not known when you are designing the report. If you enable the Stretch option from the object's pop-up menu, the field will be automatically sized in height to fit the data output.

DBRichText

Used to display multi-line "Rich Text" formatted Data Fields from the Report Data. Once this object has been placed on the Report Designer, link it to the required Data Field by selecting the field from the list displayed in the Edit Toolbar

Note: This object should only be used for printing the Contact Notes field ([37] Notes) or an Address Book Note's content ([12] Note Text).

Hint: As this is a multi-line field, the size of the output is not known when you are designing the report. If you enable the Stretch option from the object's pop-up menu, the field will be automatically sized in height to fit the data output.

DBCalc

Used to display simple calculations based on the Data Fields being printed. For example, it can calculate the number of contact's printed (Count) in the report, or the maximum duration (Max) from a telephone call report.

To set the calculation required, first link the object to a data field, by selecting the field from the list displayed in the Edit Toolbar. Once the Data Field has been linked, display the object's pop-up menu and select the Calculations option. This will then display the Calculation screen allowing the required calculation to be selected.

Hint: The calculation can be reset whenever a group changes, by using the Reset Group setting from the Calculation screen.

DBBarcode

Used to render the text from a Data Field to a barcode. The Data Field linked to this object (via the Edit Toolbar) is encoded based on the Barcode's Type and can be set from the object's pop-up menu (Configure option). The following symbologies are supported: Codabar, Code 128, Code 39, EAN-13, EAN-8, FIM A,B,C, Interleaved 2 of 5, PostNet, UPC-A, UPC-E.


Report Designer Draw Toolbar

This toolbar provides access to the Draw facilities.

The buttons on this toolbar are described below, working for left to right across the toolbar:

Fill Color

This button, which is only available when a shape or line object is selected, sets the objects background color. To set the background color of a text based object, use the Highlight Color button on the Format toolbar

Line Color

This button, which is only available when a shape or line object is selected, sets the color that object will draw it lines in

Line Thickness

This button, which is only available when a line object is selected, sets the thickness that the line will be drawn

Line Style

This button, which is only available when a line object is selected, sets the style of the line drawn (e.g., dashed line, solid line etc.).


Report Designer Edit Menu

The Edit menu provides access to commands related to the editting of the Report Template's content. These commands are explained below.

Undelete

This command will un-delete the last object you deleted from Report Designer

Cut

This command will "cut" your currently selected item(s) from Report Designer and store them on the Windows Clipboard.

Copy

This command will "copy" your currently selected item(s) from Report Designer and store them on the Windows Clipboard.

Paste

This command will "paste" the contents of the Windows Clipboard into Report Designer

Select All

This command will select all the design objects in your Report Template.

Bring to Front

This command brings the selected design object to the front of the "pile". What can happen is a number of objects can be placed on top of one another. By "bringing" an object to the front, you can ensure that the object is visible "on top" of the other objects.

Send to Back

This command sends the selected design object to the back of the "pile". What can happen is a number of objects can be placed on top of one another. By "sending" an object to the back, you can ensure that the object has a lower visibilty to the other objects it is sharing that part of the design with.


Report Designer Edit Toolbar

This toolbar provides access to the Edit settings for objects.

The edit toolbar changes depending on the object selected. It may display a drop-down list, allowing you to select an option or data field required (top example), or it may be a freeform text entry field (bottom example), allowing you to enter the text required.


Report Designer File Menu

The File menu provides access to commands related to the creating, closing and set-up of the Report Template. These commands are explained below.

New

The New menu invokes the New Items screen, allowing you to create a new Report Template, based on your selection from the New Items screen.

Close

The Close menu closes the Report Designer, return back to the Report Layout Wizard.

Load from File

The design in the Report Designer screen can be saved to a disk file, allowing you to clone a design into another report template, or pass a design to another user. When the Load from File command is used, the Report Designer will ask for a disk file and then load the design contents of that file into the Report Designer screen.

Save to File

This command allows the design to be saved to a file for future loading ,via the Load From File command, into the Report Designer.

Page Setup

This command provides access to the Page Setup screen which allows the paper definition to be used, to be defined to Report Designer. For example, to use Letter size paper in Landscape mode.

Print

The Print command will allow you to print, a "previewed" version of your design.


Report Designer Format Toolbar

This toolbar provides access to the Format toolbar.

The buttons on this toolbar are described below, working for left to right across the toolbar:

Font

Changing this setting, will change the font used for the currently selected object

Font Size

Select the font size. You can type the size required directly to this box or set its value from the drop-down list.

Bold

Sets the Font style to Bold (i.e., Bold)

Italic

Sets the Font style to Italic (i.e. Italic)

Underline

Sets the Font style to Underlined (i.e. Underlined)

Left Justify

Justifies the text for the selected object to the left.

Center

Justifies the text for the selected object to be central to the width of the object.

Right Justify

Justifies the text for the selected object to the right.

Font Color

Sets the color of the font (i.e., the color the text prints)

Highlight Color

Sets the background color of the text

Bring to Front

This brings the selected object to the front of the "pile". What can happen is a number of objects can be placed on top of one another. By "bringing" an object to the front, you can ensure that the object is visible "on top" of the other objects.

Send to Back

This sends the selected object to the back of the "pile". What can happen is a number of objects can be placed on top of one another. By "sending" an object to the back, you can ensure that the object has a lower visibilty to the other objects it is sharing that part of the design with.


Report Designer Menus

Report Designer has a number of Menus that perform differing functions. These menus are explained below.

File Menu

The File menu provides access to commands related to the creating, closing and set-up of the Report Template

Edit Menu

The Edit menu provides access to commands related to the editting of the Report Template's content.

View Menu

The View menu provides access to commands related to the way the Report Designer is viewed.

Report Menu

The Report menu provides access to commands related to the how the Template's report is going to look.


Report Designer Misc.

Report Designer Miscellaneous

Smart Address allows you to create highly dynamic report layouts. For example, the Memo and Rich Text objects (both the static and those linked to Data Fields) have the ability to expand or contract to accommodate the information they contain.

Each control has numerous properties to help you control their appearance. To set any of these properties, you will need to display the objects pop-up menu, by right-clicking the mouse on the required object. A menu will then be displayed, providing access to all the properties and settings for that particular object.

Some of the common properties you will see are:

Stretch With Parent

Allows a shape or line to expand or contract based on the change in height of the band or region in which it is contained.

Shift With Parent

Allows any non-stretching component to move up or down based on the change in height of the band or region in which it is contained.

Shift Relative To

Used to specify the vertical positioning which should take place between multiple stretching components in a band.

Bottom Offset

Used to create white space between multiple stretching objects which have been linked together using the Shift Relative To property.

Over Flow Offset

Controls the position where a stretching component will begin printing, when it is overflowing on additional pages. This property can be used to print an object at a different starting position when it overflows onto additional pages.

Reprint On Over Flow

Used to print non-stretching components again when stretching components are printing on additional pages.


Report Designer Nudge Toolbar

This toolbar provides access to the nudging facilities.

The buttons on this toolbar are described below, working for left to right across the toolbar:

Nudge Up

This button moves all the slected objects up one screen pixel.

Nudge Down

This button moves all the slected objects down one screen pixel.

Nudge Left

This button moves all the slected objects left one screen pixel.

Nudge Right

This button moves all the slected objects right one screen pixel.


Report Designer Report Menu

The Report menu provides access to commands related to the how the Template's report is going to look. These commands are explained below.

Title

The option when selected, will display the Title Band in Report Designer. The Title Band allows a report title to be added to the Report, that will only be printed on the first page.

Summary

The option when selected, will display the Summary Band in Report Designer. The Summary Band allows a report summary to be added to the Report, that will only be printed at the end of the last page of the Report.

Header

The option when selected, will display the Header Band in Report Designer. The Header Band allows a page header to be added to the Report, that will be printed at the start of every page of the Report.

Footer

The option when selected, will display the Footer Band in Report Designer. The Footer Band allows a page footer to be added to the Report, that will be printed at the end of every page of the Report.

Groups

This command will display the Groups Screen. using the Groups Screen, you can separate your report into different sections using groups. A number of options are available to control the behavior of each group. For example, you may want each group to start on a new page or to reprint the group header when the group continues on additional pages. Another powerful feature is the "Keep Group Together" option which can be used to ensure all of the information for a group fits on a page.

Portrait

Setting this option, set the paper orientation to Portrait

Landscape

Setting this option, set the paper orientation to Landscape

Pass Setting

This command will display a sub-menu allowing you to choose if the report should use a "One Pass" or "Two Pass" setting. This setting determines how many times a report traverses its data before generating pages. Using "One-Pass", the report generates the requested pages during the first traversal of the data. Using "Two-Pass" the first pass of the report traverses the data, calculating pagination. Then in the second pass the report returns to the beginning of the data and traverses the data again generating the requested pages.

Units

This command will display a sub-menu allowing you to select the unit of measurement you want to work in.


Report Designer Size Toolbar

This toolbar provides access to the Sizing facilities.

The buttons on this toolbar are described below, working for left to right across the toolbar:

Shrink Width to Smallest

This button determines the minimum width of all the selected objects and then sets the width of all the selected objects to that size.

Grow Width to Largest

This button determines the maximum width of all the selected objects and then sets the width of all the selected objects to that size.

Shrink Height to Smallest

This button determines the minimum height of all the selected objects and then sets the height of all the selected objects to that size.

Grow Height to Largest

This button determines the maximum height of all the selected objects and then sets the height of all the selected objects to that size.


Report Designer Standard Components Toolbar

This toolbar provides access to the Standard Component objects.

The buttons on this toolbar are described below, working for left to right across the toolbar:

Select Object

This button resets the designer to its default state, allowing you to select design objects by click them with the mouse.

Label

Used to display text. Once this object has been placed on the Report Designer, set its text content by entering the text to the Edit Toolbar

Memo

Used to print multiple lines of plain text in a report. Once this object has been placed on the Report Designer, set its text content by bringing up the object's pop-up menu and selecting the Lines command.

Rich Edit

Used to print formatted text. Once this object has been placed on the Report Designer, set its text content by bringing up the object's pop-up menu and selecting the Edit command.

You will also notice a "MailMerge" option on the pop-up menu. When this option is set, it will cause the Rich Edit object to scan the text specified, searching for occurrences of Data Fields surrounded by less than/greater than symbols (e.g., <[01] Contact Display Name>). If Data Fields are found, they will be replaced with the field's value.

Hint: When displaying the Rich Edit Editor (via the Edit command) there is a command called Insert Field. This displays the available data field names and will automatically insert them into the current cursor position in the text (simply double click on the field or select the field and click the OK button).

System Variable

Used to display common report information such as page number, page count, print date and time, date, time, etc. Once this object has been placed on the Report Designer, set the required system variable from the list displayed in the Edit Toolbar

Image

Used to display bitmaps and windows metafiles in reports. Once this object has been placed on the Report Designer, set the image to display by bringing up the object's pop-up menu and selecting the Picture command.

Shape

Use this object to print various shapes (squares, rectangles, circles, ellipses). Once this object has been placed on the Report Designer, set the required shape from the list displayed in the Edit Toolbar

Hint: You can use shapes to provide backgrounds to other fields. Simply place a shape on the Designer and then place another object on top of that shape.

Line

Use this object to print lines on your report. Once this object has been placed on the Report Designer, set the required line from the list displayed in the Edit Toolbar

Barcode

Used to render text to barcodes. The text assigned to this object (via the Edit Toolbar) is encoded based on the Barcode's Type and can be set from the object's pop-up menu (configure option). The following symbologies are supported: Codabar, Code 128, Code 39, EAN-13, EAN-8, FIM A,B,C, Interleaved 2 of 5, PostNet, UPC-A, UPC-E.


Report Designer Standard Toolbar

This toolbar provides access to the Standard toolbar.

The buttons on this toolbar are described below, working for left to right across the toolbar:

New

This button invokes the New Items screen, allowing you to create a new Report Template, based on your selection from the New Items screen.

Page Setup

This button provides access to the Page Setup screen which allows the paper definition to be used, to be defined to Report Designer. For example, to use Letter size paper in Landscape mode.

Print

The button will allow you to print, a "previewed" version of your design.

Print Preview

This button invokes the preview window allowing you to preview your report design.

Cut

This button will "cut" your currently selected item(s) from Report Designer and store them on the Windows Clipboard.

Copy

This button will "copy" your currently selected item(s) from Report Designer and store them on the Windows Clipboard.

Paste

This button will "paste" the contents of the Windows Clipboard into Report Designer


Report Designer Toolbars

Report Designers Toolbars

The majority of user interaction with the Report Designer is performed using the toolbars. This section describes each of the toolbars available and the functions that the toolbar's button perform.

The Standard Components Toolbar

The Data Components Toolbar

The Standard Toolbar

The Format Toolbar

The Edit Toolbar

The Draw Toolbar

The Align or Space Toolbar

The Size Toolbar

The Nudge Toolbar


Report Designer View Menu

The View menu provides access to commands related to the way the Report Designer is viewed. These commands are explained below.

Toolbars

This command displays a sub-menu allowing you to turn on or off the displaying of the various toolbars. For more information on what the toolbars do, see Report Designer Toolbars.

Rulers

Selecting this option, causes the vertical and horizontal rulers to be displayed.

Grid Options

When placing design objects in Report Designer, you can set Report Designer to "snap" these objects to a invisible grid. Selecting this command, displays the Grid Options screen that allows you to configure how you want the grid to work.

Show Data

By default, the Report Designer displays a random set of data from your Address Book as the contents of the design objects you are using. This helps when working out the size of look of your design. If you would rather have the object's field name displayed, then turn this option off.


Creating a new Report Template

Once in the Report Library, you need to create a new report. To do this, simply double-click the mouse in an empty area of the Report Library screen and the Create New Report Layout Wizard will be displayed.

This wizard builds the Report Template by asking questions about the content to be printed and provides access to the Report Designer.

For this example, we will accept the default values for each page of the Wizard and so just need to click the Next button until we get to the Designing Your Report page, when you should click the Design Report... button to invoke the Report Designer.

Previous Step - Next Step

Page 1 of 11


Designing our Report Template

In this example we are creating a telephone listing giving the names of our contacts and their telephone number. To do this we are going to use the New Report Wizard to form the basis of the report, which we will then customize to meet our needs.

Using the Report Designer's File menu, select the New command. This will display the New Items screen:

The New Items screen allows you to choose what you want to use to create your new Report Layout.

For our example, we shall select the Report Wizard option and then click the OK button.

Previous Step - Next Step

Page 3 of 11


Designing our Report Template 2

Designing our Report Template

As we selected to create our new report template using the Report Wizard, the Report Wizard will now be displayed and asks us to select the data fields we wish to include in our report.

For more information on how data fields are represented for reports, see Report Data Fields.

For our example, we shall select the following fields, by double-clicking each field name with the mouse, moving them to the Selected Fields list:

[01] Contact Display Name

[03] Sort Index Key

[18] Home

[19] Work

Note: The name of fields [18] and [19] may be different depending on how you have configured the field labels within the Address Book. Our example is assuming that these two fields are the Home and Work telephone numbers for our contacts. You may have to select different fields, if you have changed their use.

When we have selected the fields, we need to click the Next button

The wizard now asks us if we wish to Group these fields. Grouping fields allows you to keep all fields with the same value as the "group" field together. For our example, we want to keep all our contacts with the same Index Key (e.g. the first character of their surname) together.

To do this, double-click the [03] Sort Index Key field, with the mouse, to move it to the Groups list and then click the Next button.

The rest of the Wizard allows you to set the layout for the report template being created. For this example, we want to accept the default values, so click the Finished button and a "populated" Report Designer screen will be displayed.

Previous Step - Next Step

Page 4 of 11


Designing our Report Template 3

Designing our Report Template

What the Wizard has done is taken the fields we specified and created a report layout based on those fields. Whilst you could use this as the final report layout, we really need to "customize" it first.

The Report Wizard will have given the report a title called "PrintData" which can be seen in the "Title" band. To change this to a more meaning name, click the "PrintData" field and an edit field on the toolbar will become available, showing the contents "PrintData". In this edit field, overtype the entry with our new title of "Example Smart Address Listing".

You will see the title in the "Title" band changes, but only shows part of the title we entered. This is because the size of title is bigger than the size of the field displaying it. To quickly resize the field, right click the field with the mouse and select the "Auto Size" option that is displayed. This will resize the field so the whole of our new title shows.

Previous Step - Next Step

Page 5 of 11


Designing our Report Template 4

Designing our Report Template

Next we need to customize the Report Header.

Labeling the Header of our Report:

In the "Header" band (which prints at the top of each page), the Report Wizard has used the names of the fields we selected as the column headers. Using the same method as we did for the title, we need to change the column headers to "Contact Name" "Home Telephone" and "Work Telephone".

Positioning the Headers:

Once the headers have been renamed, you will want to move them to suitable positions across the page. To do this, simply click the header field with the mouse and, holding the left mouse button down, drag the field to its new position.

Preview our Changes as we go:

If at anytime you would like to see what you report is looking like; simply click the Preview-tab (top left of the Report Designer screen). This will then show you a sample preview of your report. To go back to the designer, click the Designer-tab

Previous Step - Next Step

Page 6 of 11


Designing our Report Template 5

Designing our Report Template

Next we want to customize the Group Header

The Group Header band is printed whenever the Group's value (in our case the Sort Index Key) changes, providing a "header" for the next set of grouped data.

In our example, we want this header to standout, so we need to apply some formatting to it, in the form of a shaded bar across the page. To do this:

  1. Click the Shape button [image] on the Report Designer's toolbar and then click anywhere in the Group Header. A Rectangle shape will be drawn on the header.

  2. With the mouse, right click the mouse and select the "Parent Height" option and then report the right click and select the "Parent Width" option. This will resize the rectangle to the size of the Group header.

  3. With the rectangle still selected, click the Fill Color button [image] on the toolbar and select a light gray color. This will then color the Group header.

However, in doing this we have lost the report field that was showing on the Group header. It is still there, but it is hidden behind our gray box. To bring it back to the top, simply right click the mouse on the gray box and select the "Send to back" option. This moves the gray box to the "bottom of the pile", allowing the report field to show again.

We now need to format the report field in the Group header, to make it stand out more against our gray background. To do this, select the report field by clicking the mouse on it, and then using the Font settings on the toolbar, change it to a larger font size (say 14) and also make it bold by clicking the B button.

Previous Step - Next Step

Page 7 of 11


Designing our Report Template 6

Designing our Report Template

We now need to format the detail of the Report Template:

The Detail header as mentioned earlier, prints once for each Contact (and each printable template for that Contact), calendar event, Note or Journal Event, depending on what type of data the report is for. In this band, the report wizard we ran, has placed our three-selected fields (Contact's name and home and work telephone numbers).

We now need to format these...

Firstly, we want to align the fields with their column headers. To do this, click the "Contact Name" field in the Header band and then, while holding the shift key down, click the first field in the Detail band. This will select both the fields. With both fields still selected, click the Align Left button [image] on the toolbar. This will then align the left edges on both fields. Now repeat this for the other two fields.

Next, we want to size the fields. Instead of using Auto Size as we did for the title, we want to manually size these fields. To do this, select one the three fields and you will see a box drawn around the field with "sizing" blocks around the edge. Clicking any of these "sizing" blocks with the mouse and dragging the blocks will resize the fields. Resize each of the right-hand edges of the fields, so they fill the available space to the next field (or edge of the band).

Hint: For fine control when setting the size or position of selected fields, you can use SHIFT + ARROW keys and to enlarge/shrink fields you can use CTRL+ARROW keys to move the field's position.

Previous Step - Next Step

Page 8 of 11


Designing our Report Template 7

Designing our Report Template

Finally we shall add a "calculated" field to the report. What we want to do is to show for every group, the number of contacts in that group. For this we will add a "calculated" field.

As we want to show the number of contacts for each group, we need to add a field to the Group Footer band. The Group Footer band, prints when a group changes and is currently not in use in our example.

To enable the footer, click the mouse on the "Group Footer" wording, below the "Detail" band and, without releasing the left mouse key, drag the footer down until a reasonable sized footer band is visible.

We now have a Group Footer is add our field to. To place a report field on the footer, click the "DBCalc" button [image] on the toolbar and then click some where on the Group Footer.

We now need to tell the Report Designer what data that field is linked to and what calculation to perform.

To do this, with the new field still selected, select the data field [01] Contact Display Name from the drop-down list in the top left of the Report Designer screen. This will link that field to this data field.

We now need to instruct the calculated field, that we want to know how many [01] Contact Display Name entries are within the group. Simply right-click the field with the mouse and select the "Calculations&ldots;" option and change the Calc Type field displayed to Count.

Previous Step - Next Step

Page 9 of 11


Designing our Report Template 8

Designing our Report Template

We now need to check everything is as we want it and then save the Report Template.

When you previewed the Report, your preview should have looked something like this...

As you can see, each group now displays a number giving the total number (or count) of contacts in the group. We have added a Label field to the left of the "calculated" field, so the output of the count of contacts makes sense. By now you should be able to easily add a label field to the Report yourself, so we shall leave adding this field to you. We will give one hint, the Label button is represented by A on the toolbar.

Once you have added the label field, you have finished defining the report layout. We now need to close the Report Designer window and return to the Create new Report Layout Wizard. To do this, simply select the Report Designer's File | Close menu command and then click the Next button on the Wizard (which is now redisplayed).

Previous Step - Next Step

Page 10 of 11


Designing our Report Template 9

Designing our Report Template

The last page of the Create New Report Layout Wizard allows you to give your Report a unique name and to choose if other users are allowed to access the report or not.

For our example, we shall give the report a name of "Example Telephone Listing" and allow the report template to be used by any users. One we have done this, we need to click the Next button.

And that's it! Click the Finish button and our new Report Template will be added to the list of available reports in the Report Library. When you next run an Address Book print for the contacts, our new Report Template will be available to use to control the format of the print being produced.

Summary

In this example, we created a report template using the Report Designer's Report Wizard and customized the report to meet our needs. However, the example only "skimmed" the facilities available in the Report Designer, but hopefully provided the basics so you are now confident in being able to create your own, more advanced, reports.

Previous Step - End Tutorial

Page 11 of 11


Introducing The Report Designer

The Report Design is displayed as a separate screen and will look something like this:

This is the Report Designer. As you can see, it looks like many of the other Windows applications you're used to working with. The big difference is that the Report Designer, does not contain a document, it contains a layout. The layout can be used to generate almost any report you require based on the data you've selected in the Create new Report Layout Wizard.

The white rectangular areas with the gray bars below are called bands. The report above has a Header, Detail and Footer band.

When Smart Address generates a report from this layout, the objects in the Header band will appear at the top of each page. The objects in the Footer band will appear at bottom of each page. And the objects in the Detail band will repeat down the page, until no more page space is available, at which point a new page will be started.

You should remember that the Detail band prints once for each Contact (and each printable template for that Contact), calendar event, Note or Journal Event, depending on what type of data you selected in the Wizard.

Previous Step - Next Step

Page 2 of 11


Creating a new Report Template

Once in the Report Library, you need to create a new report. To do this, simply double-click the mouse in an empty area of the Report Library screen and the Create New Report Layout Wizard will be displayed.

This wizard builds the Report Template by asking questions about the content to be printed and provides access to the Report Designer.

For this example, we will accept the default values for each page of the Wizard and so just need to click the Next button until we get to the Designing Your Report page, when you should click the Design Report... button to invoke the Report Designer.

Previous Step - Next Step

Page 1 of 7


Designing our Report Template

In this example we are going to create a Report Template that will use one of the pre-defined labels.

Using the Report Designer's File menu, select the New command. This will display the New Items screen:

The New Items screen allows you to choose what you want to use to create your new Report Layout.

For our example, we shall select the Label Templates option and then click the OK button.

Previous Step - Next Step

Page 2 of 7


Designing our Report Template 2

Designing our Report Template

Selecting the Label Templates option, displays the Label Templates screen.

From this screen, you can select the pre-defined label you wish to use.

Once selected, you should click the OK button to return to the Report Designer.

Previous Step - Next Step

Page 3 of 7


Designing our Report Template 3

Designing our Report Template

Once you have selected the required pre-defined label, the Report Designer resizes its available report area to just make available the size of one of the labels you have selected.

Whilst the size of the available report area has been made smaller, everything else about the Report Designer still function the same. For our example, we are going to add the contact's name and full address to the Detail band, allowing us to produce mailing labels using this Report Template.

Previous Step - Next Step

Page 4 of 7


Designing our Report Template 4

Designing our Report Template

We now need to add our name and address fields to the Details band.

Adding the Contact's Name:

To add the Contact's Name to the report template, we need to click the DBText button [image] on the toolbar and then click the mouse in the Detail band on our "label", to create a new data field. We now need to tell the Report Designer what data that field should be is linked to. To do this, with the new field still selected, select the data field [01] Contact Display Name from the drop-down list in the top left of the Report Designer screen. This will link that field to this data field.

Adding the Full Address:

To add the Full Address for the contact to the report template, we need to click the DBMemo button [image] on the toolbar and then click the mouse in the Detail band on our "label", to create a new data field. In the same way as we linked the Contact's Name to its field, we now need to link the new field to the data field [09] Address (no name).

Note: We use the DBMemo instead of DBText for the Address, because the Address is a multi-line field. Whenever adding an Address field or a Notes field to the Report Designer, you should use a DBMemo field. The only exception to this is when adding a Contact's Notes (i.e., [37] Notes) field or an Address Book Note's content (i.e., [12] Note Text). In these cases, as these notes support "rich text" formatting, you need to use the DBRichText button

Once both fields have been placed on our "label", you should size, position and format them as required. For example:

Previous Step - Next Step

Page 5 of 7


Designing our Report Template 5

Designing our Report Template

We now need to check everything is as we want it and then save the Report Template.

If you now preview the report, your preview should have looked something like this (depending on the label template you selected)...

As you can see, each "label" outputs a contact's name and address

You have finished defining the report layout. We now need to close the Report Designer window and return to the Create new Report Layout Wizard. To do this, simply select the Report Designer's File | Close menu command and then click the Next button on the Wizard (which is now redisplayed).

Previous Step - Next Step

Page 6 of 7


Designing our Report Template 6

Designing our Report Template

The last page of the Create New Report Layout Wizard allows you to give your Report a unique name and to choose if other users are allowed to access the report or not.

For our example, we shall give the report a name of "Example Label" and allow the report template to be used by any users. One we have done this, we need to click the Next button.

And that's it! Click the Finish button and our new Report Template will be added to the list of available reports in the Report Library. When you next run an Address Book print for the contacts, our new Report Template will be available to use to control the format of the print being produced.

Summary

In this example, we created a report template using the Report Designer's pre-defined Label Templates and then added some fields from our Address Book to the "label". However, the example only "skimmed" the facilities available in the Report Designer, but hopefully provided the basics so you are now confident in being able to create your own, more advanced, reports.

Previous Step - End Tutorial

Page 7 of 7


Designing our Report Template

Creating a Custom Label

Before you can create your custom label, you need to create a new Report Template and start the Report Designer.

Note: For this example, we are working in Millimeters. Please check that you are also working in Millimeters, by selecting Report Designer's Report Menu and then the Units option.

Once in the Report Designer and an empty Report Template is displayed, you need to select Report Designer's File menu and then the Page Setup command.

Previous Step - Next Step

Page 1 of 6


Designing our Report Template 2

Designing our Report Template

The Page Setup screen should now be displayed.

This screen allows you to define how the printed page should be configured. For our example, we are going to define the page as consisting of a number of columns and rows, representing our custom label.

For our example, we are going to define our custom label to be an: -

Inmac 6070 Address Label

A4 Sheets

Label Width
 64 mm
Labels Across
 3
Label Height
 41 mm
Labels Down
 7
Top Margin
 5 mm
Horizontal Gap
 2 mm
Left Margin
 7 mm
Vertical Gap
 0 mm

Paper Size

Firstly we need to define the paper size of our sheet of labels. For our example, specify A4 with a Orientation of Portrait.

Previous Step - Next Step

Page 2 of 6


Designing our Report Template 3

Designing our Report Template

The next tab on the Page Setup screen is for defining the Paper Source.

Paper Source

As our custom labels are going to be manually fed to the printer, we shall select the Manual Paper Feed setting.

Previous Step - Next Step

Page 3 of 6


Designing our Report Template 4

Designing our Report Template

The next tab on the Page Setup screen is Layout, which allows the columns and rows to be specified.

As a reminder, our custom label for this example is an:

Inmac 6070 Address Label

A4 Sheets

Label Width
 64 mm
Labels Across
 3
Label Height
 41 mm
Labels Down
 7
Top Margin
 5 mm
Horizontal Gap
 2 mm
Left Margin
 7 mm
Vertical Gap
 0 mm

Layout:

To define our custom label to the layout page we need to convert the label's definition (as given above) to the inputs required by the Layout page. Doing this for our example, gives:

Previous Step - Next Step

Page 4 of 6


Designing our Report Template 5

Designing our Report Template

The last tab on the Page Setup screen is the Margins, where you specify the margins for the paper being defined.

As a reminder, our custom label for this example is an:

Inmac 6070 Address Label

A4 Sheets

Label Width
 64 mm
Labels Across
 3
Label Height
 41 mm
Labels Down
 7
Top Margin
 5 mm
Horizontal Gap
 2 mm
Left Margin
 7 mm
Vertical Gap
 0 mm

Margins:

To define our custom label to the layout page we need to convert the label's definition (as given above) to the inputs required by the margins page. Doing this for our example, gives:

Top: 5

Bottom: 0

Left: 7

Right: 0

Once the Margins have been entered, you should click the OK button to save the new Page Setup.

Previous Step - Next Step

Page 5 of 6


Designing our Report Template 6

Designing our Report Template

When you exit the Page Setup screen, the Report Designer resizes its available report area to just make available the size of one of the labels you have defined.

The only thing left to do, before you start designing your label layout (see Example 2), is to turn off the Report Headers and Footers (if they are showing). To do this, select Report Designer's Report menu and un-select the Header and Footer options.

Summary

In this example, we created a report template using a custom label definition. We didn't however cover designing the label, as this has been covered in the previous examples.

Previous Step - End Tutorial

Page 6 of 6


Designing our Report Template

Create a Report Template to use an Envelope

Before you can set a template to use an envelope, you need to create a new Report Template and start the Report Designer.

Once in the Report Designer and an empty Report Template is displayed, you need to select Report Designer's File menu and then the Page Setup command.

Previous Step - Next Step

Page 1 of 3


Designing our Report Template 2

Designing our Report Template

The Page Setup screen should now be displayed.

This screen allows you to define how the printed page should be configured. For our example, we are going to define the page as being of a size to suite our Envelope.

Paper Size

If you drop-down the Paper Size list, you will see a list of the different papers and envelopes your printer supports. Ideally you should always use one of these supported papers or envelopes.

If the envelope you want to use is listed, then you simply need to select that envelope and all the sizes will be set for you.

If the envelope you want to use is not listed, then you need to enter the width and height of the envelope into the Width and Height input boxes. This will change the Paper Size to custom, allowing you to use a non-support envelope size.

Once you have specified the envelope settings, you should click the OK button to close the Page Setup screen.

Previous Step - Next Step

Page 2 of 3


Designing our Report Template 3

Designing our Report Template

When you exit the Page Setup screen, the Report Designer resizes its available report area to just make available the size of the Envelope you specified.

The only thing left to do, before you start designing your Envelope, is to turn off the Report Headers and Footers (if they are showing). To do this, select Report Designer's Report menu and un-select the Header and Footer options.

Summary

In this example, we created a report template to use an Envelope. We didn't however cover designing the Envelope, as this has been covered in the previous examples.

Previous Step - End Tutorial

Page 3 of 3


Back-up Copies

You may make one copy of the software supplied, solely for "back-up" purposes. The backup copy must include any copyright notices contained in the original.


Copyright

This product is © Copyright 1994-2000 by Oakley Data Services. United Kingdom copyright law and various international treaties protect this product. This software product and documentation may not, in whole or in part, be copied, photo copied, translated, or reduced to any electronic medium or machine-readable form, without prior consent in writing from Oakley Data Services.


Disclaimer

This product and/or license is provided as is, without any representation or warranty of any kind, either express or implied, including without limitation any representations or endorsements regarding the use of, the results of, or performance of the product, its appropriateness, accuracy, reliability, or correctness. The user and/or licensee assume the entire risk as to the use of this product. Oakley Data Services do not assume liability for the use of this product beyond the original purchase price of the software. In no event will Oakley Data Services be liable for additional direct or indirect damages including any loss of profits or other incidental or consequential damages arising from any defects, or the use or inability

to use the software, even if Oakley Data Services have been advised of the possibility of such damages.


Frequently Asked Questions

The Frequently Asked Questions (or FAQ) are a collection of questions and answers relating to the use of Smart Address. These questions are continually being updated by our support team as new issues and questions are identified.

To access the Frequently Asked Questions for Smart Address, please visit the Smart Address Web Site (http://www.sa2k.com)


License for Usage

Smart Address Client

You have the non-exclusive right to use the program only by a single person, on a single computer at a time. You may physically transfer the program from one computer to another, provided that the program is only installed on a single computer at a time.

Network deployment is only permitted if you have purchased a Multi-User Access License and have sufficient licenses to cover the number of users requiring access to the application.

Smart Address Database

You have the non-exclusive right to use the program on a single computer at a time. You may physically transfer the program from one computer to another, provided that the program is only installed on a single computer at a time.

It is a requirement that a license is purchased for each "per-seat" user that needs to connect to the Smart Address Database.


License Transfer

You may transfer the product to another party only if the other party agrees to all the terms and conditions of this agreement. If you transfer the program you must at the same time transfer any documentation and the back-up copy, or transfer any documentation and destroy the back-up copy. You may not retain any portion of the program, in any form, under any circumstance.


Other Rights

All other rights not specifically granted in this license are reserved by Oakley Data Services


Restrictions

You may not use, copy, modify, translate, or transfer the software, documentation, or any copy except as expressly defined in this agreement. You may not attempt to unlock or bypass any licensing algorithm utilized by the program. You may not remove or modify any copyright notices.

The evaluation version of this product may be freely distributed.

The license keys you receive with a full license to the product may not be distributed by anyone without the prior written authorization of Oakley Data Services.


Terms

This license is effective until terminated. You may terminate it by destroying the software, the documentation and copies thereof. This license will also terminate if you fail to comply with any terms or conditions of this agreement. You agree upon such termination to destroy all copies of the program and of the documentation, or return them to Oakley Data Services.


Access Permissions Screen

Depending on the section of the Address Book you are in or the content currently being displayed, there are a number of different access permission screens that may be displayed.

Access Permissions for the Address Book

Access Permissions for the Calendar

Access Permissions for Tasks

Access Permissions for the Letter Template Library

Access Permissions for the Report Template Library

Access Permissions for a Contact Group

Access Permissions for a Contact

Access Permissions for a Note Book Group

Access Permissions for a Note Book Entry